library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity nand3_ver2 is
	port(
		x : in std_logic_vector (2 downto 0) ;
		y : out std_logic
	);
end nand3_ver2;

architecture nand3Behav of nand3_ver2 is
	signal temp : std_logic_vector (2 downto 0) ;
begin
	--temp(0) <= not x(0) ;
	--temp(1) <= not x(1) ;
	--temp(2) <= not x(2) ;
	temp(2 downto 1) <= not x(2 downto 1) ;
	temp(0) <= not x(0) ;
	y <= temp(0) or temp(1) or temp(2) ;
end nand3Behav;
