library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity licznik5bit is
    Port ( led : out std_ulogic_vector(4 downto 0);
    		 CLK : in std_ulogic;
           reset : in std_ulogic);
end licznik5bit;

architecture Behavioral of licznik5bit is
begin
	licznik: process (CLK, reset) is 
		variable temp : unsigned (4 downto 0) ;
	begin
		if reset = '0' then
			temp := "00000" ;
		elsif rising_edge(CLK) then
			temp := temp + 1 ;
		end if;
		
		--zapisanie do wektora led
		led <= not std_ulogic_vector(temp) ;
	end process licznik ;
end Behavioral;
