VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL x0
        SIGNAL x1
        SIGNAL ADD
        SIGNAL XLXN_6
        SIGNAL x2
        SIGNAL XLXN_7
        SIGNAL x3
        SIGNAL XLXN_8
        SIGNAL XLXN_17
        SIGNAL XLXN_18
        SIGNAL XLXN_19
        SIGNAL XLXN_20
        SIGNAL y0
        SIGNAL y1
        SIGNAL y2
        SIGNAL y3
        PORT Input x0
        PORT Input x1
        PORT Input ADD
        PORT Input x2
        PORT Input x3
        PORT Output y0
        PORT Output y1
        PORT Output y2
        PORT Output y3
        BEGIN BLOCKDEF sumator1bit
            TIMESTAMP 2008 10 22 12 52 31
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 sumator1bit
            PIN a x0
            PIN b ADD
            PIN d XLXN_20
            PIN y y0
            PIN c XLXN_17
        END BLOCK
        BEGIN BLOCK XLXI_2 sumator1bit
            PIN a x1
            PIN b XLXN_6
            PIN d XLXN_17
            PIN y y1
            PIN c XLXN_18
        END BLOCK
        BEGIN BLOCK XLXI_6 gnd
            PIN G XLXN_6
        END BLOCK
        BEGIN BLOCK XLXI_3 sumator1bit
            PIN a x2
            PIN b XLXN_7
            PIN d XLXN_18
            PIN y y2
            PIN c XLXN_19
        END BLOCK
        BEGIN BLOCK XLXI_7 gnd
            PIN G XLXN_7
        END BLOCK
        BEGIN BLOCK XLXI_4 sumator1bit
            PIN a x3
            PIN b XLXN_8
            PIN d XLXN_19
            PIN y y3
            PIN c
        END BLOCK
        BEGIN BLOCK XLXI_8 gnd
            PIN G XLXN_8
        END BLOCK
        BEGIN BLOCK XLXI_15 gnd
            PIN G XLXN_20
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2720 1760
        BEGIN INSTANCE XLXI_1 288 464 R0
        END INSTANCE
        BEGIN BRANCH x0
            WIRE 240 304 272 304
            WIRE 272 304 288 304
        END BRANCH
        BEGIN BRANCH x1
            WIRE 896 304 912 304
            WIRE 912 304 928 304
        END BRANCH
        BEGIN BRANCH ADD
            WIRE 272 368 288 368
        END BRANCH
        BEGIN BRANCH XLXN_6
            WIRE 912 368 928 368
        END BRANCH
        BEGIN INSTANCE XLXI_2 928 464 R0
        END INSTANCE
        INSTANCE XLXI_6 784 304 R90
        BEGIN INSTANCE XLXI_3 1568 464 R0
        END INSTANCE
        BEGIN BRANCH x2
            WIRE 1536 304 1568 304
        END BRANCH
        INSTANCE XLXI_7 1424 304 R90
        BEGIN BRANCH XLXN_7
            WIRE 1552 368 1568 368
        END BRANCH
        BEGIN INSTANCE XLXI_4 2208 464 R0
        END INSTANCE
        BEGIN BRANCH x3
            WIRE 2176 304 2208 304
        END BRANCH
        INSTANCE XLXI_8 2064 304 R90
        BEGIN BRANCH XLXN_8
            WIRE 2192 368 2208 368
        END BRANCH
        BEGIN BRANCH XLXN_17
            WIRE 672 368 752 368
            WIRE 752 368 752 432
            WIRE 752 432 928 432
        END BRANCH
        BEGIN BRANCH XLXN_18
            WIRE 1312 368 1392 368
            WIRE 1392 368 1392 432
            WIRE 1392 432 1568 432
        END BRANCH
        BEGIN BRANCH XLXN_19
            WIRE 1952 368 2032 368
            WIRE 2032 368 2032 432
            WIRE 2032 432 2208 432
        END BRANCH
        INSTANCE XLXI_15 208 592 R0
        BEGIN BRANCH XLXN_20
            WIRE 272 432 288 432
            WIRE 272 432 272 464
        END BRANCH
        BEGIN BRANCH y0
            WIRE 672 304 704 304
        END BRANCH
        BEGIN BRANCH y1
            WIRE 1312 304 1344 304
        END BRANCH
        BEGIN BRANCH y2
            WIRE 1952 304 1984 304
        END BRANCH
        BEGIN BRANCH y3
            WIRE 2592 304 2624 304
        END BRANCH
        IOMARKER 896 304 x1 R180 28
        IOMARKER 1536 304 x2 R180 28
        IOMARKER 2176 304 x3 R180 28
        IOMARKER 704 304 y0 R0 28
        IOMARKER 1344 304 y1 R0 28
        IOMARKER 1984 304 y2 R0 28
        IOMARKER 2624 304 y3 R0 28
        IOMARKER 272 368 ADD R180 28
        IOMARKER 240 304 x0 R180 28
    END SHEET
END SCHEMATIC
