VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1(3:0)
        SIGNAL XLXN_2(3:0)
        SIGNAL XLXN_3(3:0)
        SIGNAL XLXN_4
        SIGNAL XLXN_5
        SIGNAL XLXN_14
        SIGNAL XLXN_15
        SIGNAL XLXN_16
        SIGNAL XLXN_17
        SIGNAL T1
        SIGNAL T2
        SIGNAL wysw(6:0)
        SIGNAL led(3:0)
        SIGNAL SYNC
        SIGNAL inCLK
        SIGNAL XLXN_19
        PORT Output T1
        PORT Output T2
        PORT Output wysw(6:0)
        PORT Output led(3:0)
        PORT Input SYNC
        PORT Input inCLK
        BEGIN BLOCKDEF modulo10
            TIMESTAMP 2008 12 19 17 20 41
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2001 5 11 10 41 37
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF uklad_sterujacy
            TIMESTAMP 2008 12 19 17 24 2
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF dekoder
            TIMESTAMP 2008 12 23 17 9 36
            LINE N 64 32 0 32 
            LINE N 64 -288 0 -288 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -288 384 -288 
            LINE N 320 -208 384 -208 
            LINE N 320 -128 384 -128 
            RECTANGLE N 320 -140 384 -116 
            LINE N 320 -48 384 -48 
            RECTANGLE N 320 -60 384 -36 
            RECTANGLE N 64 -320 320 64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_6 and2
            PIN I0 XLXN_19
            PIN I1 XLXN_17
            PIN O XLXN_14
        END BLOCK
        BEGIN BLOCK XLXI_2 modulo10
            PIN inCLK XLXN_4
            PIN reset XLXN_15
            PIN outCLK
            PIN x(3:0) XLXN_3(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_3 modulo10
            PIN inCLK XLXN_5
            PIN reset XLXN_15
            PIN outCLK XLXN_4
            PIN x(3:0) XLXN_2(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_4 modulo10
            PIN inCLK XLXN_14
            PIN reset XLXN_15
            PIN outCLK XLXN_5
            PIN x(3:0) XLXN_1(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_7 uklad_sterujacy
            PIN SYNC SYNC
            PIN bramka XLXN_17
            PIN zatrzask XLXN_16
            PIN reset XLXN_15
        END BLOCK
        BEGIN BLOCK XLXI_8 fd
            PIN C SYNC
            PIN D inCLK
            PIN Q XLXN_19
        END BLOCK
        BEGIN BLOCK XLXI_9 dekoder
            PIN zatrzask XLXN_16
            PIN sel XLXN_19
            PIN s(3:0) XLXN_3(3:0)
            PIN d(3:0) XLXN_2(3:0)
            PIN j(3:0) XLXN_1(3:0)
            PIN T1 T1
            PIN T2 T2
            PIN wysw(6:0) wysw(6:0)
            PIN led(3:0) led(3:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_2 1168 1280 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_3 1168 1520 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_4 1168 1776 R0
        END INSTANCE
        BEGIN BRANCH XLXN_1(3:0)
            WIRE 1552 1744 1648 1744
            WIRE 1648 1552 1728 1552
            WIRE 1648 1552 1648 1744
        END BRANCH
        BEGIN BRANCH XLXN_2(3:0)
            WIRE 1552 1488 1728 1488
        END BRANCH
        BEGIN BRANCH XLXN_3(3:0)
            WIRE 1552 1248 1648 1248
            WIRE 1648 1248 1648 1424
            WIRE 1648 1424 1728 1424
        END BRANCH
        BEGIN BRANCH XLXN_4
            WIRE 1088 1184 1168 1184
            WIRE 1088 1184 1088 1328
            WIRE 1088 1328 1616 1328
            WIRE 1616 1328 1616 1424
            WIRE 1552 1424 1616 1424
        END BRANCH
        BEGIN BRANCH XLXN_5
            WIRE 1104 1424 1168 1424
            WIRE 1104 1424 1104 1568
            WIRE 1104 1568 1616 1568
            WIRE 1616 1568 1616 1680
            WIRE 1552 1680 1616 1680
        END BRANCH
        BEGIN BRANCH XLXN_14
            WIRE 992 1680 1168 1680
        END BRANCH
        INSTANCE XLXI_6 736 1776 R0
        BEGIN BRANCH XLXN_17
            WIRE 736 1600 944 1600
            WIRE 736 1600 736 1648
            WIRE 864 1472 944 1472
            WIRE 944 1472 944 1600
        END BRANCH
        BEGIN BRANCH T1
            WIRE 2112 1296 2144 1296
        END BRANCH
        IOMARKER 2144 1296 T1 R0 28
        BEGIN BRANCH T2
            WIRE 2112 1376 2144 1376
        END BRANCH
        IOMARKER 2144 1376 T2 R0 28
        BEGIN BRANCH wysw(6:0)
            WIRE 2112 1456 2144 1456
        END BRANCH
        IOMARKER 2144 1456 wysw(6:0) R0 28
        BEGIN BRANCH led(3:0)
            WIRE 2112 1536 2144 1536
        END BRANCH
        IOMARKER 2144 1536 led(3:0) R0 28
        BEGIN BRANCH SYNC
            WIRE 272 1840 272 1936
            WIRE 272 1936 688 1936
            WIRE 352 1344 448 1344
            WIRE 448 1344 448 1568
            WIRE 448 1568 688 1568
            WIRE 688 1568 688 1936
            WIRE 448 1344 480 1344
        END BRANCH
        BEGIN BRANCH inCLK
            WIRE 240 1712 272 1712
        END BRANCH
        BEGIN BRANCH XLXN_19
            WIRE 656 1712 720 1712
            WIRE 720 1712 736 1712
            WIRE 720 1712 720 1840
            WIRE 720 1840 1696 1840
            WIRE 1696 1616 1728 1616
            WIRE 1696 1616 1696 1840
        END BRANCH
        BEGIN INSTANCE XLXI_9 1728 1584 R0
        END INSTANCE
        INSTANCE XLXI_8 272 1968 R0
        IOMARKER 240 1712 inCLK R180 28
        BEGIN INSTANCE XLXI_7 480 1504 R0
        END INSTANCE
        BEGIN BRANCH XLXN_15
            WIRE 864 1344 928 1344
            WIRE 928 1248 928 1344
            WIRE 928 1248 1008 1248
            WIRE 1008 1248 1008 1488
            WIRE 1008 1488 1008 1744
            WIRE 1008 1744 1168 1744
            WIRE 1008 1488 1168 1488
            WIRE 1008 1248 1168 1248
        END BRANCH
        BEGIN BRANCH XLXN_16
            WIRE 864 1408 960 1408
            WIRE 960 1072 960 1408
            WIRE 960 1072 1728 1072
            WIRE 1728 1072 1728 1296
        END BRANCH
        IOMARKER 352 1344 SYNC R180 28
    END SHEET
END SCHEMATIC
