VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3(3:0)
        SIGNAL XLXN_4(3:0)
        SIGNAL XLXN_5(3:0)
        SIGNAL led(3:0)
        SIGNAL wysw(6:0)
        SIGNAL T2
        SIGNAL T1
        SIGNAL XLXN_10
        SIGNAL XLXN_11
        SIGNAL XLXN_12
        SIGNAL XLXN_13
        SIGNAL CLK
        SIGNAL SYNC
        SIGNAL XLXN_17
        SIGNAL XLXN_21
        SIGNAL XLXN_22
        SIGNAL CLK_FR
        SIGNAL S1
        PORT Output led(3:0)
        PORT Output wysw(6:0)
        PORT Output T2
        PORT Output T1
        PORT Input CLK
        PORT Input SYNC
        PORT Input CLK_FR
        PORT Input S1
        BEGIN BLOCKDEF uklad_sterujacy
            TIMESTAMP 2008 12 19 17 24 2
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF preskaler
            TIMESTAMP 2008 12 19 20 15 37
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF modulo10
            TIMESTAMP 2008 12 19 17 20 41
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF dekoder
            TIMESTAMP 2008 12 19 17 56 6
            LINE N 64 32 0 32 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -288 384 -288 
            LINE N 320 -208 384 -208 
            LINE N 320 -128 384 -128 
            RECTANGLE N 320 -140 384 -116 
            LINE N 320 -48 384 -48 
            RECTANGLE N 320 -60 384 -36 
            RECTANGLE N 64 -320 320 64 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2001 5 11 10 41 37
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 uklad_sterujacy
            PIN SYNC SYNC
            PIN bramka XLXN_22
            PIN zatrzask XLXN_17
            PIN reset XLXN_10
        END BLOCK
        BEGIN BLOCK XLXI_2 preskaler
            PIN inCLK XLXN_21
            PIN set S1
            PIN outCLK XLXN_13
        END BLOCK
        BEGIN BLOCK XLXI_3 modulo10
            PIN inCLK XLXN_2
            PIN reset XLXN_10
            PIN outCLK
            PIN x(3:0) XLXN_4(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_4 modulo10
            PIN inCLK XLXN_1
            PIN reset XLXN_10
            PIN outCLK XLXN_2
            PIN x(3:0) XLXN_3(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_5 modulo10
            PIN inCLK XLXN_13
            PIN reset XLXN_10
            PIN outCLK XLXN_1
            PIN x(3:0) XLXN_5(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_6 dekoder
            PIN zatrzask XLXN_17
            PIN SYNC SYNC
            PIN s(3:0) XLXN_4(3:0)
            PIN d(3:0) XLXN_3(3:0)
            PIN j(3:0) XLXN_5(3:0)
            PIN T1 T1
            PIN T2 T2
            PIN wysw(6:0) wysw(6:0)
            PIN led(3:0) led(3:0)
            PIN sel CLK
        END BLOCK
        BEGIN BLOCK XLXI_7 and2
            PIN I0 CLK_FR
            PIN I1 XLXN_22
            PIN O XLXN_21
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_4 1392 960 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_5 1392 1184 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_3 1392 736 R0
        END INSTANCE
        BEGIN BRANCH XLXN_1
            WIRE 1328 864 1392 864
            WIRE 1328 864 1328 992
            WIRE 1328 992 1776 992
            WIRE 1776 992 1776 1088
        END BRANCH
        BEGIN BRANCH XLXN_2
            WIRE 1328 640 1392 640
            WIRE 1328 640 1328 768
            WIRE 1328 768 1776 768
            WIRE 1776 768 1776 864
        END BRANCH
        BEGIN INSTANCE XLXI_6 1936 1024 R0
        END INSTANCE
        BEGIN BRANCH XLXN_3(3:0)
            WIRE 1776 928 1936 928
        END BRANCH
        BEGIN BRANCH XLXN_4(3:0)
            WIRE 1776 704 1808 704
            WIRE 1808 704 1808 864
            WIRE 1808 864 1936 864
        END BRANCH
        BEGIN BRANCH XLXN_5(3:0)
            WIRE 1776 1152 1808 1152
            WIRE 1808 992 1808 1152
            WIRE 1808 992 1936 992
        END BRANCH
        BEGIN BRANCH led(3:0)
            WIRE 2320 976 2352 976
        END BRANCH
        IOMARKER 2352 976 led(3:0) R0 28
        BEGIN BRANCH wysw(6:0)
            WIRE 2320 896 2352 896
        END BRANCH
        IOMARKER 2352 896 wysw(6:0) R0 28
        BEGIN BRANCH T2
            WIRE 2320 816 2352 816
        END BRANCH
        IOMARKER 2352 816 T2 R0 28
        BEGIN BRANCH T1
            WIRE 2320 736 2352 736
        END BRANCH
        IOMARKER 2352 736 T1 R0 28
        BEGIN INSTANCE XLXI_1 816 816 R0
        END INSTANCE
        BEGIN BRANCH XLXN_10
            WIRE 1200 656 1296 656
            WIRE 1296 656 1296 704
            WIRE 1296 704 1392 704
            WIRE 1296 704 1296 928
            WIRE 1296 928 1392 928
            WIRE 1296 928 1296 1152
            WIRE 1296 1152 1392 1152
        END BRANCH
        BEGIN BRANCH XLXN_13
            WIRE 1232 1120 1376 1120
            WIRE 1376 1088 1392 1088
            WIRE 1376 1088 1376 1120
        END BRANCH
        BEGIN BRANCH CLK
            WIRE 1904 1056 1936 1056
        END BRANCH
        IOMARKER 1904 1056 CLK R180 28
        BEGIN BRANCH SYNC
            WIRE 752 656 800 656
            WIRE 800 656 816 656
            WIRE 800 512 800 656
            WIRE 800 512 1888 512
            WIRE 1888 512 1888 800
            WIRE 1888 800 1936 800
        END BRANCH
        IOMARKER 752 656 SYNC R180 28
        BEGIN BRANCH XLXN_17
            WIRE 1200 720 1248 720
            WIRE 1248 544 1248 720
            WIRE 1248 544 1824 544
            WIRE 1824 544 1824 736
            WIRE 1824 736 1936 736
        END BRANCH
        INSTANCE XLXI_7 720 1024 R0
        BEGIN BRANCH XLXN_22
            WIRE 720 848 1200 848
            WIRE 720 848 720 896
            WIRE 1200 784 1200 848
        END BRANCH
        BEGIN INSTANCE XLXI_2 848 1216 R0
        END INSTANCE
        BEGIN BRANCH XLXN_21
            WIRE 784 1024 784 1120
            WIRE 784 1120 848 1120
            WIRE 784 1024 976 1024
            WIRE 976 928 976 1024
        END BRANCH
        BEGIN BRANCH CLK_FR
            WIRE 688 960 720 960
        END BRANCH
        IOMARKER 688 960 CLK_FR R180 28
        BEGIN BRANCH S1
            WIRE 816 1184 848 1184
        END BRANCH
        IOMARKER 816 1184 S1 R180 28
    END SHEET
END SCHEMATIC
