library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity modulo10 is
    Port ( inCLK : in std_logic;
    		 reset : in std_logic;
           outCLK : out std_logic;
           x : out std_logic_vector (3 downto 0)
		);
end modulo10;

architecture modulo10Behavioral of modulo10 is

begin
	--zliczanie i resetowanie licznika
	zliczanie: process (inCLK, reset) is
		variable temp : unsigned (3 downto 0);
	begin
		if reset = '1' then 
			temp := "0000" ;
		else
			if rising_edge(inCLK) then
				temp := temp + 1;
				if temp = 5 then
					outCLK <= '0' ;
				elsif temp = 10 then
					outCLK <= '1' ;
					temp := "0000";
				end if;
			end if ;
		end if ;
		--wystawienie sygnalo wyjsciowych
		x <= std_logic_vector(temp) ;

	end process zliczanie;
	
end modulo10Behavioral;
