library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity detektor_transmisji is
    Port ( sfh : in std_logic;
    		 sync : in std_logic ;
           rec : out std_logic);
end detektor_transmisji;

architecture detektor_transmisji_Behavioral of detektor_transmisji is
	signal odbierz :  std_logic ;
begin
	--detekcja pierwszego  znaku
	receive: process (sfh, sync) is
		variable licznik : unsigned (19 downto 0)  ;
	begin
		if falling_edge(sync) then
			if odbierz='1' then
				licznik := licznik + 1;
				--NOM: if licznik = 10656 then
				if licznik = 5000 then
					rec <= '1' ;
				--NOM: elsif licznik = 597336 then
				elsif licznik = 610000 then
					rec <= '0' ;
				elsif licznik = 1000000 then
					odbierz <= '0' ;
					licznik := "00000000000000000000";
				end if ;
			else
				if sfh  = '1' then
					odbierz <= '1' ;
				end if ;
			end if ;
		end if;
	end process receive ;

end detektor_transmisji_Behavioral;
