-- VHDL model created from C:\Xilinx\cpld\data\drawing\fdc.sch - Fri Jan 02 13:36:14 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FDC_MXILINX_odbiornik_r5_ext is
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic; 
          Q   : out   std_logic);
end FDC_MXILINX_odbiornik_r5_ext;

architecture BEHAVIORAL of FDC_MXILINX_odbiornik_r5_ext is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_5 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_55 : GND
      port map (G=>XLXN_5);
   
   U0 : FDCP
      port map (C=>C, CLR=>CLR, D=>D, PRE=>XLXN_5, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fjkc.sch - Fri Jan 02 13:36:14 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FJKC_MXILINX_odbiornik_r5_ext is
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          J   : in    std_logic; 
          K   : in    std_logic; 
          Q   : out   std_logic);
end FJKC_MXILINX_odbiornik_r5_ext;

architecture BEHAVIORAL of FJKC_MXILINX_odbiornik_r5_ext is
   attribute HU_SET         : STRING ;
   attribute BOX_TYPE       : STRING ;
   signal AD      : std_logic;
   signal A0      : std_logic;
   signal A1      : std_logic;
   signal A2      : std_logic;
   signal Q_DUMMY : std_logic;
   component FDC_MXILINX_odbiornik_r5_ext
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : COMPONENT is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : COMPONENT is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : COMPONENT is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of I_36_32 : LABEL is "I_36_32_0";
begin
   Q <= Q_DUMMY;
   I_36_32 : FDC_MXILINX_odbiornik_r5_ext
      port map (C=>C, CLR=>CLR, D=>AD, Q=>Q_DUMMY);
   
   I_36_37 : AND3B2
      port map (I0=>J, I1=>K, I2=>Q_DUMMY, O=>A0);
   
   I_36_40 : AND3B1
      port map (I0=>Q_DUMMY, I1=>K, I2=>J, O=>A1);
   
   I_36_41 : OR3
      port map (I0=>A2, I1=>A1, I2=>A0, O=>AD);
   
   I_36_43 : AND2B1
      port map (I0=>K, I1=>J, O=>A2);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\ld4.sch - Fri Jan 02 13:36:14 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity LD4_MXILINX_odbiornik_r5_ext is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          D2 : in    std_logic; 
          D3 : in    std_logic; 
          G  : in    std_logic; 
          Q0 : out   std_logic; 
          Q1 : out   std_logic; 
          Q2 : out   std_logic; 
          Q3 : out   std_logic);
end LD4_MXILINX_odbiornik_r5_ext;

architecture BEHAVIORAL of LD4_MXILINX_odbiornik_r5_ext is
   attribute INIT       : STRING ;
   attribute BOX_TYPE   : STRING ;
   component LD
      -- synopsys translate_off
      generic( INIT : bit :=  '0');
      -- synopsys translate_on
      port ( D : in    std_logic; 
             G : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute INIT of LD : COMPONENT is "0";
   attribute BOX_TYPE of LD : COMPONENT is "BLACK_BOX";
   
begin
   U0 : LD
      port map (D=>D0, G=>G, Q=>Q0);
   
   U1 : LD
      port map (D=>D1, G=>G, Q=>Q1);
   
   U2 : LD
      port map (D=>D2, G=>G, Q=>Q2);
   
   U3 : LD
      port map (D=>D3, G=>G, Q=>Q3);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Fri Jan 02 13:36:14 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_odbiornik_r5_ext is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_odbiornik_r5_ext;

architecture BEHAVIORAL of FD_MXILINX_odbiornik_r5_ext is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fdre.sch - Fri Jan 02 13:36:14 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FDRE_MXILINX_odbiornik_r5_ext is
   port ( C  : in    std_logic; 
          CE : in    std_logic; 
          D  : in    std_logic; 
          R  : in    std_logic; 
          Q  : out   std_logic);
end FDRE_MXILINX_odbiornik_r5_ext;

architecture BEHAVIORAL of FDRE_MXILINX_odbiornik_r5_ext is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   attribute RLOC       : STRING ;
   signal A0      : std_logic;
   signal A1      : std_logic;
   signal QD      : std_logic;
   signal Q_DUMMY : std_logic;
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : COMPONENT is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_odbiornik_r5_ext
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   attribute HU_SET of I_36_42 : LABEL is "I_36_42_1";
   attribute RLOC of I_36_42 : LABEL is "R0C0";
begin
   Q <= Q_DUMMY;
   I_36_32 : AND3B1
      port map (I0=>R, I1=>D, I2=>CE, O=>A1);
   
   I_36_33 : AND3B2
      port map (I0=>CE, I1=>R, I2=>Q_DUMMY, O=>A0);
   
   I_36_34 : OR2
      port map (I0=>A1, I1=>A0, O=>QD);
   
   I_36_42 : FD_MXILINX_odbiornik_r5_ext
      port map (C=>C, D=>QD, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\sr4re.sch - Fri Jan 02 13:36:14 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity SR4RE_MXILINX_odbiornik_r5_ext is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          R   : in    std_logic; 
          SLI : in    std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic);
end SR4RE_MXILINX_odbiornik_r5_ext;

architecture BEHAVIORAL of SR4RE_MXILINX_odbiornik_r5_ext is
   attribute HU_SET     : STRING ;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   component FDRE_MXILINX_odbiornik_r5_ext
      port ( C  : in    std_logic; 
             CE : in    std_logic; 
             D  : in    std_logic; 
             R  : in    std_logic; 
             Q  : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : LABEL is "U0_2";
   attribute HU_SET of U1 : LABEL is "U1_3";
   attribute HU_SET of U2 : LABEL is "U2_4";
   attribute HU_SET of U3 : LABEL is "U3_5";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   U0 : FDRE_MXILINX_odbiornik_r5_ext
      port map (C=>C, CE=>CE, D=>SLI, R=>R, Q=>Q0_DUMMY);
   
   U1 : FDRE_MXILINX_odbiornik_r5_ext
      port map (C=>C, CE=>CE, D=>Q0_DUMMY, R=>R, Q=>Q1_DUMMY);
   
   U2 : FDRE_MXILINX_odbiornik_r5_ext
      port map (C=>C, CE=>CE, D=>Q1_DUMMY, R=>R, Q=>Q2_DUMMY);
   
   U3 : FDRE_MXILINX_odbiornik_r5_ext
      port map (C=>C, CE=>CE, D=>Q2_DUMMY, R=>R, Q=>Q3);
   
end BEHAVIORAL;


-- VHDL model created from odbiornik_r5_ext.sch - Fri Jan 02 13:36:14 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity odbiornik_r5_ext is
   port ( SFH  : in    std_logic; 
          SYNC : in    std_logic; 
          LED1 : out   std_logic; 
          LED5 : out   std_logic; 
          REL  : out   std_logic; 
          T1   : out   std_logic; 
          wys  : out   std_logic_vector (6 downto 0));
end odbiornik_r5_ext;

architecture BEHAVIORAL of odbiornik_r5_ext is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal ff         : std_logic;
   signal x          : std_logic_vector (3 downto 0);
   signal XLXN_5     : std_logic;
   signal XLXN_32    : std_logic;
   signal XLXN_52    : std_logic;
   signal XLXN_53    : std_logic;
   signal XLXN_54    : std_logic;
   signal XLXN_55    : std_logic;
   signal XLXN_58    : std_logic;
   signal XLXN_83    : std_logic;
   signal XLXN_86    : std_logic;
   signal XLXN_87    : std_logic;
   signal LED1_DUMMY : std_logic;
   signal LED5_DUMMY : std_logic;
   signal T1_DUMMY   : std_logic;
   component detektor_transmisji
      port ( sfh  : in    std_logic; 
             sync : in    std_logic; 
             rec  : out   std_logic);
   end component;
   
   component uklad_taktujacy
      port ( enable  : in    std_logic; 
             sync    : in    std_logic; 
             out_clk : inout std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_odbiornik_r5_ext
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component SR4RE_MXILINX_odbiornik_r5_ext
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             R   : in    std_logic; 
             SLI : in    std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic);
   end component;
   
   component dekoder7segm
      port ( x : in    std_logic_vector (3 downto 0); 
             y : out   std_logic_vector (6 downto 0));
   end component;
   
   component LD4_MXILINX_odbiornik_r5_ext
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             D2 : in    std_logic; 
             D3 : in    std_logic; 
             G  : in    std_logic; 
             Q0 : out   std_logic; 
             Q1 : out   std_logic; 
             Q2 : out   std_logic; 
             Q3 : out   std_logic);
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component FJKC_MXILINX_odbiornik_r5_ext
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             J   : in    std_logic; 
             K   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component AND4B4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B4 : COMPONENT is "BLACK_BOX";
   
   component AND4B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B3 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_11 : LABEL is "XLXI_11_6";
   attribute HU_SET of XLXI_13 : LABEL is "XLXI_13_7";
   attribute HU_SET of XLXI_20 : LABEL is "XLXI_20_8";
   attribute HU_SET of XLXI_28 : LABEL is "XLXI_28_9";
begin
   LED1 <= LED1_DUMMY;
   LED5 <= LED5_DUMMY;
   T1 <= T1_DUMMY;
   XLXI_1 : detektor_transmisji
      port map (sfh=>ff, sync=>SYNC, rec=>LED1_DUMMY);
   
   XLXI_2 : uklad_taktujacy
      port map (enable=>LED1_DUMMY, sync=>SYNC, out_clk=>XLXN_32);
   
   XLXI_9 : GND
      port map (G=>T1_DUMMY);
   
   XLXI_10 : VCC
      port map (P=>XLXN_5);
   
   XLXI_11 : FD_MXILINX_odbiornik_r5_ext
      port map (C=>SYNC, D=>XLXN_32, Q=>LED5_DUMMY);
   
   XLXI_13 : SR4RE_MXILINX_odbiornik_r5_ext
      port map (C=>LED5_DUMMY, CE=>XLXN_5, R=>T1_DUMMY, SLI=>ff, Q0=>XLXN_52,
            Q1=>XLXN_53, Q2=>XLXN_54, Q3=>XLXN_55);
   
   XLXI_14 : dekoder7segm
      port map (x(3 downto 0)=>x(3 downto 0), y(6 downto 0)=>wys(6 downto 0));
   
   XLXI_20 : LD4_MXILINX_odbiornik_r5_ext
      port map (D0=>XLXN_52, D1=>XLXN_53, D2=>XLXN_54, D3=>XLXN_55, G=>XLXN_58,
            Q0=>x(0), Q1=>x(1), Q2=>x(2), Q3=>x(3));
   
   XLXI_23 : INV
      port map (I=>LED1_DUMMY, O=>XLXN_58);
   
   XLXI_28 : FJKC_MXILINX_odbiornik_r5_ext
      port map (C=>SYNC, CLR=>XLXN_86, J=>XLXN_87, K=>XLXN_83, Q=>REL);
   
   XLXI_29 : GND
      port map (G=>XLXN_86);
   
   XLXI_32 : AND4B4
      port map (I0=>x(0), I1=>x(1), I2=>x(2), I3=>x(3), O=>XLXN_83);
   
   XLXI_33 : AND4B3
      port map (I0=>x(3), I1=>x(2), I2=>x(1), I3=>x(0), O=>XLXN_87);
   
   XLXI_35 : INV
      port map (I=>SFH, O=>ff);
   
end BEHAVIORAL;


