library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity dekoder7segm is
    Port ( x : in std_logic_vector(3 downto 0);
           y : out std_logic_vector(6 downto 0));
end dekoder7segm;

architecture Behavioral of dekoder7segm is
	
begin
	y <= 
	--wyswietlenie jednosci
	"1000000" when (x = "0000") else
	"1111001" when (x = "0001") else
	"0100100" when (x = "0010") else
	"0110000" when (x = "0011") else
	"0011001" when (x = "0100") else
	"0010010" when (x = "0101") else
	"0000010" when (x = "0110") else
	"1111000" when (x = "0111") else
	"0000000" when (x = "1000") else
	"0010000" when (x = "1001") else
	"0111111"  ;

end Behavioral;
