-- VHDL model created from C:\Xilinx\cpld\data\drawing\ld4.sch - Fri Jan 02 15:41:45 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity LD4_MXILINX_odbiornik_r5_err_free is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          D2 : in    std_logic; 
          D3 : in    std_logic; 
          G  : in    std_logic; 
          Q0 : out   std_logic; 
          Q1 : out   std_logic; 
          Q2 : out   std_logic; 
          Q3 : out   std_logic);
end LD4_MXILINX_odbiornik_r5_err_free;

architecture BEHAVIORAL of LD4_MXILINX_odbiornik_r5_err_free is
   attribute INIT       : STRING ;
   attribute BOX_TYPE   : STRING ;
   component LD
      -- synopsys translate_off
      generic( INIT : bit :=  '0');
      -- synopsys translate_on
      port ( D : in    std_logic; 
             G : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute INIT of LD : COMPONENT is "0";
   attribute BOX_TYPE of LD : COMPONENT is "BLACK_BOX";
   
begin
   U0 : LD
      port map (D=>D0, G=>G, Q=>Q0);
   
   U1 : LD
      port map (D=>D1, G=>G, Q=>Q1);
   
   U2 : LD
      port map (D=>D2, G=>G, Q=>Q2);
   
   U3 : LD
      port map (D=>D3, G=>G, Q=>Q3);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\sr8ce.sch - Fri Jan 02 15:41:45 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity SR8CE_MXILINX_odbiornik_r5_err_free is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          SLI : in    std_logic; 
          Q   : out   std_logic_vector (7 downto 0));
end SR8CE_MXILINX_odbiornik_r5_err_free;

architecture BEHAVIORAL of SR8CE_MXILINX_odbiornik_r5_err_free is
   attribute BOX_TYPE   : STRING ;
   signal Q_DUMMY : std_logic_vector (7 downto 0);
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : COMPONENT is "BLACK_BOX";
   
begin
   Q(7 downto 0) <= Q_DUMMY(7 downto 0);
   Q0 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>SLI, Q=>Q_DUMMY(0));
   
   Q1 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(0), Q=>Q_DUMMY(1));
   
   Q2 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(1), Q=>Q_DUMMY(2));
   
   Q3 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(2), Q=>Q_DUMMY(3));
   
   Q4 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(3), Q=>Q_DUMMY(4));
   
   Q5 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(4), Q=>Q_DUMMY(5));
   
   Q6 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(5), Q=>Q_DUMMY(6));
   
   Q7 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>Q_DUMMY(6), Q=>Q_DUMMY(7));
   
end BEHAVIORAL;


-- VHDL model created from odbiornik_r5_err_free.sch - Fri Jan 02 15:41:45 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity odbiornik_r5_err_free is
   port ( SFH  : in    std_logic; 
          SYNC : in    std_logic; 
          LED5 : out   std_logic; 
          REL  : out   std_logic; 
          T1   : out   std_logic; 
          wys  : out   std_logic_vector (6 downto 0));
end odbiornik_r5_err_free;

architecture BEHAVIORAL of odbiornik_r5_err_free is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal Q        : std_logic_vector (7 downto 0);
   signal rr       : std_logic;
   signal X        : std_logic_vector (3 downto 0);
   signal XLXN_7   : std_logic;
   signal XLXN_8   : std_logic;
   signal XLXN_150 : std_logic;
   signal XLXN_151 : std_logic;
   signal XLXN_152 : std_logic;
   signal XLXN_153 : std_logic;
   signal XLXN_412 : std_logic;
   signal XLXN_413 : std_logic;
   signal XLXN_414 : std_logic;
   signal XLXN_415 : std_logic;
   signal XLXN_416 : std_logic;
   signal XLXN_422 : std_logic;
   signal XLXN_448 : std_logic_vector (3 downto 0);
   signal XLXN_449 : std_logic;
   signal yyy      : std_logic;
   signal T1_DUMMY : std_logic;
   component detektor_transmisji
      port ( sfh  : in    std_logic; 
             sync : in    std_logic; 
             rec  : out   std_logic);
   end component;
   
   component uklad_taktujacy
      port ( enable  : in    std_logic; 
             sync    : in    std_logic; 
             out_clk : inout std_logic);
   end component;
   
   component SR8CE_MXILINX_odbiornik_r5_err_free
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             SLI : in    std_logic; 
             Q   : out   std_logic_vector (7 downto 0));
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : COMPONENT is "BLACK_BOX";
   
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component LD4_MXILINX_odbiornik_r5_err_free
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             D2 : in    std_logic; 
             D3 : in    std_logic; 
             G  : in    std_logic; 
             Q0 : out   std_logic; 
             Q1 : out   std_logic; 
             Q2 : out   std_logic; 
             Q3 : out   std_logic);
   end component;
   
   component dekoder7segm
      port ( x : in    std_logic_vector (3 downto 0); 
             y : out   std_logic_vector (6 downto 0));
   end component;
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component dekoder
      port ( x   : in    std_logic_vector (3 downto 0); 
             rel : out   std_logic; 
             y   : out   std_logic_vector (3 downto 0));
   end component;
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_3 : LABEL is "XLXI_3_0";
   attribute HU_SET of XLXI_48 : LABEL is "XLXI_48_1";
begin
   T1 <= T1_DUMMY;
   XLXI_1 : detektor_transmisji
      port map (sfh=>rr, sync=>SYNC, rec=>XLXN_422);
   
   XLXI_2 : uklad_taktujacy
      port map (enable=>XLXN_422, sync=>SYNC, out_clk=>XLXN_7);
   
   XLXI_3 : SR8CE_MXILINX_odbiornik_r5_err_free
      port map (C=>XLXN_7, CE=>XLXN_8, CLR=>T1_DUMMY, SLI=>rr, Q(7 downto
            0)=>Q(7 downto 0));
   
   XLXI_4 : GND
      port map (G=>T1_DUMMY);
   
   XLXI_5 : VCC
      port map (P=>XLXN_8);
   
   XLXI_10 : BUF
      port map (I=>Q(0), O=>XLXN_415);
   
   XLXI_21 : XOR2
      port map (I0=>Q(0), I1=>Q(1), O=>XLXN_153);
   
   XLXI_22 : XOR2
      port map (I0=>Q(4), I1=>Q(5), O=>XLXN_151);
   
   XLXI_23 : XOR2
      port map (I0=>Q(6), I1=>Q(7), O=>XLXN_150);
   
   XLXI_24 : XOR2
      port map (I0=>Q(2), I1=>Q(3), O=>XLXN_152);
   
   XLXI_28 : BUF
      port map (I=>Q(4), O=>XLXN_413);
   
   XLXI_29 : BUF
      port map (I=>Q(6), O=>XLXN_412);
   
   XLXI_32 : BUF
      port map (I=>Q(2), O=>XLXN_414);
   
   XLXI_33 : AND4
      port map (I0=>XLXN_153, I1=>XLXN_152, I2=>XLXN_151, I3=>XLXN_150, O=>yyy);
   
   XLXI_48 : LD4_MXILINX_odbiornik_r5_err_free
      port map (D0=>XLXN_412, D1=>XLXN_413, D2=>XLXN_414, D3=>XLXN_415,
            G=>XLXN_416, Q0=>X(3), Q1=>X(2), Q2=>X(1), Q3=>X(0));
   
   XLXI_49 : dekoder7segm
      port map (x(3 downto 0)=>XLXN_448(3 downto 0), y(6 downto 0)=>wys(6
            downto 0));
   
   XLXI_61 : AND2
      port map (I0=>XLXN_449, I1=>yyy, O=>XLXN_416);
   
   XLXI_62 : INV
      port map (I=>XLXN_422, O=>XLXN_449);
   
   XLXI_65 : dekoder
      port map (x(3 downto 0)=>X(3 downto 0), rel=>REL, y(3 downto
            0)=>XLXN_448(3 downto 0));
   
   XLXI_66 : OR2
      port map (I0=>yyy, I1=>XLXN_422, O=>LED5);
   
   XLXI_67 : INV
      port map (I=>SFH, O=>rr);
   
end BEHAVIORAL;


