library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity uklad_taktujacy is
    Port ( enable : in std_logic;
		 sync : in std_logic;
           out_clk : inout std_logic);
end uklad_taktujacy;

architecture Behavioral of uklad_taktujacy is
begin
	taktowanie: process (sync) is
		--zakres do 10656 (14 bitow)
		variable presk : unsigned (13 downto 0)  ;
	begin
		if falling_edge(sync) then
			if enable = '1' then
				presk := presk + 1 ;
				--polokres: 444us
				if presk = 10656 then
					out_clk <= not out_clk ;
					presk := "00000000000000";
				end if ;
			else
				presk := "00000000000000";
				out_clk <= '1' ;
			end if ;
		end if ;
	end process taktowanie ;
end Behavioral;
