-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Thu Aug 07 23:03:05 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_przerzutnik_d is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_przerzutnik_d;

architecture BEHAVIORAL of FD_MXILINX_przerzutnik_d is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from przerzutnik_d.sch - Thu Aug 07 23:03:05 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity przerzutnik_d is
   port ( S1 : in    std_logic; 
          S2 : in    std_logic; 
          D2 : out   std_logic);
end przerzutnik_d;

architecture BEHAVIORAL of przerzutnik_d is
   attribute HU_SET     : STRING ;
   component FD_MXILINX_przerzutnik_d
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_0";
begin
   XLXI_1 : FD_MXILINX_przerzutnik_d
      port map (C=>S2, D=>S1, Q=>D2);
   
end BEHAVIORAL;


