VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL SYNC
        SIGNAL CLK
        SIGNAL S1
        SIGNAL XLXN_8
        SIGNAL D6
        SIGNAL XLXN_10
        SIGNAL D5
        SIGNAL XLXN_12
        SIGNAL D4
        SIGNAL XLXN_14
        SIGNAL D3
        SIGNAL XLXN_16
        SIGNAL D2
        PORT Input SYNC
        PORT Input CLK
        PORT Input S1
        PORT Output D6
        PORT Output D5
        PORT Output D4
        PORT Output D3
        PORT Output D2
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fd
            PIN C XLXN_4
            PIN D S1
            PIN Q D6
        END BLOCK
        BEGIN BLOCK XLXI_2 fd
            PIN C XLXN_4
            PIN D D5
            PIN Q D4
        END BLOCK
        BEGIN BLOCK XLXI_3 fd
            PIN C XLXN_4
            PIN D D6
            PIN Q D5
        END BLOCK
        BEGIN BLOCK XLXI_4 fd
            PIN C XLXN_4
            PIN D D3
            PIN Q D2
        END BLOCK
        BEGIN BLOCK XLXI_5 fd
            PIN C XLXN_4
            PIN D D4
            PIN Q D3
        END BLOCK
        BEGIN BLOCK XLXI_6 fd
            PIN C SYNC
            PIN D CLK
            PIN Q XLXN_4
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 736 1440 R0
        INSTANCE XLXI_2 1568 1440 R0
        INSTANCE XLXI_3 1152 1440 R0
        INSTANCE XLXI_4 2416 1440 R0
        INSTANCE XLXI_5 2000 1440 R0
        BEGIN BRANCH XLXN_4
            WIRE 720 1312 736 1312
            WIRE 720 1312 720 1440
            WIRE 720 1440 1120 1440
            WIRE 1120 1440 1552 1440
            WIRE 1552 1440 1984 1440
            WIRE 1984 1440 2400 1440
            WIRE 720 1440 720 1696
            WIRE 720 1696 752 1696
            WIRE 1120 1312 1120 1440
            WIRE 1120 1312 1152 1312
            WIRE 1552 1312 1568 1312
            WIRE 1552 1312 1552 1440
            WIRE 1984 1312 2000 1312
            WIRE 1984 1312 1984 1440
            WIRE 2400 1312 2416 1312
            WIRE 2400 1312 2400 1440
        END BRANCH
        INSTANCE XLXI_6 1136 1440 R180
        BEGIN BRANCH SYNC
            WIRE 1136 1568 1168 1568
        END BRANCH
        BEGIN BRANCH CLK
            WIRE 1136 1696 1168 1696
        END BRANCH
        BEGIN BRANCH S1
            WIRE 704 1184 736 1184
        END BRANCH
        BEGIN BRANCH D6
            WIRE 1120 1184 1136 1184
            WIRE 1136 1184 1152 1184
            WIRE 1136 976 1168 976
            WIRE 1136 976 1136 1184
        END BRANCH
        BEGIN BRANCH D5
            WIRE 1536 1184 1552 1184
            WIRE 1552 1184 1568 1184
            WIRE 1552 976 1616 976
            WIRE 1552 976 1552 1184
        END BRANCH
        BEGIN BRANCH D4
            WIRE 1952 1184 1968 1184
            WIRE 1968 1184 2000 1184
            WIRE 1968 976 2016 976
            WIRE 1968 976 1968 1184
        END BRANCH
        BEGIN BRANCH D3
            WIRE 2384 1184 2400 1184
            WIRE 2400 1184 2416 1184
            WIRE 2400 976 2448 976
            WIRE 2400 976 2400 1184
        END BRANCH
        BEGIN BRANCH D2
            WIRE 2800 1184 2816 1184
            WIRE 2816 976 2864 976
            WIRE 2816 976 2816 1184
        END BRANCH
        IOMARKER 1168 1568 SYNC R0 28
        IOMARKER 1168 1696 CLK R0 28
        IOMARKER 704 1184 S1 R180 28
        IOMARKER 1168 976 D6 R0 28
        IOMARKER 1616 976 D5 R0 28
        IOMARKER 2016 976 D4 R0 28
        IOMARKER 2448 976 D3 R0 28
        IOMARKER 2864 976 D2 R0 28
    END SHEET
END SCHEMATIC
