-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Fri Aug 08 23:30:04 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_rejestr_przesuwajacy is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_rejestr_przesuwajacy;

architecture BEHAVIORAL of FD_MXILINX_rejestr_przesuwajacy is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from rejestr_przesuwajacy.sch - Fri Aug 08 23:30:04 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity rejestr_przesuwajacy is
   port ( CLK  : in    std_logic; 
          SYNC : in    std_logic; 
          S1   : in    std_logic; 
          D2   : out   std_logic; 
          D3   : out   std_logic; 
          D4   : out   std_logic; 
          D5   : out   std_logic; 
          D6   : out   std_logic);
end rejestr_przesuwajacy;

architecture BEHAVIORAL of rejestr_przesuwajacy is
   attribute HU_SET     : STRING ;
   signal XLXN_4   : std_logic;
   signal D3_DUMMY : std_logic;
   signal D4_DUMMY : std_logic;
   signal D5_DUMMY : std_logic;
   signal D6_DUMMY : std_logic;
   component FD_MXILINX_rejestr_przesuwajacy
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_0";
   attribute HU_SET of XLXI_2 : LABEL is "XLXI_2_1";
   attribute HU_SET of XLXI_3 : LABEL is "XLXI_3_2";
   attribute HU_SET of XLXI_4 : LABEL is "XLXI_4_3";
   attribute HU_SET of XLXI_5 : LABEL is "XLXI_5_4";
   attribute HU_SET of XLXI_6 : LABEL is "XLXI_6_5";
begin
   D3 <= D3_DUMMY;
   D4 <= D4_DUMMY;
   D5 <= D5_DUMMY;
   D6 <= D6_DUMMY;
   XLXI_1 : FD_MXILINX_rejestr_przesuwajacy
      port map (C=>XLXN_4, D=>S1, Q=>D6_DUMMY);
   
   XLXI_2 : FD_MXILINX_rejestr_przesuwajacy
      port map (C=>XLXN_4, D=>D5_DUMMY, Q=>D4_DUMMY);
   
   XLXI_3 : FD_MXILINX_rejestr_przesuwajacy
      port map (C=>XLXN_4, D=>D6_DUMMY, Q=>D5_DUMMY);
   
   XLXI_4 : FD_MXILINX_rejestr_przesuwajacy
      port map (C=>XLXN_4, D=>D3_DUMMY, Q=>D2);
   
   XLXI_5 : FD_MXILINX_rejestr_przesuwajacy
      port map (C=>XLXN_4, D=>D4_DUMMY, Q=>D3_DUMMY);
   
   XLXI_6 : FD_MXILINX_rejestr_przesuwajacy
      port map (C=>SYNC, D=>CLK, Q=>XLXN_4);
   
end BEHAVIORAL;


