VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL CLK
        SIGNAL SYNC
        SIGNAL XLXN_5
        SIGNAL S1
        SIGNAL mag(0)
        SIGNAL D6
        SIGNAL mag(1)
        SIGNAL D5
        SIGNAL mag(2)
        SIGNAL D4
        SIGNAL mag(3)
        SIGNAL D3
        SIGNAL mag(4)
        SIGNAL D2
        SIGNAL mag(7:0)
        PORT Input CLK
        PORT Input SYNC
        PORT Input S1
        PORT Output D6
        PORT Output D5
        PORT Output D4
        PORT Output D3
        PORT Output D2
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF sr8ce
            TIMESTAMP 2001 3 9 11 24 10
            RECTANGLE N 64 -384 320 -64 
            LINE N 0 -320 64 -320 
            LINE N 0 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 0 -192 64 -192 
            RECTANGLE N 320 -268 384 -244 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2001 3 9 11 21 49
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 gnd
            PIN G XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_2 fd
            PIN C SYNC
            PIN D CLK
            PIN Q XLXN_5
        END BLOCK
        BEGIN BLOCK XLXI_3 vcc
            PIN P XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_4 sr8ce
            PIN C XLXN_5
            PIN CE XLXN_2
            PIN CLR XLXN_1
            PIN SLI S1
            PIN Q(7:0) mag(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_5 buf
            PIN I mag(0)
            PIN O D6
        END BLOCK
        BEGIN BLOCK XLXI_6 buf
            PIN I mag(1)
            PIN O D5
        END BLOCK
        BEGIN BLOCK XLXI_10 buf
            PIN I mag(2)
            PIN O D4
        END BLOCK
        BEGIN BLOCK XLXI_11 buf
            PIN I mag(3)
            PIN O D3
        END BLOCK
        BEGIN BLOCK XLXI_12 buf
            PIN I mag(4)
            PIN O D2
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 1328 1536 R0
        BEGIN BRANCH XLXN_1
            WIRE 1392 1392 1392 1408
        END BRANCH
        BEGIN BRANCH XLXN_2
            WIRE 1312 1216 1312 1232
            WIRE 1312 1232 1376 1232
            WIRE 1376 1232 1392 1232
        END BRANCH
        INSTANCE XLXI_2 928 1552 R0
        BEGIN BRANCH CLK
            WIRE 896 1296 928 1296
        END BRANCH
        BEGIN BRANCH SYNC
            WIRE 896 1424 928 1424
        END BRANCH
        BEGIN BRANCH XLXN_5
            WIRE 1312 1296 1328 1296
            WIRE 1328 1296 1392 1296
        END BRANCH
        BEGIN BRANCH S1
            WIRE 1360 1056 1376 1056
            WIRE 1376 1056 1376 1104
            WIRE 1376 1104 1392 1104
        END BRANCH
        INSTANCE XLXI_3 1248 1216 R0
        INSTANCE XLXI_4 1392 1424 R0
        BUSTAP 1824 1120 1920 1120
        BEGIN BRANCH mag(0)
            WIRE 1920 1120 1952 1120
        END BRANCH
        INSTANCE XLXI_5 1952 1152 R0
        BEGIN BRANCH D6
            WIRE 2176 1120 2192 1120
            WIRE 2192 1120 2208 1120
        END BRANCH
        BUSTAP 1824 1200 1920 1200
        INSTANCE XLXI_6 1952 1232 R0
        BEGIN BRANCH mag(1)
            WIRE 1920 1200 1952 1200
        END BRANCH
        BEGIN BRANCH D5
            WIRE 2176 1200 2208 1200
        END BRANCH
        BUSTAP 1824 1280 1920 1280
        INSTANCE XLXI_10 1952 1312 R0
        BEGIN BRANCH mag(2)
            WIRE 1920 1280 1952 1280
        END BRANCH
        BEGIN BRANCH D4
            WIRE 2176 1280 2208 1280
        END BRANCH
        BUSTAP 1824 1360 1920 1360
        INSTANCE XLXI_11 1952 1392 R0
        BEGIN BRANCH mag(3)
            WIRE 1920 1360 1952 1360
        END BRANCH
        BEGIN BRANCH D3
            WIRE 2176 1360 2208 1360
        END BRANCH
        BUSTAP 1824 1440 1920 1440
        INSTANCE XLXI_12 1952 1472 R0
        BEGIN BRANCH mag(4)
            WIRE 1920 1440 1952 1440
        END BRANCH
        BEGIN BRANCH D2
            WIRE 2176 1440 2208 1440
        END BRANCH
        BEGIN BRANCH mag(7:0)
            WIRE 1776 1168 1808 1168
            WIRE 1808 1168 1808 1200
            WIRE 1808 1200 1808 1280
            WIRE 1808 1280 1808 1360
            WIRE 1808 1360 1808 1440
            WIRE 1808 1440 1824 1440
            WIRE 1808 1360 1824 1360
            WIRE 1808 1280 1824 1280
            WIRE 1808 1200 1824 1200
            WIRE 1808 1120 1808 1168
            WIRE 1808 1120 1824 1120
        END BRANCH
        IOMARKER 896 1296 CLK R180 28
        IOMARKER 896 1424 SYNC R180 28
        IOMARKER 1360 1056 S1 R180 28
        IOMARKER 2208 1200 D5 R0 28
        IOMARKER 2208 1280 D4 R0 28
        IOMARKER 2208 1360 D3 R0 28
        IOMARKER 2208 1440 D2 R0 28
        IOMARKER 2208 1120 D6 R0 28
    END SHEET
END SCHEMATIC
