-- VHDL model created from C:\Xilinx\cpld\data\drawing\ld8.sch - Sun Aug 10 23:54:27 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity LD8_MXILINX_zatrzask is
   port ( D : in    std_logic_vector (7 downto 0); 
          G : in    std_logic; 
          Q : out   std_logic_vector (7 downto 0));
end LD8_MXILINX_zatrzask;

architecture BEHAVIORAL of LD8_MXILINX_zatrzask is
   attribute INIT       : STRING ;
   attribute BOX_TYPE   : STRING ;
   component LD
      -- synopsys translate_off
      generic( INIT : bit :=  '0');
      -- synopsys translate_on
      port ( D : in    std_logic; 
             G : in    std_logic; 
             Q : out   std_logic);
   end component;
   attribute INIT of LD : COMPONENT is "0";
   attribute BOX_TYPE of LD : COMPONENT is "BLACK_BOX";
   
begin
   Q0 : LD
      port map (D=>D(0), G=>G, Q=>Q(0));
   
   Q1 : LD
      port map (D=>D(1), G=>G, Q=>Q(1));
   
   Q2 : LD
      port map (D=>D(2), G=>G, Q=>Q(2));
   
   Q3 : LD
      port map (D=>D(3), G=>G, Q=>Q(3));
   
   Q4 : LD
      port map (D=>D(4), G=>G, Q=>Q(4));
   
   Q5 : LD
      port map (D=>D(5), G=>G, Q=>Q(5));
   
   Q6 : LD
      port map (D=>D(6), G=>G, Q=>Q(6));
   
   Q7 : LD
      port map (D=>D(7), G=>G, Q=>Q(7));
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Sun Aug 10 23:54:27 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_zatrzask is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_zatrzask;

architecture BEHAVIORAL of FD_MXILINX_zatrzask is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\ftce.sch - Sun Aug 10 23:54:27 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCE_MXILINX_zatrzask is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_zatrzask;

architecture BEHAVIORAL of FTCE_MXILINX_zatrzask is
   attribute BOX_TYPE       : STRING ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : COMPONENT is "BLACK_BOX";
   
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T, I1=>Q_DUMMY, O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>TQ, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb8ce.sch - Sun Aug 10 23:54:27 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB8CE_MXILINX_zatrzask is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q   : out   std_logic_vector (7 downto 0); 
          TC  : out   std_logic);
end CB8CE_MXILINX_zatrzask;

architecture BEHAVIORAL of CB8CE_MXILINX_zatrzask is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal T4       : std_logic;
   signal T5       : std_logic;
   signal T6       : std_logic;
   signal T7       : std_logic;
   signal XLXN_1   : std_logic;
   signal Q_DUMMY  : std_logic_vector (7 downto 0);
   signal TC_DUMMY : std_logic;
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_zatrzask
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of Q0 : LABEL is "Q0_6";
   attribute HU_SET of Q1 : LABEL is "Q1_7";
   attribute HU_SET of Q2 : LABEL is "Q2_3";
   attribute HU_SET of Q3 : LABEL is "Q3_4";
   attribute HU_SET of Q4 : LABEL is "Q4_5";
   attribute HU_SET of Q5 : LABEL is "Q5_2";
   attribute HU_SET of Q6 : LABEL is "Q6_1";
   attribute HU_SET of Q7 : LABEL is "Q7_0";
begin
   Q(7 downto 0) <= Q_DUMMY(7 downto 0);
   TC <= TC_DUMMY;
   I_36_1 : AND5
      port map (I0=>Q_DUMMY(7), I1=>Q_DUMMY(6), I2=>Q_DUMMY(5), I3=>Q_DUMMY(4),
            I4=>T4, O=>TC_DUMMY);
   
   I_36_2 : AND2
      port map (I0=>Q_DUMMY(4), I1=>T4, O=>T5);
   
   I_36_11 : AND3
      port map (I0=>Q_DUMMY(5), I1=>Q_DUMMY(4), I2=>T4, O=>T6);
   
   I_36_15 : AND4
      port map (I0=>Q_DUMMY(3), I1=>Q_DUMMY(2), I2=>Q_DUMMY(1), I3=>Q_DUMMY(0),
            O=>T4);
   
   I_36_16 : VCC
      port map (P=>XLXN_1);
   
   I_36_24 : AND2
      port map (I0=>Q_DUMMY(1), I1=>Q_DUMMY(0), O=>T2);
   
   I_36_26 : AND3
      port map (I0=>Q_DUMMY(2), I1=>Q_DUMMY(1), I2=>Q_DUMMY(0), O=>T3);
   
   I_36_28 : AND4
      port map (I0=>Q_DUMMY(6), I1=>Q_DUMMY(5), I2=>Q_DUMMY(4), I3=>T4, O=>T7);
   
   I_36_31 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   Q0 : FTCE_MXILINX_zatrzask
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q_DUMMY(0));
   
   Q1 : FTCE_MXILINX_zatrzask
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q_DUMMY(0), Q=>Q_DUMMY(1));
   
   Q2 : FTCE_MXILINX_zatrzask
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T2, Q=>Q_DUMMY(2));
   
   Q3 : FTCE_MXILINX_zatrzask
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T3, Q=>Q_DUMMY(3));
   
   Q4 : FTCE_MXILINX_zatrzask
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T4, Q=>Q_DUMMY(4));
   
   Q5 : FTCE_MXILINX_zatrzask
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T5, Q=>Q_DUMMY(5));
   
   Q6 : FTCE_MXILINX_zatrzask
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T6, Q=>Q_DUMMY(6));
   
   Q7 : FTCE_MXILINX_zatrzask
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T7, Q=>Q_DUMMY(7));
   
end BEHAVIORAL;


-- VHDL model created from zatrzask.sch - Sun Aug 10 23:54:27 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity zatrzask is
   port ( CLK  : in    std_logic; 
          SYNC : in    std_logic; 
          S1   : in    std_logic; 
          D2   : out   std_logic; 
          D3   : out   std_logic; 
          D4   : out   std_logic; 
          D5   : out   std_logic; 
          D6   : out   std_logic);
end zatrzask;

architecture BEHAVIORAL of zatrzask is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal Q      : std_logic_vector (7 downto 0);
   signal XLXN_1 : std_logic;
   signal XLXN_2 : std_logic;
   signal XLXN_3 : std_logic_vector (7 downto 0);
   signal XLXN_4 : std_logic;
   component CB8CE_MXILINX_zatrzask
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q   : out   std_logic_vector (7 downto 0); 
             TC  : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_zatrzask
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component LD8_MXILINX_zatrzask
      port ( D : in    std_logic_vector (7 downto 0); 
             G : in    std_logic; 
             Q : out   std_logic_vector (7 downto 0));
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_8";
   attribute HU_SET of XLXI_4 : LABEL is "XLXI_4_9";
   attribute HU_SET of XLXI_5 : LABEL is "XLXI_5_10";
begin
   XLXI_1 : CB8CE_MXILINX_zatrzask
      port map (C=>XLXN_4, CE=>XLXN_1, CLR=>XLXN_2, CEO=>open, Q(7 downto
            0)=>XLXN_3(7 downto 0), TC=>open);
   
   XLXI_2 : VCC
      port map (P=>XLXN_1);
   
   XLXI_3 : GND
      port map (G=>XLXN_2);
   
   XLXI_4 : FD_MXILINX_zatrzask
      port map (C=>SYNC, D=>CLK, Q=>XLXN_4);
   
   XLXI_5 : LD8_MXILINX_zatrzask
      port map (D(7 downto 0)=>XLXN_3(7 downto 0), G=>S1, Q(7 downto 0)=>Q(7
            downto 0));
   
   XLXI_11 : INV
      port map (I=>Q(0), O=>D6);
   
   XLXI_12 : INV
      port map (I=>Q(1), O=>D5);
   
   XLXI_13 : INV
      port map (I=>Q(2), O=>D4);
   
   XLXI_14 : INV
      port map (I=>Q(3), O=>D3);
   
   XLXI_15 : INV
      port map (I=>Q(4), O=>D2);
   
end BEHAVIORAL;


