VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL XLXN_8
        SIGNAL XLXN_9
        SIGNAL XLXN_10
        SIGNAL XLXN_11
        SIGNAL efwe
        SIGNAL XLXN_13
        SIGNAL CLK
        SIGNAL SFH
        SIGNAL SYNC
        SIGNAL ALARM
        SIGNAL GEN
        SIGNAL XLXN_16
        SIGNAL XLXN_17
        SIGNAL XLXN_18
        SIGNAL XLXN_20
        SIGNAL XLXN_22
        SIGNAL XLXN_23
        SIGNAL XLXN_24
        SIGNAL XLXN_25
        SIGNAL XLXN_26
        SIGNAL XLXN_27
        SIGNAL XLXN_29
        SIGNAL XLXN_30
        SIGNAL XLXN_31
        SIGNAL XLXN_32
        SIGNAL XLXN_33
        SIGNAL XLXN_34
        PORT Input CLK
        PORT Input SFH
        PORT Input SYNC
        PORT Output ALARM
        PORT Output GEN
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF and3b1
            TIMESTAMP 2001 5 11 10 42 26
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF or3
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -64 48 -64 
            LINE N 0 -128 72 -128 
            LINE N 0 -192 48 -192 
            LINE N 256 -128 192 -128 
            ARC N 28 -256 204 -80 112 -80 192 -128 
            ARC N -40 -184 72 -72 48 -80 48 -176 
            LINE N 48 -64 48 -80 
            LINE N 48 -192 48 -176 
            LINE N 112 -80 48 -80 
            ARC N 28 -176 204 0 192 -128 112 -176 
            LINE N 112 -176 48 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b1
            TIMESTAMP 2001 5 11 10 41 49
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 256 -96 192 -96 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b2
            TIMESTAMP 2001 5 11 10 42 1
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 64 -48 64 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fd
            PIN C SYNC
            PIN D XLXN_8
            PIN Q efwe
        END BLOCK
        BEGIN BLOCK XLXI_2 fd
            PIN C SYNC
            PIN D XLXN_11
            PIN Q XLXN_13
        END BLOCK
        BEGIN BLOCK XLXI_4 and3b1
            PIN I0 efwe
            PIN I1 XLXN_13
            PIN I2 CLK
            PIN O XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_5 and3b1
            PIN I0 SFH
            PIN I1 efwe
            PIN I2 XLXN_13
            PIN O XLXN_4
        END BLOCK
        BEGIN BLOCK XLXI_3 and3b1
            PIN I0 XLXN_13
            PIN I1 efwe
            PIN I2 CLK
            PIN O XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_6 or3
            PIN I0 XLXN_4
            PIN I1 XLXN_2
            PIN I2 XLXN_3
            PIN O XLXN_8
        END BLOCK
        BEGIN BLOCK XLXI_11 or2
            PIN I0 XLXN_9
            PIN I1 XLXN_10
            PIN O XLXN_11
        END BLOCK
        BEGIN BLOCK XLXI_12 and2b1
            PIN I0 efwe
            PIN I1 XLXN_13
            PIN O XLXN_10
        END BLOCK
        BEGIN BLOCK XLXI_13 and2b2
            PIN I0 CLK
            PIN I1 efwe
            PIN O XLXN_9
        END BLOCK
        BEGIN BLOCK XLXI_14 and2b1
            PIN I0 XLXN_13
            PIN I1 efwe
            PIN O ALARM
        END BLOCK
        BEGIN BLOCK XLXI_15 and2b1
            PIN I0 efwe
            PIN I1 XLXN_13
            PIN O GEN
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_4 960 1008 R0
        INSTANCE XLXI_5 960 1168 R0
        INSTANCE XLXI_3 960 848 R0
        INSTANCE XLXI_6 1248 1008 R0
        BEGIN BRANCH XLXN_2
            WIRE 1216 880 1248 880
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 1216 720 1248 720
            WIRE 1248 720 1248 816
        END BRANCH
        BEGIN BRANCH XLXN_4
            WIRE 1216 1040 1248 1040
            WIRE 1248 944 1248 1040
        END BRANCH
        INSTANCE XLXI_12 944 1344 R0
        INSTANCE XLXI_13 944 1504 R0
        INSTANCE XLXI_11 1232 1424 R0
        BEGIN BRANCH XLXN_9
            WIRE 1200 1408 1216 1408
            WIRE 1216 1360 1216 1408
            WIRE 1216 1360 1232 1360
        END BRANCH
        BEGIN BRANCH XLXN_10
            WIRE 1200 1248 1216 1248
            WIRE 1216 1248 1216 1296
            WIRE 1216 1296 1232 1296
        END BRANCH
        BEGIN BRANCH efwe
            WIRE 944 576 1984 576
            WIRE 1984 576 1984 704
            WIRE 1984 704 2064 704
            WIRE 2064 704 2112 704
            WIRE 2064 704 2064 1056
            WIRE 2064 1056 2096 1056
            WIRE 944 576 944 720
            WIRE 944 720 960 720
            WIRE 944 720 944 944
            WIRE 944 944 960 944
            WIRE 944 944 944 1040
            WIRE 944 1040 960 1040
            WIRE 944 1040 944 1280
            WIRE 944 1280 944 1376
            WIRE 944 1376 944 1504
            WIRE 1968 704 1984 704
        END BRANCH
        BEGIN BRANCH SFH
            WIRE 832 432 896 432
            WIRE 832 432 832 1104
            WIRE 832 1104 960 1104
            WIRE 832 1104 832 1504
        END BRANCH
        BEGIN BRANCH CLK
            WIRE 864 496 896 496
            WIRE 864 496 864 656
            WIRE 864 656 960 656
            WIRE 864 656 864 816
            WIRE 864 816 960 816
            WIRE 864 816 864 1440
            WIRE 864 1440 944 1440
            WIRE 864 1440 864 1504
        END BRANCH
        BEGIN BRANCH SYNC
            WIRE 1440 1040 1568 1040
            WIRE 1568 1040 1568 1248
            WIRE 1568 1248 1600 1248
            WIRE 1568 832 1584 832
            WIRE 1568 832 1568 1040
        END BRANCH
        BEGIN BRANCH ALARM
            WIRE 2368 736 2400 736
        END BRANCH
        BEGIN BRANCH GEN
            WIRE 2352 1088 2400 1088
        END BRANCH
        INSTANCE XLXI_1 1584 960 R0
        BEGIN BRANCH XLXN_8
            WIRE 1504 880 1520 880
            WIRE 1520 704 1584 704
            WIRE 1520 704 1520 880
        END BRANCH
        INSTANCE XLXI_2 1600 1376 R0
        BEGIN BRANCH XLXN_11
            WIRE 1488 1328 1504 1328
            WIRE 1504 1120 1600 1120
            WIRE 1504 1120 1504 1328
        END BRANCH
        IOMARKER 1440 1040 SYNC R180 28
        INSTANCE XLXI_14 2112 832 R0
        INSTANCE XLXI_15 2096 992 M180
        BEGIN BRANCH XLXN_13
            WIRE 912 544 2016 544
            WIRE 2016 544 2016 1120
            WIRE 2016 1120 2080 1120
            WIRE 2080 1120 2096 1120
            WIRE 912 544 912 784
            WIRE 912 784 960 784
            WIRE 912 784 912 880
            WIRE 912 880 960 880
            WIRE 912 880 912 976
            WIRE 912 976 960 976
            WIRE 912 976 912 1216
            WIRE 912 1216 944 1216
            WIRE 912 1216 912 1504
            WIRE 1984 1120 2016 1120
            WIRE 2080 768 2080 1120
            WIRE 2080 768 2112 768
        END BRANCH
        IOMARKER 2400 736 ALARM R0 28
        IOMARKER 2400 1088 GEN R0 28
        IOMARKER 896 432 SFH R0 28
        IOMARKER 896 496 CLK R0 28
    END SHEET
END SCHEMATIC
