-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Tue Mar 03 21:48:07 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_calosc is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_calosc;

architecture BEHAVIORAL of FD_MXILINX_calosc is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from calosc.sch - Tue Mar 03 21:48:07 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity calosc is
   port ( CLK     : in    std_logic; 
          SFH     : in    std_logic; 
          SYNC    : in    std_logic; 
          S1      : in    std_logic; 
          IRED    : out   std_logic; 
          LED1    : out   std_logic; 
          LED2    : out   std_logic; 
          LED3    : out   std_logic; 
          LED5    : out   std_logic; 
          XLXN_48 : out   std_logic);
end calosc;

architecture BEHAVIORAL of calosc is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal fwe           : std_logic;
   signal XLXN_3        : std_logic;
   signal XLXN_4        : std_logic;
   signal XLXN_33       : std_logic;
   signal XLXN_34       : std_logic;
   signal XLXN_35       : std_logic;
   signal XLXN_36       : std_logic;
   signal XLXN_49       : std_logic;
   signal XLXN_57       : std_logic;
   signal XLXN_62       : std_logic;
   signal XLXN_64       : std_logic;
   signal XLXN_66       : std_logic;
   signal LED2_DUMMY    : std_logic;
   signal XLXN_48_DUMMY : std_logic;
   component bariera
      port ( CLK   : in    std_logic; 
             SFH   : in    std_logic; 
             SYNC  : in    std_logic; 
             ALARM : out   std_logic; 
             GEN   : out   std_logic);
   end component;
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_calosc
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component zamek
      port ( S1   : in    std_logic; 
             CLK  : in    std_logic; 
             SYNC : in    std_logic; 
             LED5 : out   std_logic; 
             LED1 : out   std_logic);
   end component;
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   component OR3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3B2 : COMPONENT is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component presk
      port ( inclk    : in    std_logic; 
             out36kHz : out   std_logic; 
             out500Hz : out   std_logic);
   end component;
   
   attribute HU_SET of XLXI_4 : LABEL is "XLXI_4_0";
   attribute HU_SET of XLXI_6 : LABEL is "XLXI_6_1";
   attribute HU_SET of XLXI_7 : LABEL is "XLXI_7_2";
begin
   LED2 <= LED2_DUMMY;
   XLXN_48 <= XLXN_48_DUMMY;
   XLXI_1 : bariera
      port map (CLK=>XLXN_66, SFH=>SFH, SYNC=>SYNC, ALARM=>fwe, GEN=>XLXN_4);
   
   XLXI_3 : AND2
      port map (I0=>XLXN_3, I1=>XLXN_4, O=>IRED);
   
   XLXI_4 : FD_MXILINX_calosc
      port map (C=>SYNC, D=>CLK, Q=>XLXN_64);
   
   XLXI_5 : zamek
      port map (CLK=>XLXN_64, SYNC=>SYNC, S1=>S1, LED1=>LED1, LED5=>LED2_DUMMY);
   
   XLXI_6 : FD_MXILINX_calosc
      port map (C=>SYNC, D=>XLXN_36, Q=>XLXN_48_DUMMY);
   
   XLXI_7 : FD_MXILINX_calosc
      port map (C=>SYNC, D=>XLXN_35, Q=>XLXN_49);
   
   XLXI_9 : OR2
      port map (I0=>XLXN_33, I1=>XLXN_34, O=>XLXN_35);
   
   XLXI_10 : AND2
      port map (I0=>LED2_DUMMY, I1=>XLXN_48_DUMMY, O=>XLXN_34);
   
   XLXI_11 : AND2
      port map (I0=>LED2_DUMMY, I1=>XLXN_49, O=>XLXN_33);
   
   XLXI_12 : AND2B1
      port map (I0=>fwe, I1=>XLXN_48_DUMMY, O=>XLXN_57);
   
   XLXI_54 : OR3B2
      port map (I0=>XLXN_49, I1=>LED2_DUMMY, I2=>XLXN_57, O=>XLXN_36);
   
   XLXI_55 : AND2B1
      port map (I0=>XLXN_48_DUMMY, I1=>XLXN_49, O=>XLXN_62);
   
   XLXI_56 : INV
      port map (I=>fwe, O=>LED3);
   
   XLXI_57 : INV
      port map (I=>XLXN_62, O=>LED5);
   
   XLXI_58 : presk
      port map (inclk=>SYNC, out36kHz=>XLXN_3, out500Hz=>XLXN_66);
   
end BEHAVIORAL;


