-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Tue Mar 03 10:56:11 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_zamek is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_zamek;

architecture BEHAVIORAL of FD_MXILINX_zamek is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fdc.sch - Tue Mar 03 10:56:11 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FDC_MXILINX_zamek is
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic; 
          Q   : out   std_logic);
end FDC_MXILINX_zamek;

architecture BEHAVIORAL of FDC_MXILINX_zamek is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_5 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_55 : GND
      port map (G=>XLXN_5);
   
   U0 : FDCP
      port map (C=>C, CLR=>CLR, D=>D, PRE=>XLXN_5, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\ftc.sch - Tue Mar 03 10:56:11 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTC_MXILINX_zamek is
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTC_MXILINX_zamek;

architecture BEHAVIORAL of FTC_MXILINX_zamek is
   attribute BOX_TYPE       : STRING ;
   attribute HU_SET         : STRING ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component FDC_MXILINX_zamek
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of I_36_35 : LABEL is "I_36_35_0";
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T, I1=>Q_DUMMY, O=>TQ);
   
   I_36_35 : FDC_MXILINX_zamek
      port map (C=>C, CLR=>CLR, D=>TQ, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from zamek.sch - Tue Mar 03 10:56:11 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity zamek is
   port ( CLK  : in    std_logic; 
          SYNC : in    std_logic; 
          S1   : in    std_logic; 
          LED1 : out   std_logic; 
          LED5 : out   std_logic);
end zamek;

architecture BEHAVIORAL of zamek is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal XLXN_32    : std_logic;
   signal XLXN_33    : std_logic;
   signal XLXN_39    : std_logic;
   signal XLXN_40    : std_logic;
   signal XLXN_41    : std_logic;
   signal XLXN_42    : std_logic;
   signal XLXN_58    : std_logic;
   signal XLXN_59    : std_logic;
   signal XLXN_60    : std_logic;
   signal XLXN_61    : std_logic;
   signal XLXN_62    : std_logic;
   signal XLXN_63    : std_logic;
   signal XLXN_67    : std_logic;
   signal XLXN_68    : std_logic;
   signal XLXN_69    : std_logic;
   signal XLXN_100   : std_logic;
   signal XLXN_103   : std_logic;
   signal XLXN_104   : std_logic;
   signal XLXN_105   : std_logic;
   signal LED1_DUMMY : std_logic;
   signal LED5_DUMMY : std_logic;
   component AND2B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B2 : COMPONENT is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : COMPONENT is "BLACK_BOX";
   
   component AND4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B2 : COMPONENT is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : COMPONENT is "BLACK_BOX";
   
   component FTC_MXILINX_zamek
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_zamek
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : COMPONENT is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_27 : LABEL is "XLXI_27_2";
   attribute HU_SET of XLXI_28 : LABEL is "XLXI_28_1";
   attribute HU_SET of XLXI_29 : LABEL is "XLXI_29_3";
   attribute HU_SET of XLXI_33 : LABEL is "XLXI_33_4";
begin
   LED1 <= LED1_DUMMY;
   LED5 <= LED5_DUMMY;
   XLXI_1 : AND2B2
      port map (I0=>S1, I1=>LED5_DUMMY, O=>XLXN_104);
   
   XLXI_2 : AND2B2
      port map (I0=>XLXN_32, I1=>LED5_DUMMY, O=>XLXN_103);
   
   XLXI_3 : AND2B2
      port map (I0=>XLXN_33, I1=>LED5_DUMMY, O=>XLXN_100);
   
   XLXI_4 : AND3B2
      port map (I0=>S1, I1=>XLXN_33, I2=>XLXN_32, O=>XLXN_41);
   
   XLXI_5 : AND3B2
      port map (I0=>S1, I1=>LED5_DUMMY, I2=>XLXN_32, O=>XLXN_40);
   
   XLXI_6 : AND3B2
      port map (I0=>XLXN_33, I1=>LED5_DUMMY, I2=>XLXN_32, O=>XLXN_39);
   
   XLXI_7 : AND4B2
      port map (I0=>S1, I1=>XLXN_32, I2=>XLXN_33, I3=>LED5_DUMMY, O=>XLXN_42);
   
   XLXI_13 : AND2B1
      port map (I0=>S1, I1=>XLXN_33, O=>XLXN_60);
   
   XLXI_23 : AND3B1
      port map (I0=>XLXN_33, I1=>S1, I2=>LED5_DUMMY, O=>XLXN_59);
   
   XLXI_24 : AND3B2
      port map (I0=>LED5_DUMMY, I1=>XLXN_32, I2=>XLXN_33, O=>XLXN_58);
   
   XLXI_27 : FTC_MXILINX_zamek
      port map (C=>LED1_DUMMY, CLR=>XLXN_69, T=>XLXN_61, Q=>LED5_DUMMY);
   
   XLXI_28 : FTC_MXILINX_zamek
      port map (C=>LED1_DUMMY, CLR=>XLXN_68, T=>XLXN_62, Q=>XLXN_32);
   
   XLXI_29 : FTC_MXILINX_zamek
      port map (C=>LED1_DUMMY, CLR=>XLXN_67, T=>XLXN_63, Q=>XLXN_33);
   
   XLXI_30 : GND
      port map (G=>XLXN_69);
   
   XLXI_31 : GND
      port map (G=>XLXN_68);
   
   XLXI_32 : GND
      port map (G=>XLXN_67);
   
   XLXI_33 : FD_MXILINX_zamek
      port map (C=>SYNC, D=>CLK, Q=>LED1_DUMMY);
   
   XLXI_56 : OR4
      port map (I0=>XLXN_100, I1=>XLXN_103, I2=>XLXN_104, I3=>XLXN_105,
            O=>XLXN_61);
   
   XLXI_57 : AND4
      port map (I0=>S1, I1=>XLXN_33, I2=>XLXN_32, I3=>LED5_DUMMY, O=>XLXN_105);
   
   XLXI_58 : OR4
      port map (I0=>XLXN_42, I1=>XLXN_39, I2=>XLXN_40, I3=>XLXN_41, O=>XLXN_62);
   
   XLXI_59 : OR3
      port map (I0=>XLXN_59, I1=>XLXN_58, I2=>XLXN_60, O=>XLXN_63);
   
end BEHAVIORAL;


