VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL CLK
        SIGNAL SYNC
        SIGNAL S1
        SIGNAL XLXN_5
        SIGNAL XLXN_6
        SIGNAL XLXN_7
        SIGNAL XLXN_8
        SIGNAL LED_1
        SIGNAL XLXN_10
        PORT Input CLK
        PORT Input SYNC
        PORT Input S1
        PORT Output LED_1
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF fjkc
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -320 64 -320 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 64 -384 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fd
            PIN C SYNC
            PIN D CLK
            PIN Q XLXN_7
        END BLOCK
        BEGIN BLOCK XLXI_2 fjkc
            PIN C XLXN_7
            PIN CLR XLXN_10
            PIN J S1
            PIN K S1
            PIN Q LED_1
        END BLOCK
        BEGIN BLOCK XLXI_3 gnd
            PIN G XLXN_10
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_2 1680 1840 R0
        BEGIN BRANCH CLK
            WIRE 1200 1712 1232 1712
            WIRE 1232 1712 1248 1712
        END BRANCH
        BEGIN BRANCH SYNC
            WIRE 1216 1840 1232 1840
            WIRE 1232 1840 1248 1840
        END BRANCH
        BEGIN BRANCH S1
            WIRE 1584 1520 1648 1520
            WIRE 1648 1520 1664 1520
            WIRE 1664 1520 1680 1520
            WIRE 1648 1520 1648 1584
            WIRE 1648 1584 1680 1584
        END BRANCH
        INSTANCE XLXI_1 1248 1968 R0
        IOMARKER 1216 1840 SYNC R180 28
        BEGIN BRANCH XLXN_7
            WIRE 1632 1712 1664 1712
            WIRE 1664 1712 1680 1712
        END BRANCH
        IOMARKER 1584 1520 S1 R180 28
        BEGIN BRANCH LED_1
            WIRE 2064 1584 2096 1584
        END BRANCH
        IOMARKER 2096 1584 LED_1 R0 28
        IOMARKER 1200 1712 CLK R180 28
        BEGIN BRANCH XLXN_10
            WIRE 1664 1808 1680 1808
            WIRE 1664 1808 1664 1824
        END BRANCH
        INSTANCE XLXI_3 1600 1952 R0
    END SHEET
END SCHEMATIC
