VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL LED1
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL Q(14)
        SIGNAL SYNC
        SIGNAL S1
        SIGNAL S2
        SIGNAL CLK
        SIGNAL CLK_FR
        SIGNAL Q(15:0)
        SIGNAL XLXN_25
        SIGNAL XLXN_26
        PORT Output LED1
        PORT Input SYNC
        PORT Input S1
        PORT Input S2
        PORT Input CLK
        PORT Input CLK_FR
        BEGIN BLOCKDEF cb16ce
            TIMESTAMP 2001 5 11 10 46 45
            LINE N 384 -192 320 -192 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF oswietlenie
            TIMESTAMP 2009 3 4 21 41 5
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -224 384 -224 
        END BLOCKDEF
        BEGIN BLOCKDEF czujnik_osw
            TIMESTAMP 2009 3 4 21 45 46
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_7 fd
            PIN C Q(14)
            PIN D S2
            PIN Q XLXN_4
        END BLOCK
        BEGIN BLOCK XLXI_8 fd
            PIN C Q(14)
            PIN D S1
            PIN Q XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_4 cb16ce
            PIN C SYNC
            PIN CE XLXN_25
            PIN CLR XLXN_26
            PIN CEO
            PIN Q(15:0) Q(15:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_10 vcc
            PIN P XLXN_25
        END BLOCK
        BEGIN BLOCK XLXI_9 gnd
            PIN G XLXN_26
        END BLOCK
        BEGIN BLOCK XLXI_12 oswietlenie
            PIN S1 XLXN_3
            PIN S2 XLXN_4
            PIN SYNC SYNC
            PIN czujnik XLXN_1
            PIN swiatlo LED1
        END BLOCK
        BEGIN BLOCK XLXI_13 czujnik_osw
            PIN CLK CLK
            PIN CLK_FR CLK_FR
            PIN SYNC SYNC
            PIN wyjscie XLXN_1
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH LED1
            WIRE 1920 1120 1984 1120
        END BRANCH
        INSTANCE XLXI_7 1024 1504 R0
        INSTANCE XLXI_8 1024 1184 R0
        BEGIN BRANCH Q(14)
            WIRE 736 1056 736 1376
            WIRE 736 1376 736 2016
            WIRE 736 2016 1344 2016
            WIRE 736 1376 1024 1376
            WIRE 736 1056 1024 1056
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 1408 928 1424 928
            WIRE 1424 928 1424 1120
            WIRE 1424 1120 1536 1120
        END BRANCH
        BEGIN BRANCH XLXN_4
            WIRE 1408 1248 1424 1248
            WIRE 1424 1184 1536 1184
            WIRE 1424 1184 1424 1248
        END BRANCH
        BEGIN BRANCH SYNC
            WIRE 848 1584 848 1856
            WIRE 848 1856 928 1856
            WIRE 848 1584 1328 1584
            WIRE 1328 1584 1328 1696
            WIRE 1328 1696 1536 1696
            WIRE 1056 1472 1328 1472
            WIRE 1328 1472 1456 1472
            WIRE 1328 1472 1328 1584
            WIRE 1456 1248 1536 1248
            WIRE 1456 1248 1456 1472
        END BRANCH
        BEGIN BRANCH XLXN_1
            WIRE 1520 1312 1536 1312
            WIRE 1520 1312 1520 1408
            WIRE 1520 1408 1984 1408
            WIRE 1984 1408 1984 1568
            WIRE 1920 1568 1984 1568
        END BRANCH
        BEGIN BRANCH S1
            WIRE 992 928 1024 928
        END BRANCH
        IOMARKER 992 928 S1 R180 28
        BEGIN BRANCH S2
            WIRE 992 1248 1024 1248
        END BRANCH
        IOMARKER 992 1248 S2 R180 28
        BEGIN BRANCH CLK
            WIRE 1520 1568 1536 1568
        END BRANCH
        BEGIN BRANCH CLK_FR
            WIRE 1520 1632 1536 1632
        END BRANCH
        IOMARKER 1984 1120 LED1 R0 28
        BEGIN BRANCH Q(15:0)
            WIRE 1312 1728 1440 1728
            WIRE 1440 1728 1440 2016
            WIRE 1440 2016 1440 2096
        END BRANCH
        BUSTAP 1440 2016 1344 2016
        INSTANCE XLXI_4 928 1984 R0
        INSTANCE XLXI_10 832 1728 R0
        BEGIN BRANCH XLXN_25
            WIRE 896 1728 896 1792
            WIRE 896 1792 928 1792
        END BRANCH
        BEGIN BRANCH XLXN_26
            WIRE 896 1952 928 1952
        END BRANCH
        INSTANCE XLXI_9 768 1888 R90
        IOMARKER 1520 1568 CLK R180 28
        IOMARKER 1520 1632 CLK_FR R180 28
        IOMARKER 1056 1472 SYNC R180 28
        BEGIN INSTANCE XLXI_12 1536 1344 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_13 1536 1728 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
