VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL S1
        SIGNAL S2
        SIGNAL LED_R
        SIGNAL LED_Y
        SIGNAL LED_G
        SIGNAL XLXN_11
        SIGNAL XLXN_20
        SIGNAL XLXN_21
        SIGNAL SYNC
        SIGNAL CLK
        SIGNAL XLXN_26
        SIGNAL XLXN_27
        SIGNAL XLXN_29
        PORT Input S1
        PORT Input S2
        PORT Output LED_R
        PORT Output LED_Y
        PORT Output LED_G
        PORT Input SYNC
        PORT Input CLK
        BEGIN BLOCKDEF sygnalizacja_pelna
            TIMESTAMP 2009 2 22 12 42 10
            RECTANGLE N 64 -320 320 0 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -288 384 -288 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF cb4ce
            TIMESTAMP 2001 5 11 10 50 34
            RECTANGLE N 64 -512 320 -64 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 384 -384 320 -384 
            LINE N 384 -448 320 -448 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -128 320 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            LINE N 384 -192 320 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 fd
            PIN C XLXN_27
            PIN D XLXN_21
            PIN Q XLXN_20
        END BLOCK
        BEGIN BLOCK XLXI_1 sygnalizacja_pelna
            PIN S1 S1
            PIN S2 S2
            PIN CLK_ZM XLXN_11
            PIN CLK_PULS XLXN_21
            PIN SYNC SYNC
            PIN LED_R LED_R
            PIN LED_Y LED_Y
            PIN LED_G LED_G
        END BLOCK
        BEGIN BLOCK XLXI_4 cb4ce
            PIN C XLXN_27
            PIN CE XLXN_29
            PIN CLR XLXN_26
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 XLXN_11
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_5 fd
            PIN C SYNC
            PIN D CLK
            PIN Q XLXN_27
        END BLOCK
        BEGIN BLOCK XLXI_6 inv
            PIN I XLXN_20
            PIN O XLXN_21
        END BLOCK
        BEGIN BLOCK XLXI_7 gnd
            PIN G XLXN_26
        END BLOCK
        BEGIN BLOCK XLXI_8 vcc
            PIN P XLXN_29
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 2160 1344 R0
        END INSTANCE
        BEGIN BRANCH S1
            WIRE 2128 1056 2160 1056
        END BRANCH
        BEGIN BRANCH S2
            WIRE 2128 1120 2160 1120
        END BRANCH
        BEGIN BRANCH LED_R
            WIRE 2544 1056 2576 1056
        END BRANCH
        BEGIN BRANCH LED_Y
            WIRE 2544 1184 2576 1184
        END BRANCH
        BEGIN BRANCH LED_G
            WIRE 2544 1312 2576 1312
        END BRANCH
        IOMARKER 2128 1056 S1 R180 28
        IOMARKER 2128 1120 S2 R180 28
        IOMARKER 2576 1056 LED_R R0 28
        IOMARKER 2576 1184 LED_Y R0 28
        IOMARKER 2576 1312 LED_G R0 28
        INSTANCE XLXI_4 1456 1248 R0
        BEGIN BRANCH XLXN_11
            WIRE 1840 992 2000 992
            WIRE 2000 992 2000 1184
            WIRE 2000 1184 2160 1184
        END BRANCH
        INSTANCE XLXI_5 944 1648 R0
        INSTANCE XLXI_2 1456 1648 R0
        INSTANCE XLXI_6 1872 1424 R0
        BEGIN BRANCH XLXN_20
            WIRE 1840 1392 1872 1392
        END BRANCH
        BEGIN BRANCH XLXN_21
            WIRE 1456 1248 2096 1248
            WIRE 2096 1248 2160 1248
            WIRE 2096 1248 2096 1392
            WIRE 1456 1248 1456 1392
        END BRANCH
        BEGIN BRANCH SYNC
            WIRE 880 1520 928 1520
            WIRE 928 1520 944 1520
            WIRE 928 1520 928 1616
            WIRE 928 1616 2144 1616
            WIRE 2144 1312 2160 1312
            WIRE 2144 1312 2144 1616
        END BRANCH
        BEGIN BRANCH CLK
            WIRE 864 1392 944 1392
        END BRANCH
        IOMARKER 880 1520 SYNC R180 28
        IOMARKER 864 1392 CLK R180 28
        INSTANCE XLXI_7 1344 1424 R0
        BEGIN BRANCH XLXN_26
            WIRE 1408 1216 1456 1216
            WIRE 1408 1216 1408 1296
        END BRANCH
        BEGIN BRANCH XLXN_27
            WIRE 1328 1392 1344 1392
            WIRE 1344 1392 1344 1520
            WIRE 1344 1520 1456 1520
            WIRE 1344 1120 1344 1392
            WIRE 1344 1120 1456 1120
        END BRANCH
        INSTANCE XLXI_8 1328 1024 R0
        BEGIN BRANCH XLXN_29
            WIRE 1392 1024 1392 1056
            WIRE 1392 1056 1456 1056
        END BRANCH
    END SHEET
END SCHEMATIC
