-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Thu Feb 26 00:36:06 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_sygnalizacja_prosta is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_sygnalizacja_prosta;

architecture BEHAVIORAL of FD_MXILINX_sygnalizacja_prosta is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from sygnalizacja_prosta.sch - Thu Feb 26 00:36:06 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity sygnalizacja_prosta is
   port ( CLK  : in    std_logic; 
          SYNC : in    std_logic; 
          LED1 : out   std_logic; 
          LED2 : out   std_logic; 
          LED3 : out   std_logic);
end sygnalizacja_prosta;

architecture BEHAVIORAL of sygnalizacja_prosta is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal XLXN_5     : std_logic;
   signal XLXN_6     : std_logic;
   signal XLXN_7     : std_logic;
   signal XLXN_8     : std_logic;
   signal XLXN_9     : std_logic;
   signal XLXN_10    : std_logic;
   signal XLXN_14    : std_logic;
   signal XLXN_15    : std_logic;
   signal XLXN_16    : std_logic;
   signal XLXN_17    : std_logic;
   signal XLXN_18    : std_logic;
   signal XLXN_20    : std_logic;
   signal XLXN_21    : std_logic;
   signal XLXN_22    : std_logic;
   signal XLXN_23    : std_logic;
   signal XLXN_26    : std_logic;
   signal LED1_DUMMY : std_logic;
   signal LED2_DUMMY : std_logic;
   signal LED3_DUMMY : std_logic;
   component FD_MXILINX_sygnalizacja_prosta
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component OR5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR5 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   component AND2B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B2 : COMPONENT is "BLACK_BOX";
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : COMPONENT is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : COMPONENT is "BLACK_BOX";
   
   component AND4B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B3 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_1";
   attribute HU_SET of XLXI_2 : LABEL is "XLXI_2_0";
   attribute HU_SET of XLXI_3 : LABEL is "XLXI_3_2";
begin
   LED1 <= LED1_DUMMY;
   LED2 <= LED2_DUMMY;
   LED3 <= LED3_DUMMY;
   XLXI_1 : FD_MXILINX_sygnalizacja_prosta
      port map (C=>SYNC, D=>XLXN_10, Q=>LED3_DUMMY);
   
   XLXI_2 : FD_MXILINX_sygnalizacja_prosta
      port map (C=>SYNC, D=>XLXN_18, Q=>LED2_DUMMY);
   
   XLXI_3 : FD_MXILINX_sygnalizacja_prosta
      port map (C=>SYNC, D=>XLXN_26, Q=>LED1_DUMMY);
   
   XLXI_4 : OR5
      port map (I0=>XLXN_9, I1=>XLXN_8, I2=>XLXN_5, I3=>XLXN_6, I4=>XLXN_7,
            O=>XLXN_10);
   
   XLXI_5 : AND2
      port map (I0=>CLK, I1=>LED1_DUMMY, O=>XLXN_7);
   
   XLXI_6 : AND2
      port map (I0=>LED2_DUMMY, I1=>LED3_DUMMY, O=>XLXN_6);
   
   XLXI_7 : AND2B1
      port map (I0=>LED2_DUMMY, I1=>LED1_DUMMY, O=>XLXN_5);
   
   XLXI_8 : AND2B1
      port map (I0=>LED2_DUMMY, I1=>CLK, O=>XLXN_8);
   
   XLXI_9 : AND2B2
      port map (I0=>LED2_DUMMY, I1=>LED3_DUMMY, O=>XLXN_9);
   
   XLXI_10 : OR4
      port map (I0=>XLXN_16, I1=>XLXN_15, I2=>XLXN_14, I3=>XLXN_17, O=>XLXN_18);
   
   XLXI_11 : AND2B1
      port map (I0=>CLK, I1=>LED3_DUMMY, O=>XLXN_17);
   
   XLXI_12 : AND2B1
      port map (I0=>CLK, I1=>LED2_DUMMY, O=>XLXN_14);
   
   XLXI_14 : AND3B2
      port map (I0=>LED1_DUMMY, I1=>LED3_DUMMY, I2=>LED2_DUMMY, O=>XLXN_16);
   
   XLXI_15 : AND3
      port map (I0=>LED1_DUMMY, I1=>LED2_DUMMY, I2=>LED3_DUMMY, O=>XLXN_15);
   
   XLXI_17 : OR4
      port map (I0=>XLXN_20, I1=>XLXN_21, I2=>XLXN_23, I3=>XLXN_22, O=>XLXN_26);
   
   XLXI_18 : AND2B1
      port map (I0=>LED3_DUMMY, I1=>LED1_DUMMY, O=>XLXN_22);
   
   XLXI_19 : AND2B1
      port map (I0=>LED3_DUMMY, I1=>LED2_DUMMY, O=>XLXN_23);
   
   XLXI_20 : AND3B1
      port map (I0=>LED2_DUMMY, I1=>LED1_DUMMY, I2=>CLK, O=>XLXN_21);
   
   XLXI_22 : AND4B3
      port map (I0=>CLK, I1=>LED1_DUMMY, I2=>LED2_DUMMY, I3=>LED3_DUMMY,
            O=>XLXN_20);
   
end BEHAVIORAL;


