-- VHDL model created from d:\projekty\avt\kurs_cpld\odcinki\czesc_03\impl\dek7seg\dek7seg_symbol.sch - Wed Oct 22 13:02:38 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity dek7seg_symbol is
   port ( x0 : in    std_logic; 
          x1 : in    std_logic; 
          x2 : in    std_logic; 
          x3 : in    std_logic; 
          a  : out   std_logic; 
          b  : out   std_logic; 
          c  : out   std_logic; 
          d  : out   std_logic; 
          e  : out   std_logic; 
          f  : out   std_logic; 
          g  : out   std_logic);
end dek7seg_symbol;

architecture BEHAVIORAL of dek7seg_symbol is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_2   : std_logic;
   signal XLXN_3   : std_logic;
   signal XLXN_6   : std_logic;
   signal XLXN_8   : std_logic;
   signal XLXN_12  : std_logic;
   signal XLXN_18  : std_logic;
   signal XLXN_19  : std_logic;
   signal XLXN_20  : std_logic;
   signal XLXN_36  : std_logic;
   signal XLXN_37  : std_logic;
   signal XLXN_84  : std_logic;
   signal XLXN_85  : std_logic;
   signal XLXN_123 : std_logic;
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   component AND3B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B3 : COMPONENT is "BLACK_BOX";
   
   component AND4B3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B3 : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_2 : AND3B1
      port map (I0=>x1, I1=>x2, I2=>x0, O=>XLXN_2);
   
   XLXI_3 : AND3B1
      port map (I0=>x0, I1=>x1, I2=>x2, O=>XLXN_3);
   
   XLXI_4 : OR2
      port map (I0=>XLXN_2, I1=>XLXN_3, O=>b);
   
   XLXI_5 : AND3B2
      port map (I0=>x0, I1=>x2, I2=>x1, O=>c);
   
   XLXI_6 : AND3B2
      port map (I0=>x0, I1=>x1, I2=>x2, O=>XLXN_6);
   
   XLXI_7 : AND3
      port map (I0=>x2, I1=>x1, I2=>x0, O=>XLXN_8);
   
   XLXI_8 : OR3
      port map (I0=>XLXN_6, I1=>XLXN_123, I2=>XLXN_8, O=>d);
   
   XLXI_9 : OR2
      port map (I0=>x0, I1=>XLXN_12, O=>e);
   
   XLXI_10 : AND3B2
      port map (I0=>x3, I1=>x2, I2=>x0, O=>XLXN_19);
   
   XLXI_11 : AND2
      port map (I0=>x0, I1=>x1, O=>XLXN_18);
   
   XLXI_17 : AND2B1
      port map (I0=>x1, I1=>x2, O=>XLXN_12);
   
   XLXI_25 : AND2B1
      port map (I0=>x2, I1=>x1, O=>XLXN_20);
   
   XLXI_27 : OR3
      port map (I0=>XLXN_20, I1=>XLXN_18, I2=>XLXN_19, O=>f);
   
   XLXI_28 : AND3B3
      port map (I0=>x1, I1=>x2, I2=>x3, O=>XLXN_36);
   
   XLXI_29 : AND3
      port map (I0=>x2, I1=>x0, I2=>x1, O=>XLXN_37);
   
   XLXI_30 : OR2
      port map (I0=>XLXN_37, I1=>XLXN_36, O=>g);
   
   XLXI_62 : AND4B3
      port map (I0=>x3, I1=>x2, I2=>x1, I3=>x0, O=>XLXN_123);
   
   XLXI_64 : AND3B2
      port map (I0=>x0, I1=>x1, I2=>x2, O=>XLXN_84);
   
   XLXI_65 : AND4B3
      port map (I0=>x2, I1=>x3, I2=>x1, I3=>x0, O=>XLXN_85);
   
   XLXI_69 : OR2
      port map (I0=>XLXN_84, I1=>XLXN_85, O=>a);
   
end BEHAVIORAL;


