-- VHDL model created from d:\projekty\avt\kurs_cpld\odcinki\czesc_04\impl\elementy\sumator1bit.sch - Wed Oct 22 16:42:42 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity sumator1bit is
   port ( a : in    std_logic; 
          b : in    std_logic; 
          d : in    std_logic; 
          c : out   std_logic; 
          y : out   std_logic);
end sumator1bit;

architecture BEHAVIORAL of sumator1bit is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_19 : std_logic;
   signal XLXN_20 : std_logic;
   signal XLXN_21 : std_logic;
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : COMPONENT is "BLACK_BOX";
   
   component XOR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR3 : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_1 : AND2
      port map (I0=>b, I1=>a, O=>XLXN_19);
   
   XLXI_2 : AND2
      port map (I0=>b, I1=>d, O=>XLXN_20);
   
   XLXI_3 : AND2
      port map (I0=>d, I1=>a, O=>XLXN_21);
   
   XLXI_4 : OR3
      port map (I0=>XLXN_21, I1=>XLXN_19, I2=>XLXN_20, O=>c);
   
   XLXI_6 : XOR3
      port map (I0=>d, I1=>b, I2=>a, O=>y);
   
end BEHAVIORAL;


