VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL rr
        SIGNAL XLXN_113
        SIGNAL XLXN_114
        SIGNAL XLXN_115
        SIGNAL yy
        SIGNAL LED1
        SIGNAL LED4
        SIGNAL LED2
        SIGNAL XLXN_50
        SIGNAL LED3
        SIGNAL XLXN_73
        SIGNAL XLXN_74
        SIGNAL XLXN_81
        SIGNAL LED5
        SIGNAL XLXN_89
        SIGNAL Q(15:0)
        SIGNAL XLXN_128(15:0)
        SIGNAL Q(15)
        SIGNAL XLXN_94
        SIGNAL XLXN_95
        SIGNAL XLXN_101
        SIGNAL S3
        SIGNAL XLXN_134
        SIGNAL XLXN_103
        SIGNAL XLXN_104
        SIGNAL XLXN_105
        SIGNAL SYNC
        SIGNAL S2
        SIGNAL S1
        SIGNAL XLXN_111
        PORT Output LED1
        PORT Output LED4
        PORT Output LED2
        PORT Output LED3
        PORT Output LED5
        PORT Input S3
        PORT Input SYNC
        PORT Input S2
        PORT Input S1
        BEGIN BLOCKDEF fdrs
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 0 -32 64 -32 
            LINE N 0 -352 64 -352 
            RECTANGLE N 64 -320 320 -64 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -320 192 -352 
            LINE N 192 -352 64 -352 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF and4b4
            TIMESTAMP 2001 5 11 10 44 9
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 40 -192 
            CIRCLE N 40 -204 64 -180 
            LINE N 0 -256 40 -256 
            CIRCLE N 40 -268 64 -244 
            LINE N 256 -160 192 -160 
            LINE N 64 -208 144 -208 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -64 64 -256 
            LINE N 144 -112 64 -112 
        END BLOCKDEF
        BEGIN BLOCKDEF cb16ce
            TIMESTAMP 2001 5 11 10 46 45
            LINE N 384 -192 320 -192 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF cb2ce
            TIMESTAMP 2001 5 11 10 48 48
            RECTANGLE N 64 -384 320 -64 
            LINE N 384 -128 320 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            LINE N 384 -192 320 -192 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_4 fdrs
            PIN C XLXN_103
            PIN D XLXN_74
            PIN R yy
            PIN S rr
            PIN Q XLXN_111
        END BLOCK
        BEGIN BLOCK XLXI_5 fdrs
            PIN C XLXN_103
            PIN D XLXN_73
            PIN R yy
            PIN S rr
            PIN Q XLXN_74
        END BLOCK
        BEGIN BLOCK XLXI_3 fdrs
            PIN C XLXN_103
            PIN D XLXN_50
            PIN R yy
            PIN S rr
            PIN Q XLXN_73
        END BLOCK
        BEGIN BLOCK XLXI_8 inv
            PIN I XLXN_50
            PIN O LED2
        END BLOCK
        BEGIN BLOCK XLXI_6 inv
            PIN I XLXN_74
            PIN O LED4
        END BLOCK
        BEGIN BLOCK XLXI_2 fdrs
            PIN C XLXN_103
            PIN D XLXN_81
            PIN R yy
            PIN S rr
            PIN Q XLXN_50
        END BLOCK
        BEGIN BLOCK XLXI_9 inv
            PIN I XLXN_81
            PIN O LED1
        END BLOCK
        BEGIN BLOCK XLXI_39 cb2ce
            PIN C Q(15)
            PIN CE XLXN_95
            PIN CLR XLXN_94
            PIN CEO
            PIN Q0
            PIN Q1 XLXN_101
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_38 cb16ce
            PIN C SYNC
            PIN CE XLXN_104
            PIN CLR XLXN_105
            PIN CEO
            PIN Q(15:0) Q(15:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_40 vcc
            PIN P XLXN_95
        END BLOCK
        BEGIN BLOCK XLXI_41 gnd
            PIN G XLXN_94
        END BLOCK
        BEGIN BLOCK XLXI_46 fd
            PIN C XLXN_101
            PIN D S3
            PIN Q XLXN_103
        END BLOCK
        BEGIN BLOCK XLXI_47 gnd
            PIN G XLXN_105
        END BLOCK
        BEGIN BLOCK XLXI_48 vcc
            PIN P XLXN_104
        END BLOCK
        BEGIN BLOCK XLXI_1 fdrs
            PIN C XLXN_103
            PIN D XLXN_89
            PIN R yy
            PIN S rr
            PIN Q XLXN_81
        END BLOCK
        BEGIN BLOCK XLXI_10 inv
            PIN I XLXN_111
            PIN O LED5
        END BLOCK
        BEGIN BLOCK XLXI_7 inv
            PIN I XLXN_73
            PIN O LED3
        END BLOCK
        BEGIN BLOCK XLXI_49 inv
            PIN I S2
            PIN O rr
        END BLOCK
        BEGIN BLOCK XLXI_50 inv
            PIN I S1
            PIN O yy
        END BLOCK
        BEGIN BLOCK XLXI_51 and4b4
            PIN I0 XLXN_74
            PIN I1 XLXN_73
            PIN I2 XLXN_50
            PIN I3 XLXN_81
            PIN O XLXN_89
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH rr
            WIRE 464 1232 464 1280
            WIRE 464 1280 544 1280
            WIRE 544 1280 576 1280
            WIRE 544 864 544 1280
            WIRE 544 864 1120 864
            WIRE 1120 864 1120 1280
            WIRE 1120 1280 1136 1280
            WIRE 1120 864 1728 864
            WIRE 1728 864 2256 864
            WIRE 2256 864 2832 864
            WIRE 2832 864 2832 1280
            WIRE 2256 864 2256 1280
            WIRE 1728 864 1728 1280
        END BRANCH
        BEGIN BRANCH yy
            WIRE 544 1600 576 1600
            WIRE 576 1600 576 1696
            WIRE 576 1696 1088 1696
            WIRE 1088 1696 1648 1696
            WIRE 1648 1696 2176 1696
            WIRE 2176 1696 2832 1696
            WIRE 1088 1600 1136 1600
            WIRE 1088 1600 1088 1696
            WIRE 1648 1600 1728 1600
            WIRE 1648 1600 1648 1696
            WIRE 2176 1600 2256 1600
            WIRE 2176 1600 2176 1696
            WIRE 2832 1600 2832 1696
        END BRANCH
        BEGIN BRANCH LED1
            WIRE 1040 1024 1040 1056
        END BRANCH
        BEGIN BRANCH LED4
            WIRE 2752 1088 2752 1120
        END BRANCH
        BEGIN BRANCH LED2
            WIRE 1616 1088 1616 1120
        END BRANCH
        BEGIN BRANCH XLXN_50
            WIRE 720 688 1536 688
            WIRE 1536 688 1536 1376
            WIRE 1536 1376 1616 1376
            WIRE 1616 1376 1728 1376
            WIRE 1520 1376 1536 1376
            WIRE 1616 1344 1616 1376
        END BRANCH
        INSTANCE XLXI_4 2832 1632 R0
        INSTANCE XLXI_5 2256 1632 R0
        BEGIN BRANCH LED3
            WIRE 2192 1072 2192 1136
        END BRANCH
        INSTANCE XLXI_3 1728 1632 R0
        INSTANCE XLXI_8 1648 1344 R270
        BEGIN BRANCH XLXN_73
            WIRE 720 624 2128 624
            WIRE 2128 624 2128 1376
            WIRE 2128 1376 2192 1376
            WIRE 2192 1376 2256 1376
            WIRE 2112 1376 2128 1376
            WIRE 2192 1360 2192 1376
        END BRANCH
        BEGIN BRANCH XLXN_74
            WIRE 720 560 2672 560
            WIRE 2672 560 2672 1376
            WIRE 2672 1376 2752 1376
            WIRE 2752 1376 2832 1376
            WIRE 2640 1376 2672 1376
            WIRE 2752 1344 2752 1376
        END BRANCH
        INSTANCE XLXI_6 2784 1344 R270
        INSTANCE XLXI_2 1136 1632 R0
        INSTANCE XLXI_9 1072 1280 R270
        BEGIN BRANCH XLXN_81
            WIRE 720 752 976 752
            WIRE 976 752 976 1376
            WIRE 976 1376 1040 1376
            WIRE 1040 1376 1136 1376
            WIRE 960 1376 976 1376
            WIRE 1040 1280 1040 1376
        END BRANCH
        BEGIN BRANCH LED5
            WIRE 3328 1088 3328 1120
        END BRANCH
        BEGIN BRANCH XLXN_89
            WIRE 352 656 352 1376
            WIRE 352 1376 576 1376
            WIRE 352 656 464 656
        END BRANCH
        INSTANCE XLXI_39 1808 2272 M0
        INSTANCE XLXI_38 2736 2160 M0
        BEGIN BRANCH Q(15:0)
            WIRE 2032 2144 2096 2144
            WIRE 2096 1904 2352 1904
            WIRE 2096 1904 2096 2144
        END BRANCH
        BUSTAP 2032 2144 1936 2144
        BEGIN BRANCH Q(15)
            WIRE 1808 2144 1936 2144
        END BRANCH
        INSTANCE XLXI_40 1824 2032 R0
        BEGIN BRANCH XLXN_94
            WIRE 1808 2240 1920 2240
        END BRANCH
        BEGIN BRANCH XLXN_95
            WIRE 1808 2080 1888 2080
            WIRE 1888 2032 1888 2080
        END BRANCH
        INSTANCE XLXI_41 2048 2304 R270
        INSTANCE XLXI_46 1136 2224 M0
        BEGIN BRANCH XLXN_101
            WIRE 1136 2096 1280 2096
            WIRE 1280 2016 1280 2096
            WIRE 1280 2016 1424 2016
        END BRANCH
        BEGIN BRANCH S3
            WIRE 1136 1968 1168 1968
        END BRANCH
        BEGIN BRANCH XLXN_103
            WIRE 160 1504 160 1760
            WIRE 160 1760 160 1968
            WIRE 160 1968 752 1968
            WIRE 160 1760 976 1760
            WIRE 976 1760 1520 1760
            WIRE 1520 1760 2112 1760
            WIRE 2112 1760 2720 1760
            WIRE 160 1504 576 1504
            WIRE 976 1504 976 1760
            WIRE 976 1504 1136 1504
            WIRE 1520 1504 1520 1760
            WIRE 1520 1504 1728 1504
            WIRE 2112 1504 2256 1504
            WIRE 2112 1504 2112 1760
            WIRE 2720 1504 2720 1760
            WIRE 2720 1504 2832 1504
        END BRANCH
        INSTANCE XLXI_47 2928 2192 R270
        INSTANCE XLXI_48 2736 1936 R0
        BEGIN BRANCH XLXN_104
            WIRE 2736 1968 2800 1968
            WIRE 2800 1936 2800 1968
        END BRANCH
        BEGIN BRANCH XLXN_105
            WIRE 2736 2128 2800 2128
        END BRANCH
        BEGIN BRANCH SYNC
            WIRE 2736 2032 2768 2032
        END BRANCH
        INSTANCE XLXI_1 576 1632 R0
        INSTANCE XLXI_10 3360 1344 R270
        INSTANCE XLXI_7 2224 1360 R270
        INSTANCE XLXI_49 432 1008 R90
        BEGIN BRANCH S2
            WIRE 464 976 464 1008
        END BRANCH
        INSTANCE XLXI_50 320 1632 R0
        BEGIN BRANCH S1
            WIRE 288 1600 320 1600
        END BRANCH
        BEGIN BRANCH XLXN_111
            WIRE 3216 1376 3328 1376
            WIRE 3328 1344 3328 1376
        END BRANCH
        INSTANCE XLXI_51 720 496 R180
        IOMARKER 1616 1088 LED2 R270 28
        IOMARKER 2752 1088 LED4 R270 28
        IOMARKER 1040 1024 LED1 R270 28
        IOMARKER 1168 1968 S3 R0 28
        IOMARKER 2768 2032 SYNC R0 28
        IOMARKER 3328 1088 LED5 R270 28
        IOMARKER 2192 1072 LED3 R270 28
        IOMARKER 464 976 S2 R270 28
        IOMARKER 288 1600 S1 R180 28
    END SHEET
END SCHEMATIC
