-- VHDL model created from d:\projekty\avt\kurs_cpld\odcinki\czesc_04\impl\elementy\zliczanie1iter.sch - Sun Oct 26 22:47:45 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity zliczanie1iter is
   port ( i0 : in    std_logic; 
          i1 : in    std_logic; 
          x  : in    std_logic; 
          o0 : out   std_logic; 
          o1 : out   std_logic);
end zliczanie1iter;

architecture BEHAVIORAL of zliczanie1iter is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_11 : std_logic;
   signal XLXN_12 : std_logic;
   signal XLXN_15 : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_1 : XOR2
      port map (I0=>i0, I1=>x, O=>XLXN_11);
   
   XLXI_2 : AND2
      port map (I0=>i1, I1=>x, O=>XLXN_12);
   
   XLXI_3 : OR2
      port map (I0=>XLXN_12, I1=>XLXN_11, O=>o0);
   
   XLXI_4 : AND2
      port map (I0=>x, I1=>i0, O=>XLXN_15);
   
   XLXI_5 : OR2
      port map (I0=>XLXN_15, I1=>i1, O=>o1);
   
end BEHAVIORAL;


