VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL XLXN_6
        SIGNAL XLXN_7
        SIGNAL XLXN_8
        SIGNAL XLXN_9
        SIGNAL S1
        SIGNAL S2
        SIGNAL S3
        SIGNAL XLXN_13
        SIGNAL XLXN_14
        SIGNAL LED2
        SIGNAL LED1
        SIGNAL XLXN_17
        SIGNAL XLXN_18
        SIGNAL XLXN_19
        SIGNAL XLXN_20
        PORT Input S1
        PORT Input S2
        PORT Input S3
        PORT Output LED2
        PORT Output LED1
        BEGIN BLOCKDEF zliczanie1iter
            TIMESTAMP 2008 10 26 21 47 38
            RECTANGLE N 64 -192 320 -64 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 192 -256 192 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 zliczanie1iter
            PIN i0 XLXN_6
            PIN i1 XLXN_6
            PIN x XLXN_7
            PIN o0 XLXN_1
            PIN o1 XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_2 zliczanie1iter
            PIN i0 XLXN_1
            PIN i1 XLXN_2
            PIN x XLXN_8
            PIN o0 XLXN_4
            PIN o1 XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_3 zliczanie1iter
            PIN i0 XLXN_4
            PIN i1 XLXN_3
            PIN x XLXN_9
            PIN o0 XLXN_13
            PIN o1 XLXN_14
        END BLOCK
        BEGIN BLOCK XLXI_4 gnd
            PIN G XLXN_6
        END BLOCK
        BEGIN BLOCK XLXI_5 inv
            PIN I S1
            PIN O XLXN_7
        END BLOCK
        BEGIN BLOCK XLXI_6 inv
            PIN I S2
            PIN O XLXN_8
        END BLOCK
        BEGIN BLOCK XLXI_7 inv
            PIN I S3
            PIN O XLXN_9
        END BLOCK
        BEGIN BLOCK XLXI_8 inv
            PIN I XLXN_13
            PIN O LED2
        END BLOCK
        BEGIN BLOCK XLXI_9 inv
            PIN I XLXN_14
            PIN O LED1
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 752 1360 R0
        END INSTANCE
        INSTANCE XLXI_4 640 1456 R0
        BEGIN BRANCH XLXN_1
            WIRE 1136 1200 1152 1200
        END BRANCH
        BEGIN BRANCH XLXN_2
            WIRE 1136 1264 1152 1264
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 1536 1264 1568 1264
        END BRANCH
        BEGIN BRANCH XLXN_4
            WIRE 1536 1200 1568 1200
        END BRANCH
        BEGIN BRANCH XLXN_6
            WIRE 704 1200 752 1200
            WIRE 704 1200 704 1264
            WIRE 704 1264 752 1264
            WIRE 704 1264 704 1328
        END BRANCH
        BEGIN BRANCH XLXN_7
            WIRE 928 1072 944 1072
            WIRE 944 1072 944 1104
        END BRANCH
        BEGIN BRANCH XLXN_8
            WIRE 1328 1072 1344 1072
            WIRE 1344 1072 1344 1104
        END BRANCH
        BEGIN BRANCH XLXN_9
            WIRE 1744 1072 1760 1072
            WIRE 1760 1072 1760 1104
        END BRANCH
        BEGIN BRANCH S1
            WIRE 688 1072 704 1072
        END BRANCH
        BEGIN BRANCH S2
            WIRE 1056 1072 1088 1072
            WIRE 1088 1072 1104 1072
        END BRANCH
        BEGIN BRANCH S3
            WIRE 1472 1072 1504 1072
            WIRE 1504 1072 1520 1072
        END BRANCH
        BEGIN BRANCH LED2
            WIRE 2208 1168 2224 1168
            WIRE 2224 1168 2256 1168
        END BRANCH
        BEGIN BRANCH LED1
            WIRE 2208 1280 2224 1280
            WIRE 2224 1280 2256 1280
        END BRANCH
        BEGIN INSTANCE XLXI_2 1152 1360 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_3 1568 1360 R0
        END INSTANCE
        INSTANCE XLXI_8 1984 1200 R0
        BEGIN BRANCH XLXN_13
            WIRE 1952 1200 1968 1200
            WIRE 1968 1168 1984 1168
            WIRE 1968 1168 1968 1200
        END BRANCH
        INSTANCE XLXI_9 1984 1312 R0
        BEGIN BRANCH XLXN_14
            WIRE 1952 1264 1968 1264
            WIRE 1968 1264 1968 1280
            WIRE 1968 1280 1984 1280
        END BRANCH
        IOMARKER 2256 1280 LED1 R0 28
        IOMARKER 2256 1168 LED2 R0 28
        INSTANCE XLXI_5 704 1104 R0
        IOMARKER 688 1072 S1 R180 28
        INSTANCE XLXI_6 1104 1104 R0
        IOMARKER 1056 1072 S2 R180 28
        INSTANCE XLXI_7 1520 1104 R0
        IOMARKER 1472 1072 S3 R180 28
    END SHEET
END SCHEMATIC
