VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL XLXN_8
        SIGNAL XLXN_9
        SIGNAL XLXN_10
        SIGNAL XLXN_11
        SIGNAL XLXN_12
        SIGNAL D2
        SIGNAL D4
        SIGNAL D6
        SIGNAL S3
        SIGNAL S2
        SIGNAL S1
        SIGNAL XLXN_31
        SIGNAL XLXN_32
        SIGNAL XLXN_33
        SIGNAL XLXN_34
        SIGNAL XLXN_35
        SIGNAL XLXN_37
        SIGNAL XLXN_38
        SIGNAL XLXN_39
        PORT Output D2
        PORT Output D4
        PORT Output D6
        PORT Input S3
        PORT Input S2
        PORT Input S1
        BEGIN BLOCKDEF komparator1bit
            TIMESTAMP 2008 10 23 11 37 14
            RECTANGLE N 64 -256 320 -112 
            LINE N 192 -320 192 -256 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 192 -48 192 -112 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF nand2b2
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 256 -96 216 -96 
            CIRCLE N 192 -108 216 -84 
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF nand2b1
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 216 -96 
            CIRCLE N 192 -108 216 -84 
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 komparator1bit
            PIN i0 XLXN_8
            PIN i1 XLXN_9
            PIN a XLXN_31
            PIN b XLXN_10
            PIN o0 XLXN_1
            PIN o1 XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_2 komparator1bit
            PIN i0 XLXN_2
            PIN i1 XLXN_1
            PIN a XLXN_32
            PIN b XLXN_11
            PIN o0 XLXN_3
            PIN o1 XLXN_4
        END BLOCK
        BEGIN BLOCK XLXI_3 komparator1bit
            PIN i0 XLXN_4
            PIN i1 XLXN_3
            PIN a XLXN_33
            PIN b XLXN_12
            PIN o0 XLXN_35
            PIN o1 XLXN_39
        END BLOCK
        BEGIN BLOCK XLXI_4 vcc
            PIN P XLXN_9
        END BLOCK
        BEGIN BLOCK XLXI_5 gnd
            PIN G XLXN_8
        END BLOCK
        BEGIN BLOCK XLXI_6 vcc
            PIN P XLXN_10
        END BLOCK
        BEGIN BLOCK XLXI_7 gnd
            PIN G XLXN_11
        END BLOCK
        BEGIN BLOCK XLXI_8 gnd
            PIN G XLXN_12
        END BLOCK
        BEGIN BLOCK XLXI_12 nand2b2
            PIN I0 XLXN_39
            PIN I1 XLXN_35
            PIN O D2
        END BLOCK
        BEGIN BLOCK XLXI_13 nand2b1
            PIN I0 XLXN_39
            PIN I1 XLXN_35
            PIN O D4
        END BLOCK
        BEGIN BLOCK XLXI_14 nand2b1
            PIN I0 XLXN_35
            PIN I1 XLXN_39
            PIN O D6
        END BLOCK
        BEGIN BLOCK XLXI_15 inv
            PIN I S3
            PIN O XLXN_31
        END BLOCK
        BEGIN BLOCK XLXI_16 inv
            PIN I S2
            PIN O XLXN_32
        END BLOCK
        BEGIN BLOCK XLXI_17 inv
            PIN I S1
            PIN O XLXN_33
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 544 1232 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_2 992 1232 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_3 1440 1232 R0
        END INSTANCE
        BEGIN BRANCH XLXN_1
            WIRE 928 1008 992 1008
        END BRANCH
        BEGIN BRANCH XLXN_2
            WIRE 928 1072 992 1072
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 1376 1008 1440 1008
        END BRANCH
        BEGIN BRANCH XLXN_4
            WIRE 1376 1072 1440 1072
        END BRANCH
        INSTANCE XLXI_4 432 992 R0
        INSTANCE XLXI_5 432 1216 R0
        BEGIN BRANCH XLXN_8
            WIRE 496 1072 544 1072
            WIRE 496 1072 496 1088
        END BRANCH
        BEGIN BRANCH XLXN_9
            WIRE 496 992 496 1008
            WIRE 496 1008 544 1008
        END BRANCH
        INSTANCE XLXI_7 1120 1344 R0
        INSTANCE XLXI_8 1568 1344 R0
        INSTANCE XLXI_6 800 1216 R180
        BEGIN BRANCH XLXN_10
            WIRE 736 1184 736 1216
        END BRANCH
        BEGIN BRANCH XLXN_11
            WIRE 1184 1184 1184 1216
        END BRANCH
        BEGIN BRANCH XLXN_12
            WIRE 1632 1184 1632 1216
        END BRANCH
        BEGIN BRANCH D2
            WIRE 2448 880 2480 880
        END BRANCH
        BEGIN BRANCH D4
            WIRE 2448 1040 2480 1040
        END BRANCH
        BEGIN BRANCH D6
            WIRE 2448 1200 2480 1200
        END BRANCH
        INSTANCE XLXI_15 704 672 R90
        INSTANCE XLXI_16 1152 672 R90
        INSTANCE XLXI_17 1600 672 R90
        BEGIN BRANCH S3
            WIRE 736 640 736 672
        END BRANCH
        IOMARKER 736 640 S3 R270 28
        BEGIN BRANCH S2
            WIRE 1184 640 1184 672
        END BRANCH
        IOMARKER 1184 640 S2 R270 28
        BEGIN BRANCH S1
            WIRE 1632 640 1632 672
        END BRANCH
        IOMARKER 1632 640 S1 R270 28
        BEGIN BRANCH XLXN_31
            WIRE 736 896 736 912
        END BRANCH
        BEGIN BRANCH XLXN_32
            WIRE 1184 896 1184 912
        END BRANCH
        BEGIN BRANCH XLXN_33
            WIRE 1632 896 1632 912
        END BRANCH
        INSTANCE XLXI_12 2192 976 R0
        BEGIN BRANCH XLXN_35
            WIRE 1824 1008 2000 1008
            WIRE 2000 1008 2192 1008
            WIRE 2000 1008 2000 1232
            WIRE 2000 1232 2192 1232
            WIRE 2000 848 2192 848
            WIRE 2000 848 2000 1008
        END BRANCH
        INSTANCE XLXI_13 2192 1136 R0
        IOMARKER 2480 880 D2 R0 28
        IOMARKER 2480 1040 D4 R0 28
        INSTANCE XLXI_14 2192 1296 R0
        IOMARKER 2480 1200 D6 R0 28
        BEGIN BRANCH XLXN_39
            WIRE 1824 1072 2112 1072
            WIRE 2112 1072 2112 1168
            WIRE 2112 1168 2192 1168
            WIRE 2112 1072 2192 1072
            WIRE 2112 912 2192 912
            WIRE 2112 912 2112 1072
        END BRANCH
    END SHEET
END SCHEMATIC
