-- VHDL model created from komparator.sch - Thu Oct 23 13:58:11 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity komparator is
   port ( S1 : in    std_logic; 
          S2 : in    std_logic; 
          S3 : in    std_logic; 
          D2 : out   std_logic; 
          D4 : out   std_logic; 
          D6 : out   std_logic);
end komparator;

architecture BEHAVIORAL of komparator is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_1  : std_logic;
   signal XLXN_2  : std_logic;
   signal XLXN_3  : std_logic;
   signal XLXN_4  : std_logic;
   signal XLXN_8  : std_logic;
   signal XLXN_9  : std_logic;
   signal XLXN_10 : std_logic;
   signal XLXN_11 : std_logic;
   signal XLXN_12 : std_logic;
   signal XLXN_31 : std_logic;
   signal XLXN_32 : std_logic;
   signal XLXN_33 : std_logic;
   signal XLXN_35 : std_logic;
   signal XLXN_39 : std_logic;
   component komparator1bit
      port ( i0 : in    std_logic; 
             i1 : in    std_logic; 
             a  : in    std_logic; 
             b  : in    std_logic; 
             o0 : out   std_logic; 
             o1 : out   std_logic);
   end component;
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component NAND2B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NAND2B2 : COMPONENT is "BLACK_BOX";
   
   component NAND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NAND2B1 : COMPONENT is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_1 : komparator1bit
      port map (a=>XLXN_31, b=>XLXN_10, i0=>XLXN_8, i1=>XLXN_9, o0=>XLXN_1,
            o1=>XLXN_2);
   
   XLXI_2 : komparator1bit
      port map (a=>XLXN_32, b=>XLXN_11, i0=>XLXN_2, i1=>XLXN_1, o0=>XLXN_3,
            o1=>XLXN_4);
   
   XLXI_3 : komparator1bit
      port map (a=>XLXN_33, b=>XLXN_12, i0=>XLXN_4, i1=>XLXN_3, o0=>XLXN_35,
            o1=>XLXN_39);
   
   XLXI_4 : VCC
      port map (P=>XLXN_9);
   
   XLXI_5 : GND
      port map (G=>XLXN_8);
   
   XLXI_6 : VCC
      port map (P=>XLXN_10);
   
   XLXI_7 : GND
      port map (G=>XLXN_11);
   
   XLXI_8 : GND
      port map (G=>XLXN_12);
   
   XLXI_12 : NAND2B2
      port map (I0=>XLXN_39, I1=>XLXN_35, O=>D2);
   
   XLXI_13 : NAND2B1
      port map (I0=>XLXN_39, I1=>XLXN_35, O=>D4);
   
   XLXI_14 : NAND2B1
      port map (I0=>XLXN_35, I1=>XLXN_39, O=>D6);
   
   XLXI_15 : INV
      port map (I=>S3, O=>XLXN_31);
   
   XLXI_16 : INV
      port map (I=>S2, O=>XLXN_32);
   
   XLXI_17 : INV
      port map (I=>S1, O=>XLXN_33);
   
end BEHAVIORAL;


