-- VHDL model created from d:\projekty\avt\kurs_cpld\odcinki\czesc_04\impl\elementy\komparator1bit.sch - Thu Oct 23 13:42:46 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity komparator1bit is
   port ( a  : in    std_logic; 
          b  : in    std_logic; 
          i0 : in    std_logic; 
          i1 : in    std_logic; 
          o0 : out   std_logic; 
          o1 : out   std_logic);
end komparator1bit;

architecture BEHAVIORAL of komparator1bit is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_7  : std_logic;
   signal XLXN_8  : std_logic;
   signal XLXN_21 : std_logic;
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_3 : OR2
      port map (I0=>XLXN_7, I1=>XLXN_8, O=>o0);
   
   XLXI_4 : OR2
      port map (I0=>i0, I1=>XLXN_21, O=>o1);
   
   XLXI_5 : AND3B2
      port map (I0=>b, I1=>a, I2=>i1, O=>XLXN_8);
   
   XLXI_6 : AND3
      port map (I0=>i1, I1=>b, I2=>a, O=>XLXN_7);
   
   XLXI_7 : AND3B1
      port map (I0=>a, I1=>b, I2=>i1, O=>XLXN_21);
   
end BEHAVIORAL;


