library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity dekoder7segm is
	port(
		x : in std_logic_vector (2 downto 0) ;
		y : out std_logic_vector (6 downto  0) ;
		T1 : out std_logic  
	);
end dekoder7segm;

architecture dekoder7segmBehav of dekoder7segm is
begin
	with x select
		y <= "1000000" when "111", --0 (000)
			"1111001" when "110", --1 (001)
			"0100100" when "101", --2 (010)
			"0110000" when "100", --3 (011)
			"0011001" when "011", --4 (100)
			"0010010" when "010", --5 (101)
			"0000010" when "001", --6 (110)
			"1111000" when "000", --7 (111)
			"1111111" when others  ;
	T1 <=  '0'  ;
end dekoder7segmBehav;
