MODEL
MODEL_VERSION "v1998.8";
DESIGN "modulo100";

/* port names and type */
INPUT S:PIN5 = SYNC;
INPUT S:PIN7 = CLK;
OUTPUT S:PIN42 = T1;
OUTPUT S:PIN38 = wysw<1>;
OUTPUT S:PIN37 = wysw<0>;
OUTPUT S:PIN33 = wysw<2>;
OUTPUT S:PIN36 = wysw<3>;
OUTPUT S:PIN35 = wysw<4>;
OUTPUT S:PIN1 = wysw<5>;
OUTPUT S:PIN39 = wysw<6>;
OUTPUT S:PIN44 = T2;

/* timing arc definitions */
SYNC_T1_delay: DELAY SYNC T1;
SYNC_wysw<1>_delay: DELAY SYNC wysw<1>;
SYNC_wysw<0>_delay: DELAY SYNC wysw<0>;
SYNC_wysw<2>_delay: DELAY SYNC wysw<2>;
SYNC_wysw<3>_delay: DELAY SYNC wysw<3>;
SYNC_wysw<4>_delay: DELAY SYNC wysw<4>;
SYNC_wysw<5>_delay: DELAY SYNC wysw<5>;
SYNC_wysw<6>_delay: DELAY SYNC wysw<6>;
SYNC_T2_delay: DELAY SYNC T2;

/* timing check arc definitions */
CLK_SYNC_setup: SETUP(POSEDGE) CLK SYNC;
CLK_SYNC_hold: HOLD(POSEDGE) CLK SYNC;

ENDMODEL
