library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity sterownikLED is
	port(
	x : in std_ulogic_vector  (2 downto 0) ;
	y : out std_ulogic_vector (4 downto 0) );
end sterownikLED;

architecture SterLEDbehav of sterownikLED is
	signal temp  : std_ulogic_vector (2 downto 0) ;
begin
	temp <= not x ;	
	y <= "11110" when temp = "001" else
		"11100" when temp = "010" else
		"11000" when temp = "011" else
		"10000" when temp = "100" else
		"00000" when temp = "101" else
		"11111" ;
end SterLEDbehav;
