VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL a4
        SIGNAL b4
        SIGNAL y4
        SIGNAL a3
        SIGNAL b3
        SIGNAL y3
        SIGNAL a5
        SIGNAL b5
        SIGNAL y5
        SIGNAL a6
        SIGNAL b6
        SIGNAL y6
        SIGNAL a7
        SIGNAL b7
        SIGNAL y7
        SIGNAL a2
        SIGNAL b2
        SIGNAL y2
        SIGNAL SEL
        SIGNAL a1
        SIGNAL b1
        SIGNAL y1
        PORT Input a4
        PORT Input b4
        PORT Output y4
        PORT Input a3
        PORT Input b3
        PORT Output y3
        PORT Input a5
        PORT Input b5
        PORT Output y5
        PORT Input a6
        PORT Input b6
        PORT Output y6
        PORT Input a7
        PORT Input b7
        PORT Output y7
        PORT Input a2
        PORT Input b2
        PORT Output y2
        PORT Input SEL
        PORT Input a1
        PORT Input b1
        PORT Output y1
        BEGIN BLOCKDEF m2_1
            TIMESTAMP 2001 3 9 11 24 0
            LINE N 96 -64 96 -192 
            LINE N 256 -96 96 -64 
            LINE N 256 -160 256 -96 
            LINE N 96 -192 256 -160 
            LINE N 176 -32 96 -32 
            LINE N 176 -80 176 -32 
            LINE N 0 -32 96 -32 
            LINE N 320 -128 256 -128 
            LINE N 0 -96 96 -96 
            LINE N 0 -160 96 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_10 m2_1
            PIN D0 a1
            PIN D1 b1
            PIN S0 SEL
            PIN O y1
        END BLOCK
        BEGIN BLOCK XLXI_3 m2_1
            PIN D0 a4
            PIN D1 b4
            PIN S0 SEL
            PIN O y4
        END BLOCK
        BEGIN BLOCK XLXI_1 m2_1
            PIN D0 a3
            PIN D1 b3
            PIN S0 SEL
            PIN O y3
        END BLOCK
        BEGIN BLOCK XLXI_5 m2_1
            PIN D0 a5
            PIN D1 b5
            PIN S0 SEL
            PIN O y5
        END BLOCK
        BEGIN BLOCK XLXI_7 m2_1
            PIN D0 a6
            PIN D1 b6
            PIN S0 SEL
            PIN O y6
        END BLOCK
        BEGIN BLOCK XLXI_8 m2_1
            PIN D0 a7
            PIN D1 b7
            PIN S0 SEL
            PIN O y7
        END BLOCK
        BEGIN BLOCK XLXI_9 m2_1
            PIN D0 a2
            PIN D1 b2
            PIN S0 SEL
            PIN O y2
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2720 1760
        INSTANCE XLXI_3 432 1024 R0
        BEGIN BRANCH a4
            WIRE 400 864 432 864
        END BRANCH
        BEGIN BRANCH b4
            WIRE 400 928 432 928
        END BRANCH
        BEGIN BRANCH y4
            WIRE 752 896 784 896
        END BRANCH
        INSTANCE XLXI_1 432 784 R0
        BEGIN BRANCH a3
            WIRE 400 624 432 624
        END BRANCH
        BEGIN BRANCH b3
            WIRE 400 688 432 688
        END BRANCH
        BEGIN BRANCH y3
            WIRE 752 656 784 656
        END BRANCH
        INSTANCE XLXI_5 432 1248 R0
        BEGIN BRANCH a5
            WIRE 400 1088 432 1088
        END BRANCH
        BEGIN BRANCH b5
            WIRE 400 1152 432 1152
        END BRANCH
        BEGIN BRANCH y5
            WIRE 752 1120 784 1120
        END BRANCH
        INSTANCE XLXI_7 432 1472 R0
        BEGIN BRANCH a6
            WIRE 400 1312 432 1312
        END BRANCH
        BEGIN BRANCH b6
            WIRE 400 1376 432 1376
        END BRANCH
        BEGIN BRANCH y6
            WIRE 752 1344 784 1344
        END BRANCH
        INSTANCE XLXI_8 432 1712 R0
        BEGIN BRANCH a7
            WIRE 400 1552 432 1552
        END BRANCH
        BEGIN BRANCH b7
            WIRE 400 1616 432 1616
        END BRANCH
        BEGIN BRANCH y7
            WIRE 752 1584 784 1584
        END BRANCH
        INSTANCE XLXI_9 432 560 R0
        BEGIN BRANCH a2
            WIRE 400 400 432 400
        END BRANCH
        BEGIN BRANCH b2
            WIRE 400 464 432 464
        END BRANCH
        BEGIN BRANCH y2
            WIRE 752 432 784 432
        END BRANCH
        BEGIN BRANCH a1
            WIRE 400 176 432 176
        END BRANCH
        BEGIN BRANCH b1
            WIRE 400 240 432 240
        END BRANCH
        BEGIN BRANCH y1
            WIRE 752 208 784 208
        END BRANCH
        BEGIN BRANCH SEL
            WIRE 256 304 304 304
            WIRE 304 304 432 304
            WIRE 304 304 304 528
            WIRE 304 528 304 752
            WIRE 304 752 304 992
            WIRE 304 992 304 1216
            WIRE 304 1216 432 1216
            WIRE 304 1216 304 1440
            WIRE 304 1440 304 1680
            WIRE 304 1680 432 1680
            WIRE 304 1440 416 1440
            WIRE 416 1440 432 1440
            WIRE 304 992 432 992
            WIRE 304 752 432 752
            WIRE 304 528 432 528
        END BRANCH
        IOMARKER 400 864 a4 R180 28
        IOMARKER 400 928 b4 R180 28
        IOMARKER 784 896 y4 R0 28
        IOMARKER 400 624 a3 R180 28
        IOMARKER 400 688 b3 R180 28
        IOMARKER 784 656 y3 R0 28
        IOMARKER 400 1088 a5 R180 28
        IOMARKER 400 1152 b5 R180 28
        IOMARKER 784 1120 y5 R0 28
        IOMARKER 400 1312 a6 R180 28
        IOMARKER 400 1376 b6 R180 28
        IOMARKER 784 1344 y6 R0 28
        IOMARKER 400 1552 a7 R180 28
        IOMARKER 400 1616 b7 R180 28
        IOMARKER 784 1584 y7 R0 28
        IOMARKER 400 400 a2 R180 28
        IOMARKER 400 464 b2 R180 28
        IOMARKER 784 432 y2 R0 28
        IOMARKER 400 176 a1 R180 28
        IOMARKER 400 240 b1 R180 28
        IOMARKER 784 208 y1 R0 28
        IOMARKER 256 304 SEL R180 28
        INSTANCE XLXI_10 432 336 R0
    END SHEET
END SCHEMATIC
