-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Tue Feb 03 23:56:08 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_automat is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_automat;

architecture BEHAVIORAL of FD_MXILINX_automat is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from automat.sch - Tue Feb 03 23:56:08 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity automat is
   port ( CLK  : in    std_logic; 
          SYNC : in    std_logic; 
          S1   : in    std_logic; 
          S2   : in    std_logic; 
          a    : out   std_logic; 
          b    : out   std_logic; 
          c    : out   std_logic; 
          d    : out   std_logic; 
          e    : out   std_logic; 
          f    : out   std_logic; 
          g    : out   std_logic; 
          T1   : out   std_logic);
end automat;

architecture BEHAVIORAL of automat is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal XLXN_212 : std_logic;
   signal XLXN_225 : std_logic;
   signal XLXN_226 : std_logic;
   signal XLXN_227 : std_logic;
   signal XLXN_228 : std_logic;
   signal XLXN_229 : std_logic;
   signal XLXN_230 : std_logic;
   signal XLXN_231 : std_logic;
   signal XLXN_232 : std_logic;
   signal XLXN_234 : std_logic;
   signal XLXN_236 : std_logic;
   signal XLXN_336 : std_logic;
   signal XLXN_339 : std_logic;
   signal XLXN_340 : std_logic;
   component FD_MXILINX_automat
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component dek7seg_symbol
      port ( x2 : in    std_logic; 
             x3 : in    std_logic; 
             x0 : in    std_logic; 
             x1 : in    std_logic; 
             b  : out   std_logic; 
             c  : out   std_logic; 
             d  : out   std_logic; 
             e  : out   std_logic; 
             f  : out   std_logic; 
             g  : out   std_logic; 
             a  : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : COMPONENT is "BLACK_BOX";
   
   component AND4B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4B2 : COMPONENT is "BLACK_BOX";
   
   component OR4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR4 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_1";
   attribute HU_SET of XLXI_2 : LABEL is "XLXI_2_0";
   attribute HU_SET of XLXI_3 : LABEL is "XLXI_3_2";
begin
   XLXI_1 : FD_MXILINX_automat
      port map (C=>XLXN_339, D=>XLXN_234, Q=>XLXN_212);
   
   XLXI_2 : FD_MXILINX_automat
      port map (C=>XLXN_339, D=>XLXN_336, Q=>XLXN_236);
   
   XLXI_3 : FD_MXILINX_automat
      port map (C=>SYNC, D=>CLK, Q=>XLXN_339);
   
   XLXI_26 : dek7seg_symbol
      port map (x0=>XLXN_236, x1=>XLXN_212, x2=>XLXN_340, x3=>XLXN_340, a=>a,
            b=>b, c=>c, d=>d, e=>e, f=>f, g=>g);
   
   XLXI_27 : GND
      port map (G=>XLXN_340);
   
   XLXI_28 : GND
      port map (G=>T1);
   
   XLXI_70 : AND3B2
      port map (I0=>S2, I1=>S1, I2=>XLXN_212, O=>XLXN_225);
   
   XLXI_71 : AND3
      port map (I0=>XLXN_236, I1=>XLXN_212, I2=>S2, O=>XLXN_227);
   
   XLXI_72 : AND3B1
      port map (I0=>XLXN_236, I1=>XLXN_212, I2=>S1, O=>XLXN_226);
   
   XLXI_73 : AND4B2
      port map (I0=>XLXN_212, I1=>S2, I2=>XLXN_236, I3=>S1, O=>XLXN_228);
   
   XLXI_75 : AND3B2
      port map (I0=>S2, I1=>S1, I2=>XLXN_236, O=>XLXN_232);
   
   XLXI_76 : AND3
      port map (I0=>S1, I1=>S2, I2=>XLXN_236, O=>XLXN_231);
   
   XLXI_77 : AND3B2
      port map (I0=>XLXN_236, I1=>S2, I2=>S1, O=>XLXN_230);
   
   XLXI_78 : AND4B2
      port map (I0=>XLXN_236, I1=>S1, I2=>S2, I3=>XLXN_212, O=>XLXN_229);
   
   XLXI_79 : OR4
      port map (I0=>XLXN_228, I1=>XLXN_227, I2=>XLXN_226, I3=>XLXN_225,
            O=>XLXN_234);
   
   XLXI_80 : OR4
      port map (I0=>XLXN_229, I1=>XLXN_230, I2=>XLXN_231, I3=>XLXN_232,
            O=>XLXN_336);
   
end BEHAVIORAL;


