library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity preskaler is
    Port ( inCLK : in std_logic;
           outCLK : out std_logic;
           set : in std_logic);
end preskaler;

architecture preskalerBehavioral of preskaler is
	signal CLKprim : std_logic ;
begin
	presk: process (inCLK)  is
		variable temp : unsigned (9 downto 0) ;
	begin
		if rising_edge(inCLK) then
			temp := temp  + 1;
			if temp = 500  then
				CLKprim <= '0' ;
			elsif temp=999 then
				CLKprim <= '1' ;
			end if ;
		end if ;
	end process presk  ;
	
	--sygnal wyjsciowy
	outCLK <= (CLKprim and set) or (inCLK and (not set) );
end preskalerBehavioral;
