VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SYNC
        SIGNAL LED1
        SIGNAL XLXN_13
        SIGNAL T1
        SIGNAL XLXN_32
        SIGNAL LED5
        SIGNAL x(1)
        SIGNAL x(2)
        SIGNAL x(3)
        SIGNAL x(0)
        SIGNAL x(3:0)
        SIGNAL wys(6:0)
        SIGNAL SFH
        SIGNAL XLXN_34
        PORT Input SYNC
        PORT Output LED1
        PORT Output T1
        PORT Output LED5
        PORT Output wys(6:0)
        PORT Input SFH
        BEGIN BLOCKDEF detektor_transmisji
            TIMESTAMP 2008 12 16 20 21 44
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF uklad_taktujacy
            TIMESTAMP 2008 12 16 20 46 40
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF sr4re
            TIMESTAMP 2001 5 11 11 4 56
            LINE N 0 -320 64 -320 
            LINE N 0 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -320 320 -320 
            LINE N 384 -256 320 -256 
            LINE N 384 -192 320 -192 
            LINE N 384 -128 320 -128 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            RECTANGLE N 64 -384 320 -64 
            LINE N 0 -192 64 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF dekoder7segm
            TIMESTAMP 2008 12 16 22 20 33
            RECTANGLE N 64 -64 320 0 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 detektor_transmisji
            PIN sfh XLXN_34
            PIN sync SYNC
            PIN rec LED1
        END BLOCK
        BEGIN BLOCK XLXI_7 uklad_taktujacy
            PIN enable LED1
            PIN sync SYNC
            PIN out_clk XLXN_32
        END BLOCK
        BEGIN BLOCK XLXI_10 vcc
            PIN P XLXN_13
        END BLOCK
        BEGIN BLOCK XLXI_9 gnd
            PIN G T1
        END BLOCK
        BEGIN BLOCK XLXI_11 fd
            PIN C SYNC
            PIN D XLXN_32
            PIN Q LED5
        END BLOCK
        BEGIN BLOCK XLXI_13 sr4re
            PIN C LED5
            PIN CE XLXN_13
            PIN R T1
            PIN SLI XLXN_34
            PIN Q0 x(0)
            PIN Q1 x(1)
            PIN Q2 x(2)
            PIN Q3 x(3)
        END BLOCK
        BEGIN BLOCK XLXI_15 dekoder7segm
            PIN x(3:0) x(3:0)
            PIN y(6:0) wys(6:0)
        END BLOCK
        BEGIN BLOCK XLXI_16 inv
            PIN I SFH
            PIN O XLXN_34
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH SYNC
            WIRE 384 1488 448 1488
            WIRE 448 1488 736 1488
            WIRE 448 1488 448 1680
            WIRE 448 1680 496 1680
            WIRE 448 1680 448 1808
            WIRE 448 1808 944 1808
        END BRANCH
        BEGIN BRANCH LED1
            WIRE 480 1552 1184 1552
            WIRE 480 1552 480 1744
            WIRE 480 1744 496 1744
            WIRE 1120 1424 1184 1424
            WIRE 1184 1424 1184 1552
            WIRE 1184 1424 1248 1424
        END BRANCH
        BEGIN BRANCH T1
            WIRE 1392 1776 1504 1776
            WIRE 1504 1776 1520 1776
            WIRE 1504 1776 1504 1792
        END BRANCH
        INSTANCE XLXI_11 944 1936 R0
        BEGIN BRANCH XLXN_32
            WIRE 880 1680 944 1680
        END BRANCH
        BEGIN BRANCH LED5
            WIRE 1328 1680 1344 1680
            WIRE 1344 1680 1520 1680
            WIRE 1344 1600 1360 1600
            WIRE 1344 1600 1344 1680
        END BRANCH
        BEGIN BRANCH x(1)
            WIRE 1904 1552 1936 1552
        END BRANCH
        BEGIN BRANCH x(2)
            WIRE 1904 1616 1936 1616
        END BRANCH
        BEGIN BRANCH x(3)
            WIRE 1904 1680 1936 1680
        END BRANCH
        BEGIN BRANCH x(0)
            WIRE 1904 1488 1936 1488
        END BRANCH
        BEGIN BRANCH x(3:0)
            WIRE 2032 1488 2080 1488
            WIRE 2080 1488 2080 1552
            WIRE 2080 1552 2080 1616
            WIRE 2080 1616 2080 1680
            WIRE 2080 1552 2160 1552
            WIRE 2160 1552 2160 1840
            WIRE 2032 1552 2080 1552
            WIRE 2032 1616 2080 1616
            WIRE 2032 1680 2080 1680
            WIRE 2144 1840 2160 1840
        END BRANCH
        BEGIN BRANCH wys(6:0)
            WIRE 1712 1840 1760 1840
        END BRANCH
        BEGIN INSTANCE XLXI_7 496 1776 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_1 736 1520 R0
        END INSTANCE
        IOMARKER 384 1488 SYNC R180 28
        IOMARKER 1248 1424 LED1 R0 28
        IOMARKER 1360 1600 LED5 R0 28
        IOMARKER 1392 1776 T1 R180 28
        INSTANCE XLXI_13 1520 1808 R0
        BEGIN BRANCH XLXN_13
            WIRE 1488 1616 1520 1616
        END BRANCH
        INSTANCE XLXI_10 1424 1616 R0
        BUSTAP 2032 1488 1936 1488
        BUSTAP 2032 1552 1936 1552
        BUSTAP 2032 1616 1936 1616
        BUSTAP 2032 1680 1936 1680
        INSTANCE XLXI_9 1440 1920 R0
        IOMARKER 1712 1840 wys(6:0) R180 28
        BEGIN INSTANCE XLXI_15 2144 1872 M0
        END INSTANCE
        BEGIN BRANCH SFH
            WIRE 368 1424 400 1424
        END BRANCH
        IOMARKER 368 1424 SFH R180 28
        INSTANCE XLXI_16 400 1456 R0
        BEGIN BRANCH XLXN_34
            WIRE 624 1424 656 1424
            WIRE 656 1424 736 1424
            WIRE 656 1312 656 1424
            WIRE 656 1312 1520 1312
            WIRE 1520 1312 1520 1488
        END BRANCH
    END SHEET
END SCHEMATIC
