library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity dekoder7segm is
	port(
	  	wej : in std_logic_vector(3 downto 0) ;
		wysw : out std_logic_vector(6 downto 0)
	);
end dekoder7segm;

architecture dekoder7segmBehav of dekoder7segm is

begin
	--wyswietlenie prawdidlowej wartosci na wyswietlaczu
	wysw <= 
		"1000000" when (wej = "0000") else
		"1111001" when (wej = "0001") else
		"0100100" when (wej = "0010") else
		"0110000" when (wej = "0011") else
		"0011001" when (wej = "0100") else
		"0010010" when (wej = "0101") else
		"0000010" when (wej = "0110") else
		"1111000" when (wej = "0111") else
		"0000000" when (wej = "1000") else
		"0010000" when (wej = "1001") else
		"1111111";

end dekoder7segmBehav;
