MODEL
MODEL_VERSION "v1998.8";
DESIGN "sterownik_pwm";

/* port names and type */
INPUT S:PIN29 = S1;
INPUT S:PIN5 = SYNC;
INPUT S:PIN28 = S2;
OUTPUT S:PIN39 = wys<6>;
OUTPUT S:PIN18 = LED1;
OUTPUT S:PIN38 = wys<1>;
OUTPUT S:PIN35 = wys<4>;
OUTPUT S:PIN1 = wys<5>;
OUTPUT S:PIN37 = wys<0>;
OUTPUT S:PIN33 = wys<2>;
OUTPUT S:PIN36 = wys<3>;
OUTPUT S:PIN42 = T1;

/* timing arc definitions */
SYNC_wys<6>_delay: DELAY SYNC wys<6>;
SYNC_LED1_delay: DELAY SYNC LED1;
SYNC_wys<1>_delay: DELAY SYNC wys<1>;
SYNC_wys<4>_delay: DELAY SYNC wys<4>;
SYNC_wys<5>_delay: DELAY SYNC wys<5>;
SYNC_wys<0>_delay: DELAY SYNC wys<0>;
SYNC_wys<2>_delay: DELAY SYNC wys<2>;
SYNC_wys<3>_delay: DELAY SYNC wys<3>;

/* timing check arc definitions */
S1_SYNC_setup: SETUP(POSEDGE) S1 SYNC;
S2_SYNC_setup: SETUP(POSEDGE) S2 SYNC;
S1_SYNC_hold: HOLD(POSEDGE) S1 SYNC;
S2_SYNC_hold: HOLD(POSEDGE) S2 SYNC;

ENDMODEL
