VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL S2
        SIGNAL LED1
        SIGNAL XLXN_4(3:0)
        SIGNAL wys(6:0)
        SIGNAL T1
        SIGNAL S1
        SIGNAL SYNC
        PORT Input S2
        PORT Output LED1
        PORT Output wys(6:0)
        PORT Output T1
        PORT Input S1
        PORT Input SYNC
        BEGIN BLOCKDEF pwm_module
            TIMESTAMP 2008 12 21 15 33 25
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF dekoder7segm
            TIMESTAMP 2008 12 21 15 33 17
            RECTANGLE N 64 -64 320 0 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_6 gnd
            PIN G T1
        END BLOCK
        BEGIN BLOCK XLXI_7 pwm_module
            PIN CLK SYNC
            PIN INC S1
            PIN DEC S2
            PIN pwm LED1
            PIN x(3:0) XLXN_4(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_8 dekoder7segm
            PIN wej(3:0) XLXN_4(3:0)
            PIN wysw(6:0) wys(6:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH S2
            WIRE 1040 1424 1056 1424
            WIRE 1056 1424 1072 1424
        END BRANCH
        BEGIN BRANCH LED1
            WIRE 1456 1296 1488 1296
        END BRANCH
        IOMARKER 1488 1296 LED1 R0 28
        BEGIN BRANCH XLXN_4(3:0)
            WIRE 1456 1424 1536 1424
        END BRANCH
        BEGIN BRANCH wys(6:0)
            WIRE 1920 1424 1936 1424
            WIRE 1936 1424 1968 1424
        END BRANCH
        IOMARKER 1968 1424 wys(6:0) R0 28
        BEGIN BRANCH T1
            WIRE 1104 1536 1104 1552
            WIRE 1104 1536 1184 1536
        END BRANCH
        IOMARKER 1184 1536 T1 R0 28
        BEGIN BRANCH S1
            WIRE 1040 1360 1072 1360
        END BRANCH
        IOMARKER 1040 1360 S1 R180 28
        IOMARKER 1040 1424 S2 R180 28
        BEGIN BRANCH SYNC
            WIRE 1040 1296 1056 1296
            WIRE 1056 1296 1072 1296
        END BRANCH
        IOMARKER 1040 1296 SYNC R180 28
        BEGIN INSTANCE XLXI_7 1072 1456 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_8 1536 1456 R0
        END INSTANCE
        INSTANCE XLXI_6 1040 1680 R0
    END SHEET
END SCHEMATIC
