-- VHDL model created from and_gate.sch - Thu Aug 07 21:47:35 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity and_gate is
   port ( CLK : in    std_logic; 
          S1  : in    std_logic; 
          S2  : in    std_logic; 
          S3  : in    std_logic; 
          D2  : out   std_logic; 
          D3  : out   std_logic);
end and_gate;

architecture BEHAVIORAL of and_gate is
   attribute BOX_TYPE   : STRING ;
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_1 : AND2
      port map (I0=>S2, I1=>S1, O=>D2);
   
   XLXI_2 : AND2
      port map (I0=>CLK, I1=>S3, O=>D3);
   
end BEHAVIORAL;


