VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL S1
        SIGNAL S2
        SIGNAL LED
        PORT Input S1
        PORT Input S2
        PORT Output LED
        BEGIN BLOCKDEF and2
            TIMESTAMP 2001 5 11 10 41 37
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 and2
            PIN I0 S2
            PIN I1 S1
            PIN O LED
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 1104 1312 R0
        BEGIN BRANCH S1
            WIRE 1072 1184 1104 1184
        END BRANCH
        IOMARKER 1072 1184 S1 R180 28
        BEGIN BRANCH S2
            WIRE 1072 1248 1104 1248
        END BRANCH
        IOMARKER 1072 1248 S2 R180 28
        BEGIN BRANCH LED
            WIRE 1360 1216 1392 1216
        END BRANCH
        IOMARKER 1392 1216 LED R0 28
    END SHEET
END SCHEMATIC
