VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL XLXN_5
        SIGNAL XLXN_6
        SIGNAL CLK
        SIGNAL SYNC
        SIGNAL XLXN_9
        SIGNAL T1
        SIGNAL XLXN_11
        SIGNAL XLXN_12
        SIGNAL XLXN_13
        SIGNAL XLXN_14
        SIGNAL XLXN_15
        SIGNAL XLXN_16
        SIGNAL a
        SIGNAL b
        SIGNAL c
        SIGNAL d
        SIGNAL e
        SIGNAL f
        PORT Input CLK
        PORT Input SYNC
        PORT Output T1
        PORT Output a
        PORT Output b
        PORT Output c
        PORT Output d
        PORT Output e
        PORT Output f
        BEGIN BLOCKDEF cb4ce
            TIMESTAMP 2001 5 11 10 50 34
            RECTANGLE N 64 -512 320 -64 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 384 -384 320 -384 
            LINE N 384 -448 320 -448 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -128 320 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            LINE N 384 -192 320 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF d3_8e
            TIMESTAMP 2001 3 9 11 22 33
            LINE N 0 -576 64 -576 
            LINE N 0 -512 64 -512 
            LINE N 0 -448 64 -448 
            LINE N 384 -576 320 -576 
            LINE N 384 -512 320 -512 
            LINE N 384 -448 320 -448 
            LINE N 384 -384 320 -384 
            LINE N 384 -320 320 -320 
            LINE N 384 -256 320 -256 
            LINE N 384 -192 320 -192 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -640 320 -64 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2001 5 11 10 41 37
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 cb4ce
            PIN C XLXN_1
            PIN CE XLXN_2
            PIN CLR XLXN_3
            PIN CEO
            PIN Q0 XLXN_9
            PIN Q1 XLXN_5
            PIN Q2 XLXN_4
            PIN Q3
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_2 fd
            PIN C SYNC
            PIN D CLK
            PIN Q XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_3 vcc
            PIN P XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_4 d3_8e
            PIN A0 XLXN_9
            PIN A1 XLXN_5
            PIN A2 XLXN_4
            PIN E XLXN_6
            PIN D0 XLXN_14
            PIN D1 XLXN_13
            PIN D2 XLXN_12
            PIN D3 XLXN_11
            PIN D4 XLXN_15
            PIN D5 XLXN_16
            PIN D6
            PIN D7
        END BLOCK
        BEGIN BLOCK XLXI_5 vcc
            PIN P XLXN_6
        END BLOCK
        BEGIN BLOCK XLXI_6 and2
            PIN I0 XLXN_4
            PIN I1 XLXN_5
            PIN O XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_7 gnd
            PIN G T1
        END BLOCK
        BEGIN BLOCK XLXI_8 inv
            PIN I XLXN_16
            PIN O f
        END BLOCK
        BEGIN BLOCK XLXI_9 inv
            PIN I XLXN_15
            PIN O e
        END BLOCK
        BEGIN BLOCK XLXI_10 inv
            PIN I XLXN_11
            PIN O d
        END BLOCK
        BEGIN BLOCK XLXI_11 inv
            PIN I XLXN_12
            PIN O c
        END BLOCK
        BEGIN BLOCK XLXI_12 inv
            PIN I XLXN_14
            PIN O a
        END BLOCK
        BEGIN BLOCK XLXI_13 inv
            PIN I XLXN_13
            PIN O b
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 1328 1632 R0
        INSTANCE XLXI_2 848 1760 R0
        BEGIN BRANCH XLXN_1
            WIRE 1232 1504 1328 1504
        END BRANCH
        INSTANCE XLXI_3 1184 1376 R0
        BEGIN BRANCH XLXN_2
            WIRE 1248 1376 1248 1440
            WIRE 1248 1440 1328 1440
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 1328 1600 1328 1680
            WIRE 1328 1680 1488 1680
        END BRANCH
        BEGIN BRANCH XLXN_4
            WIRE 1712 1312 1744 1312
            WIRE 1744 1312 1744 1648
            WIRE 1744 1312 1856 1312
        END BRANCH
        BEGIN BRANCH XLXN_5
            WIRE 1712 1248 1776 1248
            WIRE 1776 1248 1776 1712
            WIRE 1776 1248 1856 1248
            WIRE 1744 1712 1776 1712
        END BRANCH
        BEGIN BRANCH XLXN_6
            WIRE 1824 1584 1824 1600
            WIRE 1824 1600 1824 1632
            WIRE 1824 1632 1840 1632
            WIRE 1840 1632 1856 1632
        END BRANCH
        BEGIN BRANCH CLK
            WIRE 816 1504 848 1504
        END BRANCH
        BEGIN BRANCH SYNC
            WIRE 816 1632 848 1632
        END BRANCH
        BEGIN BRANCH XLXN_9
            WIRE 1712 1184 1728 1184
            WIRE 1728 1184 1856 1184
        END BRANCH
        INSTANCE XLXI_4 1856 1760 R0
        INSTANCE XLXI_5 1760 1584 R0
        INSTANCE XLXI_6 1744 1584 R180
        INSTANCE XLXI_7 896 1360 R0
        BEGIN BRANCH T1
            WIRE 960 1216 960 1232
            WIRE 960 1216 1008 1216
        END BRANCH
        INSTANCE XLXI_8 2272 1568 R0
        INSTANCE XLXI_9 2272 1488 R0
        INSTANCE XLXI_10 2272 1408 R0
        INSTANCE XLXI_11 2272 1328 R0
        INSTANCE XLXI_12 2272 1168 R0
        INSTANCE XLXI_13 2272 1248 R0
        BEGIN BRANCH XLXN_11
            WIRE 2240 1376 2272 1376
        END BRANCH
        BEGIN BRANCH XLXN_12
            WIRE 2240 1312 2256 1312
            WIRE 2256 1296 2256 1312
            WIRE 2256 1296 2272 1296
        END BRANCH
        BEGIN BRANCH XLXN_13
            WIRE 2240 1248 2256 1248
            WIRE 2256 1216 2256 1248
            WIRE 2256 1216 2272 1216
        END BRANCH
        BEGIN BRANCH XLXN_14
            WIRE 2240 1184 2256 1184
            WIRE 2256 1136 2256 1184
            WIRE 2256 1136 2272 1136
        END BRANCH
        BEGIN BRANCH XLXN_15
            WIRE 2240 1440 2256 1440
            WIRE 2256 1440 2256 1456
            WIRE 2256 1456 2272 1456
        END BRANCH
        BEGIN BRANCH XLXN_16
            WIRE 2240 1504 2256 1504
            WIRE 2256 1504 2256 1536
            WIRE 2256 1536 2272 1536
        END BRANCH
        BEGIN BRANCH a
            WIRE 2496 1136 2528 1136
        END BRANCH
        BEGIN BRANCH b
            WIRE 2496 1216 2528 1216
        END BRANCH
        BEGIN BRANCH c
            WIRE 2496 1296 2528 1296
        END BRANCH
        BEGIN BRANCH d
            WIRE 2496 1376 2528 1376
        END BRANCH
        BEGIN BRANCH e
            WIRE 2496 1456 2528 1456
        END BRANCH
        BEGIN BRANCH f
            WIRE 2496 1536 2528 1536
        END BRANCH
        IOMARKER 816 1504 CLK R180 28
        IOMARKER 816 1632 SYNC R180 28
        IOMARKER 1008 1216 T1 R0 28
        IOMARKER 2528 1136 a R0 28
        IOMARKER 2528 1216 b R0 28
        IOMARKER 2528 1296 c R0 28
        IOMARKER 2528 1376 d R0 28
        IOMARKER 2528 1456 e R0 28
        IOMARKER 2528 1536 f R0 28
    END SHEET
END SCHEMATIC
