VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL CLK
        SIGNAL SYNC
        SIGNAL S1
        SIGNAL XLXN_5
        SIGNAL XLXN_7
        SIGNAL XLXN_9
        SIGNAL XLXN_11
        SIGNAL D6
        SIGNAL D5
        SIGNAL D4
        SIGNAL D3
        SIGNAL XLXN_13
        SIGNAL S2
        PORT Input CLK
        PORT Input SYNC
        PORT Input S1
        PORT Output D6
        PORT Output D5
        PORT Output D4
        PORT Output D3
        PORT Input S2
        BEGIN BLOCKDEF cb4ce
            TIMESTAMP 2001 5 11 10 50 34
            RECTANGLE N 64 -512 320 -64 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 384 -384 320 -384 
            LINE N 384 -448 320 -448 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -128 320 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            LINE N 384 -192 320 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 cb4ce
            PIN C XLXN_1
            PIN CE S1
            PIN CLR XLXN_13
            PIN CEO
            PIN Q0 XLXN_11
            PIN Q1 XLXN_9
            PIN Q2 XLXN_7
            PIN Q3 XLXN_5
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_2 fd
            PIN C SYNC
            PIN D CLK
            PIN Q XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_3 inv
            PIN I XLXN_5
            PIN O D3
        END BLOCK
        BEGIN BLOCK XLXI_4 inv
            PIN I XLXN_7
            PIN O D4
        END BLOCK
        BEGIN BLOCK XLXI_5 inv
            PIN I XLXN_9
            PIN O D5
        END BLOCK
        BEGIN BLOCK XLXI_6 inv
            PIN I XLXN_11
            PIN O D6
        END BLOCK
        BEGIN BLOCK XLXI_8 inv
            PIN I S2
            PIN O XLXN_13
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 1504 1568 R0
        BEGIN BRANCH XLXN_1
            WIRE 1408 1440 1504 1440
        END BRANCH
        BEGIN BRANCH CLK
            WIRE 976 1440 1024 1440
        END BRANCH
        BEGIN BRANCH SYNC
            WIRE 976 1568 1024 1568
        END BRANCH
        BEGIN BRANCH S1
            WIRE 1472 1376 1504 1376
        END BRANCH
        BEGIN BRANCH XLXN_5
            WIRE 1888 1312 1920 1312
            WIRE 1920 1312 2000 1312
        END BRANCH
        INSTANCE XLXI_3 2000 1344 R0
        INSTANCE XLXI_4 2000 1264 R0
        INSTANCE XLXI_5 2000 1184 R0
        INSTANCE XLXI_6 2000 1104 R0
        BEGIN BRANCH XLXN_7
            WIRE 1888 1248 1920 1248
            WIRE 1920 1232 2000 1232
            WIRE 1920 1232 1920 1248
        END BRANCH
        BEGIN BRANCH XLXN_9
            WIRE 1888 1184 1920 1184
            WIRE 1920 1152 2000 1152
            WIRE 1920 1152 1920 1184
        END BRANCH
        BEGIN BRANCH XLXN_11
            WIRE 1888 1120 1920 1120
            WIRE 1920 1072 2000 1072
            WIRE 1920 1072 1920 1120
        END BRANCH
        BEGIN BRANCH D6
            WIRE 2224 1072 2256 1072
        END BRANCH
        BEGIN BRANCH D5
            WIRE 2224 1152 2256 1152
        END BRANCH
        BEGIN BRANCH D4
            WIRE 2224 1232 2256 1232
        END BRANCH
        BEGIN BRANCH D3
            WIRE 2224 1312 2256 1312
        END BRANCH
        INSTANCE XLXI_8 1728 1568 R180
        BEGIN BRANCH XLXN_13
            WIRE 1488 1536 1504 1536
            WIRE 1488 1536 1488 1600
            WIRE 1488 1600 1504 1600
        END BRANCH
        BEGIN BRANCH S2
            WIRE 1728 1600 1760 1600
        END BRANCH
        IOMARKER 976 1440 CLK R180 28
        IOMARKER 976 1568 SYNC R180 28
        IOMARKER 1472 1376 S1 R180 28
        IOMARKER 2256 1072 D6 R0 28
        IOMARKER 2256 1152 D5 R0 28
        IOMARKER 2256 1232 D4 R0 28
        IOMARKER 2256 1312 D3 R0 28
        IOMARKER 1760 1600 S2 R0 28
        INSTANCE XLXI_2 1024 1696 R0
    END SHEET
END SCHEMATIC
