VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL CLK
        SIGNAL SYNC
        SIGNAL XLXN_5
        SIGNAL XLXN_6
        SIGNAL XLXN_7
        SIGNAL XLXN_8
        SIGNAL XLXN_9
        SIGNAL XLXN_10
        SIGNAL XLXN_11
        SIGNAL XLXN_12
        SIGNAL XLXN_13
        SIGNAL XLXN_14
        SIGNAL D6
        SIGNAL D5
        SIGNAL D4
        SIGNAL D3
        PORT Input CLK
        PORT Input SYNC
        PORT Output D6
        PORT Output D5
        PORT Output D4
        PORT Output D3
        BEGIN BLOCKDEF cb4ce
            TIMESTAMP 2001 5 11 10 50 34
            RECTANGLE N 64 -512 320 -64 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 384 -384 320 -384 
            LINE N 384 -448 320 -448 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -128 320 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            LINE N 384 -192 320 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF and4
            TIMESTAMP 2001 5 11 10 43 14
            LINE N 144 -112 64 -112 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -208 144 -208 
            LINE N 64 -64 64 -256 
            LINE N 256 -160 192 -160 
            LINE N 0 -256 64 -256 
            LINE N 0 -192 64 -192 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 cb4ce
            PIN C XLXN_1
            PIN CE XLXN_2
            PIN CLR XLXN_5
            PIN CEO
            PIN Q0 XLXN_14
            PIN Q1 XLXN_6
            PIN Q2 XLXN_10
            PIN Q3 XLXN_11
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_2 fd
            PIN C SYNC
            PIN D CLK
            PIN Q XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_3 and4
            PIN I0 XLXN_14
            PIN I1 XLXN_7
            PIN I2 XLXN_10
            PIN I3 XLXN_8
            PIN O XLXN_5
        END BLOCK
        BEGIN BLOCK XLXI_4 vcc
            PIN P XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_5 inv
            PIN I XLXN_11
            PIN O XLXN_8
        END BLOCK
        BEGIN BLOCK XLXI_6 inv
            PIN I XLXN_6
            PIN O XLXN_7
        END BLOCK
        BEGIN BLOCK XLXI_7 inv
            PIN I XLXN_6
            PIN O D5
        END BLOCK
        BEGIN BLOCK XLXI_8 inv
            PIN I XLXN_11
            PIN O D3
        END BLOCK
        BEGIN BLOCK XLXI_9 inv
            PIN I XLXN_10
            PIN O D4
        END BLOCK
        BEGIN BLOCK XLXI_10 inv
            PIN I XLXN_14
            PIN O D6
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 1616 1440 R0
        INSTANCE XLXI_2 1168 1568 R0
        INSTANCE XLXI_3 1856 1440 R180
        BEGIN BRANCH XLXN_1
            WIRE 1552 1312 1616 1312
        END BRANCH
        INSTANCE XLXI_4 1488 1200 R0
        BEGIN BRANCH XLXN_2
            WIRE 1552 1200 1552 1248
            WIRE 1552 1248 1616 1248
        END BRANCH
        BEGIN BRANCH CLK
            WIRE 1136 1312 1168 1312
        END BRANCH
        BEGIN BRANCH SYNC
            WIRE 1136 1440 1168 1440
        END BRANCH
        BEGIN BRANCH XLXN_5
            WIRE 1584 1408 1616 1408
            WIRE 1584 1408 1584 1600
            WIRE 1584 1600 1600 1600
        END BRANCH
        INSTANCE XLXI_5 2096 1664 R180
        INSTANCE XLXI_6 2096 1536 R180
        BEGIN BRANCH XLXN_6
            WIRE 2000 1056 2112 1056
            WIRE 2112 1056 2112 1568
            WIRE 2112 1056 2240 1056
            WIRE 2096 1568 2112 1568
        END BRANCH
        BEGIN BRANCH XLXN_7
            WIRE 1856 1568 1872 1568
        END BRANCH
        BEGIN BRANCH XLXN_8
            WIRE 1856 1696 1872 1696
        END BRANCH
        BEGIN BRANCH XLXN_10
            WIRE 1856 1632 2160 1632
            WIRE 2000 1120 2160 1120
            WIRE 2160 1120 2160 1136
            WIRE 2160 1136 2160 1632
            WIRE 2160 1136 2240 1136
        END BRANCH
        BEGIN BRANCH XLXN_11
            WIRE 2000 1184 2208 1184
            WIRE 2208 1184 2208 1216
            WIRE 2208 1216 2208 1696
            WIRE 2208 1216 2240 1216
            WIRE 2096 1696 2208 1696
        END BRANCH
        INSTANCE XLXI_7 2240 1088 R0
        INSTANCE XLXI_8 2240 1248 R0
        INSTANCE XLXI_9 2240 1168 R0
        INSTANCE XLXI_10 2240 1008 R0
        BEGIN BRANCH XLXN_14
            WIRE 1856 1504 2064 1504
            WIRE 2000 992 2064 992
            WIRE 2064 992 2064 1504
            WIRE 2064 976 2240 976
            WIRE 2064 976 2064 992
        END BRANCH
        BEGIN BRANCH D6
            WIRE 2464 976 2496 976
        END BRANCH
        BEGIN BRANCH D5
            WIRE 2464 1056 2496 1056
        END BRANCH
        BEGIN BRANCH D4
            WIRE 2464 1136 2496 1136
        END BRANCH
        BEGIN BRANCH D3
            WIRE 2464 1216 2496 1216
        END BRANCH
        IOMARKER 1136 1312 CLK R180 28
        IOMARKER 1136 1440 SYNC R180 28
        IOMARKER 2496 976 D6 R0 28
        IOMARKER 2496 1056 D5 R0 28
        IOMARKER 2496 1136 D4 R0 28
        IOMARKER 2496 1216 D3 R0 28
    END SHEET
END SCHEMATIC
