VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL D3
        SIGNAL CLK
        SIGNAL D2
        PORT Output D3
        PORT Input CLK
        PORT Output D2
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2001 3 9 11 21 49
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fd
            PIN C CLK
            PIN D XLXN_1
            PIN Q D3
        END BLOCK
        BEGIN BLOCK XLXI_2 inv
            PIN I D3
            PIN O XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_3 buf
            PIN I CLK
            PIN O D2
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 1184 1440 R0
        INSTANCE XLXI_2 1488 976 R180
        BEGIN BRANCH XLXN_1
            WIRE 1168 1008 1168 1184
            WIRE 1168 1184 1184 1184
            WIRE 1168 1008 1264 1008
        END BRANCH
        BEGIN BRANCH D3
            WIRE 1488 1008 1584 1008
            WIRE 1584 1008 1584 1184
            WIRE 1584 1184 1632 1184
            WIRE 1568 1184 1584 1184
        END BRANCH
        INSTANCE XLXI_3 1264 1504 R0
        BEGIN BRANCH CLK
            WIRE 1136 1312 1168 1312
            WIRE 1168 1312 1184 1312
            WIRE 1168 1312 1168 1472
            WIRE 1168 1472 1264 1472
        END BRANCH
        BEGIN BRANCH D2
            WIRE 1488 1472 1504 1472
            WIRE 1504 1472 1632 1472
        END BRANCH
        IOMARKER 1632 1184 D3 R0 28
        IOMARKER 1136 1312 CLK R180 28
        IOMARKER 1632 1472 D2 R0 28
    END SHEET
END SCHEMATIC
