-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Fri Aug 08 00:15:57 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_dwojka_liczaca is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_dwojka_liczaca;

architecture BEHAVIORAL of FD_MXILINX_dwojka_liczaca is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from dwojka_liczaca.sch - Fri Aug 08 00:15:57 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity dwojka_liczaca is
   port ( CLK : in    std_logic; 
          D2  : out   std_logic; 
          D3  : out   std_logic);
end dwojka_liczaca;

architecture BEHAVIORAL of dwojka_liczaca is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal XLXN_1   : std_logic;
   signal D3_DUMMY : std_logic;
   component FD_MXILINX_dwojka_liczaca
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_0";
begin
   D3 <= D3_DUMMY;
   XLXI_1 : FD_MXILINX_dwojka_liczaca
      port map (C=>CLK, D=>XLXN_1, Q=>D3_DUMMY);
   
   XLXI_2 : INV
      port map (I=>D3_DUMMY, O=>XLXN_1);
   
   XLXI_3 : BUF
      port map (I=>CLK, O=>D2);
   
end BEHAVIORAL;


