VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL D3
        BEGIN SIGNAL XLXN_9
        END SIGNAL
        SIGNAL D2
        SIGNAL SYNC
        SIGNAL CLK
        PORT Output D3
        PORT Output D2
        PORT Input SYNC
        PORT Input CLK
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2001 3 9 11 21 49
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fd
            PIN C XLXN_9
            PIN D XLXN_1
            PIN Q D3
        END BLOCK
        BEGIN BLOCK XLXI_2 inv
            PIN I D3
            PIN O XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_3 buf
            PIN I XLXN_9
            PIN O D2
        END BLOCK
        BEGIN BLOCK XLXI_5 fd
            PIN C SYNC
            PIN D CLK
            PIN Q XLXN_9
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 1456 1424 R0
        INSTANCE XLXI_2 1760 960 R180
        BEGIN BRANCH XLXN_1
            WIRE 1440 992 1440 1168
            WIRE 1440 1168 1456 1168
            WIRE 1440 992 1536 992
        END BRANCH
        BEGIN BRANCH D3
            WIRE 1760 992 1856 992
            WIRE 1856 992 1856 1168
            WIRE 1856 1168 1904 1168
            WIRE 1840 1168 1856 1168
        END BRANCH
        INSTANCE XLXI_3 1536 1488 R0
        BEGIN BRANCH XLXN_9
            WIRE 1408 1296 1440 1296
            WIRE 1440 1296 1456 1296
            WIRE 1440 1296 1440 1456
            WIRE 1440 1456 1536 1456
        END BRANCH
        BEGIN BRANCH D2
            WIRE 1760 1456 1776 1456
            WIRE 1776 1456 1904 1456
        END BRANCH
        IOMARKER 1904 1168 D3 R0 28
        IOMARKER 1904 1456 D2 R0 28
        INSTANCE XLXI_5 1024 1552 R0
        BEGIN BRANCH SYNC
            WIRE 992 1424 1024 1424
        END BRANCH
        IOMARKER 992 1424 SYNC R180 28
        BEGIN BRANCH CLK
            WIRE 992 1296 1024 1296
        END BRANCH
        IOMARKER 992 1296 CLK R180 28
    END SHEET
END SCHEMATIC
