VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_41
        SIGNAL XLXN_42
        SIGNAL XLXN_43
        SIGNAL XLXN_6
        SIGNAL XLXN_8
        SIGNAL XLXN_10
        SIGNAL D4
        SIGNAL XLXN_12
        SIGNAL D5
        SIGNAL XLXN_14
        SIGNAL D6
        SIGNAL CLK
        SIGNAL SYNC
        SIGNAL XLXN_86
        SIGNAL D3
        SIGNAL D2
        SIGNAL XLXN_40
        SIGNAL XLXN_39
        PORT Output D4
        PORT Output D5
        PORT Output D6
        PORT Input CLK
        PORT Input SYNC
        PORT Output D3
        PORT Output D2
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fd
            PIN C XLXN_86
            PIN D XLXN_43
            PIN Q D6
        END BLOCK
        BEGIN BLOCK XLXI_2 inv
            PIN I D6
            PIN O XLXN_43
        END BLOCK
        BEGIN BLOCK XLXI_3 fd
            PIN C D6
            PIN D XLXN_42
            PIN Q D5
        END BLOCK
        BEGIN BLOCK XLXI_4 inv
            PIN I D5
            PIN O XLXN_42
        END BLOCK
        BEGIN BLOCK XLXI_5 fd
            PIN C D5
            PIN D XLXN_41
            PIN Q D4
        END BLOCK
        BEGIN BLOCK XLXI_6 inv
            PIN I D4
            PIN O XLXN_41
        END BLOCK
        BEGIN BLOCK XLXI_48 fd
            PIN C SYNC
            PIN D CLK
            PIN Q XLXN_86
        END BLOCK
        BEGIN BLOCK XLXI_10 inv
            PIN I D2
            PIN O XLXN_39
        END BLOCK
        BEGIN BLOCK XLXI_9 fd
            PIN C D3
            PIN D XLXN_39
            PIN Q D2
        END BLOCK
        BEGIN BLOCK XLXI_8 inv
            PIN I D3
            PIN O XLXN_40
        END BLOCK
        BEGIN BLOCK XLXI_7 fd
            PIN C D4
            PIN D XLXN_40
            PIN Q D3
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 576 1440 R0
        INSTANCE XLXI_2 864 992 R180
        INSTANCE XLXI_3 1088 1440 R0
        INSTANCE XLXI_4 1376 992 R180
        INSTANCE XLXI_5 1568 1440 R0
        INSTANCE XLXI_6 1856 992 R180
        BEGIN BRANCH XLXN_41
            WIRE 1552 1024 1552 1184
            WIRE 1552 1184 1568 1184
            WIRE 1552 1024 1632 1024
        END BRANCH
        BEGIN BRANCH XLXN_42
            WIRE 1072 1024 1072 1184
            WIRE 1072 1184 1088 1184
            WIRE 1072 1024 1152 1024
        END BRANCH
        BEGIN BRANCH XLXN_43
            WIRE 560 1024 560 1184
            WIRE 560 1184 576 1184
            WIRE 560 1024 640 1024
        END BRANCH
        BEGIN BRANCH D5
            WIRE 1376 1024 1488 1024
            WIRE 1488 1024 1488 1184
            WIRE 1488 1184 1488 1312
            WIRE 1488 1312 1568 1312
            WIRE 1472 1184 1488 1184
            WIRE 1488 912 1520 912
            WIRE 1488 912 1488 1024
        END BRANCH
        BEGIN BRANCH D6
            WIRE 864 1024 976 1024
            WIRE 976 1024 976 1184
            WIRE 976 1184 976 1312
            WIRE 976 1312 1088 1312
            WIRE 960 1184 976 1184
            WIRE 976 912 1008 912
            WIRE 976 912 976 1024
        END BRANCH
        INSTANCE XLXI_48 960 1424 R180
        BEGIN BRANCH CLK
            WIRE 960 1680 976 1680
            WIRE 976 1680 992 1680
        END BRANCH
        BEGIN BRANCH SYNC
            WIRE 960 1552 992 1552
        END BRANCH
        BEGIN BRANCH XLXN_86
            WIRE 560 1312 576 1312
            WIRE 560 1312 560 1680
            WIRE 560 1680 576 1680
        END BRANCH
        IOMARKER 992 1680 CLK R0 28
        IOMARKER 992 1552 SYNC R0 28
        IOMARKER 1008 912 D6 R0 28
        IOMARKER 1520 912 D5 R0 28
        IOMARKER 2000 912 D4 R0 28
        BEGIN BRANCH D4
            WIRE 1856 1024 1968 1024
            WIRE 1968 1024 1968 1184
            WIRE 1968 1184 1968 1312
            WIRE 1968 1312 2080 1312
            WIRE 1952 1184 1968 1184
            WIRE 1968 912 2000 912
            WIRE 1968 912 1968 1024
        END BRANCH
        IOMARKER 3040 912 D2 R0 28
        IOMARKER 2496 912 D3 R0 28
        BEGIN BRANCH D3
            WIRE 2368 1024 2480 1024
            WIRE 2480 1024 2480 1184
            WIRE 2480 1184 2480 1312
            WIRE 2480 1312 2592 1312
            WIRE 2464 1184 2480 1184
            WIRE 2480 912 2496 912
            WIRE 2480 912 2480 1024
        END BRANCH
        BEGIN BRANCH D2
            WIRE 2880 1024 2992 1024
            WIRE 2992 1024 2992 1184
            WIRE 2976 1184 2992 1184
            WIRE 2992 912 3040 912
            WIRE 2992 912 2992 1024
        END BRANCH
        BEGIN BRANCH XLXN_40
            WIRE 2064 1024 2064 1184
            WIRE 2064 1184 2080 1184
            WIRE 2064 1024 2144 1024
        END BRANCH
        BEGIN BRANCH XLXN_39
            WIRE 2576 1024 2576 1184
            WIRE 2576 1184 2592 1184
            WIRE 2576 1024 2656 1024
        END BRANCH
        INSTANCE XLXI_10 2880 992 R180
        INSTANCE XLXI_9 2592 1440 R0
        INSTANCE XLXI_8 2368 992 R180
        INSTANCE XLXI_7 2080 1440 R0
    END SHEET
END SCHEMATIC
