-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Fri Aug 08 23:10:46 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_dzielnik_n_bitowy is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_dzielnik_n_bitowy;

architecture BEHAVIORAL of FD_MXILINX_dzielnik_n_bitowy is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from dzielnik_n_bitowy.sch - Fri Aug 08 23:10:46 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity dzielnik_n_bitowy is
   port ( CLK  : in    std_logic; 
          SYNC : in    std_logic; 
          D2   : out   std_logic; 
          D3   : out   std_logic; 
          D4   : out   std_logic; 
          D5   : out   std_logic; 
          D6   : out   std_logic);
end dzielnik_n_bitowy;

architecture BEHAVIORAL of dzielnik_n_bitowy is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal XLXN_39  : std_logic;
   signal XLXN_40  : std_logic;
   signal XLXN_41  : std_logic;
   signal XLXN_42  : std_logic;
   signal XLXN_43  : std_logic;
   signal XLXN_86  : std_logic;
   signal D2_DUMMY : std_logic;
   signal D3_DUMMY : std_logic;
   signal D4_DUMMY : std_logic;
   signal D5_DUMMY : std_logic;
   signal D6_DUMMY : std_logic;
   component FD_MXILINX_dzielnik_n_bitowy
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_0";
   attribute HU_SET of XLXI_3 : LABEL is "XLXI_3_1";
   attribute HU_SET of XLXI_5 : LABEL is "XLXI_5_2";
   attribute HU_SET of XLXI_7 : LABEL is "XLXI_7_3";
   attribute HU_SET of XLXI_9 : LABEL is "XLXI_9_4";
   attribute HU_SET of XLXI_48 : LABEL is "XLXI_48_5";
begin
   D2 <= D2_DUMMY;
   D3 <= D3_DUMMY;
   D4 <= D4_DUMMY;
   D5 <= D5_DUMMY;
   D6 <= D6_DUMMY;
   XLXI_1 : FD_MXILINX_dzielnik_n_bitowy
      port map (C=>XLXN_86, D=>XLXN_43, Q=>D6_DUMMY);
   
   XLXI_2 : INV
      port map (I=>D6_DUMMY, O=>XLXN_43);
   
   XLXI_3 : FD_MXILINX_dzielnik_n_bitowy
      port map (C=>D6_DUMMY, D=>XLXN_42, Q=>D5_DUMMY);
   
   XLXI_4 : INV
      port map (I=>D5_DUMMY, O=>XLXN_42);
   
   XLXI_5 : FD_MXILINX_dzielnik_n_bitowy
      port map (C=>D5_DUMMY, D=>XLXN_41, Q=>D4_DUMMY);
   
   XLXI_6 : INV
      port map (I=>D4_DUMMY, O=>XLXN_41);
   
   XLXI_7 : FD_MXILINX_dzielnik_n_bitowy
      port map (C=>D4_DUMMY, D=>XLXN_40, Q=>D3_DUMMY);
   
   XLXI_8 : INV
      port map (I=>D3_DUMMY, O=>XLXN_40);
   
   XLXI_9 : FD_MXILINX_dzielnik_n_bitowy
      port map (C=>D3_DUMMY, D=>XLXN_39, Q=>D2_DUMMY);
   
   XLXI_10 : INV
      port map (I=>D2_DUMMY, O=>XLXN_39);
   
   XLXI_48 : FD_MXILINX_dzielnik_n_bitowy
      port map (C=>SYNC, D=>CLK, Q=>XLXN_86);
   
end BEHAVIORAL;


