VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL D3
        SIGNAL S1
        SIGNAL S2
        SIGNAL REL
        SIGNAL D2
        SIGNAL XLXN_10
        PORT Output D3
        PORT Input S1
        PORT Input S2
        PORT Output REL
        PORT Output D2
        BEGIN BLOCKDEF nand2
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 216 -96 
            CIRCLE N 192 -108 216 -84 
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2001 3 9 11 21 49
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 nand2
            PIN I0 D3
            PIN I1 S1
            PIN O XLXN_10
        END BLOCK
        BEGIN BLOCK XLXI_2 nand2
            PIN I0 S2
            PIN I1 XLXN_10
            PIN O D3
        END BLOCK
        BEGIN BLOCK XLXI_3 buf
            PIN I XLXN_10
            PIN O D2
        END BLOCK
        BEGIN BLOCK XLXI_4 buf
            PIN I XLXN_10
            PIN O REL
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 1424 1312 R0
        INSTANCE XLXI_2 1424 1520 R0
        BEGIN BRANCH D3
            WIRE 1424 1248 1424 1344
            WIRE 1424 1344 1680 1344
            WIRE 1680 1344 1680 1424
            WIRE 1680 1424 1712 1424
        END BRANCH
        BEGIN BRANCH S1
            WIRE 1392 1184 1424 1184
        END BRANCH
        BEGIN BRANCH S2
            WIRE 1392 1456 1424 1456
        END BRANCH
        BEGIN BRANCH REL
            WIRE 1984 1088 2016 1088
        END BRANCH
        BEGIN BRANCH D2
            WIRE 1984 1216 2016 1216
        END BRANCH
        INSTANCE XLXI_3 1760 1248 R0
        INSTANCE XLXI_4 1760 1120 R0
        BEGIN BRANCH XLXN_10
            WIRE 1360 1312 1360 1392
            WIRE 1360 1392 1424 1392
            WIRE 1360 1312 1728 1312
            WIRE 1680 1216 1728 1216
            WIRE 1728 1216 1760 1216
            WIRE 1728 1216 1728 1312
            WIRE 1728 1088 1760 1088
            WIRE 1728 1088 1728 1216
        END BRANCH
        IOMARKER 1392 1184 S1 R180 28
        IOMARKER 1392 1456 S2 R180 28
        IOMARKER 1712 1424 D3 R0 28
        IOMARKER 2016 1216 D2 R0 28
        IOMARKER 2016 1088 REL R0 28
        BEGIN DISPLAY 1332 1128 TEXT SET
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1620 1160 TEXT Q
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1620 1480 TEXT !Q
            FONT 48 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1304 1528 TEXT RESET
            FONT 48 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
