-- VHDL model created from przerzutnik_rs.sch - Thu Aug 07 22:58:27 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity przerzutnik_rs is
   port ( S1  : in    std_logic; 
          S2  : in    std_logic; 
          D2  : out   std_logic; 
          D3  : out   std_logic; 
          REL : out   std_logic);
end przerzutnik_rs;

architecture BEHAVIORAL of przerzutnik_rs is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_10  : std_logic;
   signal D3_DUMMY : std_logic;
   component NAND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of NAND2 : COMPONENT is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : COMPONENT is "BLACK_BOX";
   
begin
   D3 <= D3_DUMMY;
   XLXI_1 : NAND2
      port map (I0=>D3_DUMMY, I1=>S1, O=>XLXN_10);
   
   XLXI_2 : NAND2
      port map (I0=>S2, I1=>XLXN_10, O=>D3_DUMMY);
   
   XLXI_3 : BUF
      port map (I=>XLXN_10, O=>D2);
   
   XLXI_4 : BUF
      port map (I=>XLXN_10, O=>REL);
   
end BEHAVIORAL;


