VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3(7:0)
        SIGNAL XLXN_4
        SIGNAL CLK
        SIGNAL SYNC
        SIGNAL XLXN_7
        SIGNAL S1
        SIGNAL Q(0)
        SIGNAL Q(7:0)
        SIGNAL Q(4)
        SIGNAL Q(3)
        SIGNAL Q(2)
        SIGNAL Q(1)
        SIGNAL D2
        SIGNAL D3
        SIGNAL D4
        SIGNAL D5
        SIGNAL D6
        PORT Input CLK
        PORT Input SYNC
        PORT Input S1
        PORT Output D2
        PORT Output D3
        PORT Output D4
        PORT Output D5
        PORT Output D6
        BEGIN BLOCKDEF cb8ce
            TIMESTAMP 2001 5 11 10 52 8
            LINE N 384 -128 320 -128 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -192 320 -192 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF ld8
            TIMESTAMP 2001 3 9 11 23 37
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            RECTANGLE N 64 -320 320 -64 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 cb8ce
            PIN C XLXN_4
            PIN CE XLXN_1
            PIN CLR XLXN_2
            PIN CEO
            PIN Q(7:0) XLXN_3(7:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_2 vcc
            PIN P XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_3 gnd
            PIN G XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_4 fd
            PIN C SYNC
            PIN D CLK
            PIN Q XLXN_4
        END BLOCK
        BEGIN BLOCK XLXI_5 ld8
            PIN D(7:0) XLXN_3(7:0)
            PIN G S1
            PIN Q(7:0) Q(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_11 inv
            PIN I Q(0)
            PIN O D6
        END BLOCK
        BEGIN BLOCK XLXI_12 inv
            PIN I Q(1)
            PIN O D5
        END BLOCK
        BEGIN BLOCK XLXI_13 inv
            PIN I Q(2)
            PIN O D4
        END BLOCK
        BEGIN BLOCK XLXI_14 inv
            PIN I Q(3)
            PIN O D3
        END BLOCK
        BEGIN BLOCK XLXI_15 inv
            PIN I Q(4)
            PIN O D2
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH XLXN_1
            WIRE 1200 1376 1200 1392
            WIRE 1200 1392 1248 1392
        END BRANCH
        BEGIN BRANCH XLXN_2
            WIRE 1232 1552 1248 1552
            WIRE 1232 1552 1232 1584
        END BRANCH
        BEGIN BRANCH XLXN_3(7:0)
            WIRE 1632 1328 1712 1328
        END BRANCH
        INSTANCE XLXI_1 1248 1584 R0
        INSTANCE XLXI_2 1136 1376 R0
        INSTANCE XLXI_3 1168 1712 R0
        INSTANCE XLXI_4 784 1712 R0
        BEGIN BRANCH XLXN_4
            WIRE 1168 1456 1248 1456
        END BRANCH
        BEGIN BRANCH CLK
            WIRE 752 1456 784 1456
        END BRANCH
        BEGIN BRANCH SYNC
            WIRE 752 1584 784 1584
        END BRANCH
        BEGIN BRANCH S1
            WIRE 1616 1648 1696 1648
            WIRE 1696 1456 1712 1456
            WIRE 1696 1456 1696 1648
        END BRANCH
        INSTANCE XLXI_5 1712 1584 R0
        BUSTAP 2160 1248 2256 1248
        BEGIN BRANCH Q(0)
            WIRE 2256 1248 2288 1248
        END BRANCH
        BEGIN BRANCH Q(7:0)
            WIRE 2096 1328 2128 1328
            WIRE 2128 1328 2160 1328
            WIRE 2128 1328 2128 1408
            WIRE 2128 1408 2128 1488
            WIRE 2128 1488 2128 1568
            WIRE 2128 1568 2160 1568
            WIRE 2128 1488 2160 1488
            WIRE 2128 1408 2160 1408
            WIRE 2128 1248 2128 1328
            WIRE 2128 1248 2160 1248
        END BRANCH
        BEGIN BRANCH Q(4)
            WIRE 2256 1568 2288 1568
        END BRANCH
        BEGIN BRANCH Q(3)
            WIRE 2256 1488 2288 1488
        END BRANCH
        BEGIN BRANCH Q(2)
            WIRE 2256 1408 2288 1408
        END BRANCH
        BEGIN BRANCH Q(1)
            WIRE 2256 1328 2288 1328
        END BRANCH
        BEGIN BRANCH D2
            WIRE 2512 1568 2544 1568
        END BRANCH
        BEGIN BRANCH D3
            WIRE 2512 1488 2544 1488
        END BRANCH
        BEGIN BRANCH D4
            WIRE 2512 1408 2544 1408
        END BRANCH
        BEGIN BRANCH D5
            WIRE 2512 1328 2544 1328
        END BRANCH
        INSTANCE XLXI_11 2288 1280 R0
        INSTANCE XLXI_12 2288 1360 R0
        INSTANCE XLXI_13 2288 1440 R0
        INSTANCE XLXI_14 2288 1520 R0
        INSTANCE XLXI_15 2288 1600 R0
        BEGIN BRANCH D6
            WIRE 2512 1248 2544 1248
        END BRANCH
        IOMARKER 752 1456 CLK R180 28
        IOMARKER 752 1584 SYNC R180 28
        IOMARKER 1616 1648 S1 R180 28
        IOMARKER 2544 1568 D2 R0 28
        IOMARKER 2544 1488 D3 R0 28
        IOMARKER 2544 1408 D4 R0 28
        IOMARKER 2544 1328 D5 R0 28
        IOMARKER 2544 1248 D6 R0 28
        BUSTAP 2160 1328 2256 1328
        BUSTAP 2160 1408 2256 1408
        BUSTAP 2160 1488 2256 1488
        BUSTAP 2160 1568 2256 1568
    END SHEET
END SCHEMATIC
