-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Tue Mar 03 10:56:10 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_bariera is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_bariera;

architecture BEHAVIORAL of FD_MXILINX_bariera is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from bariera.sch - Tue Mar 03 10:56:10 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity bariera is
   port ( CLK   : in    std_logic; 
          SFH   : in    std_logic; 
          SYNC  : in    std_logic; 
          ALARM : out   std_logic; 
          GEN   : out   std_logic);
end bariera;

architecture BEHAVIORAL of bariera is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal efwe    : std_logic;
   signal XLXN_2  : std_logic;
   signal XLXN_3  : std_logic;
   signal XLXN_4  : std_logic;
   signal XLXN_8  : std_logic;
   signal XLXN_9  : std_logic;
   signal XLXN_10 : std_logic;
   signal XLXN_11 : std_logic;
   signal XLXN_13 : std_logic;
   component FD_MXILINX_bariera
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : COMPONENT is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   component AND2B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B2 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_0";
   attribute HU_SET of XLXI_2 : LABEL is "XLXI_2_1";
begin
   XLXI_1 : FD_MXILINX_bariera
      port map (C=>SYNC, D=>XLXN_8, Q=>efwe);
   
   XLXI_2 : FD_MXILINX_bariera
      port map (C=>SYNC, D=>XLXN_11, Q=>XLXN_13);
   
   XLXI_3 : AND3B1
      port map (I0=>XLXN_13, I1=>efwe, I2=>CLK, O=>XLXN_3);
   
   XLXI_4 : AND3B1
      port map (I0=>efwe, I1=>XLXN_13, I2=>CLK, O=>XLXN_2);
   
   XLXI_5 : AND3B1
      port map (I0=>SFH, I1=>efwe, I2=>XLXN_13, O=>XLXN_4);
   
   XLXI_6 : OR3
      port map (I0=>XLXN_4, I1=>XLXN_2, I2=>XLXN_3, O=>XLXN_8);
   
   XLXI_11 : OR2
      port map (I0=>XLXN_9, I1=>XLXN_10, O=>XLXN_11);
   
   XLXI_12 : AND2B1
      port map (I0=>efwe, I1=>XLXN_13, O=>XLXN_10);
   
   XLXI_13 : AND2B2
      port map (I0=>CLK, I1=>efwe, O=>XLXN_9);
   
   XLXI_14 : AND2B1
      port map (I0=>XLXN_13, I1=>efwe, O=>ALARM);
   
   XLXI_15 : AND2B1
      port map (I0=>efwe, I1=>XLXN_13, O=>GEN);
   
end BEHAVIORAL;


