MODEL
MODEL_VERSION "v1998.8";
DESIGN "calosc";

/* port names and type */
INPUT S:PIN29 = S1;
INPUT S:PIN9 = SFH;
INPUT S:PIN7 = CLK;
INPUT S:PIN5 = SYNC;
OUTPUT S:PIN20 = LED2;
OUTPUT S:PIN18 = LED1;
OUTPUT S:PIN22 = LED3;
OUTPUT S:PIN19 = IRED;
OUTPUT S:PIN26 = LED5;

/* timing arc definitions */
SYNC_LED2_delay: DELAY SYNC LED2;
SYNC_LED1_delay: DELAY SYNC LED1;
SYNC_LED3_delay: DELAY SYNC LED3;
SYNC_IRED_delay: DELAY SYNC IRED;
SYNC_LED5_delay: DELAY SYNC LED5;

/* timing check arc definitions */
CLK_SYNC_setup: SETUP(POSEDGE) CLK SYNC;
SFH_SYNC_setup: SETUP(POSEDGE) SFH SYNC;
CLK_SYNC_hold: HOLD(POSEDGE) CLK SYNC;
SFH_SYNC_hold: HOLD(POSEDGE) SFH SYNC;

ENDMODEL
