library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity presk is
    Port ( inclk : in std_logic;
    		 out36kHz : out std_logic;
           out500Hz : out std_logic);
end presk;

architecture Behavioral of presk is
	
begin
	prc: process (inclk) is 
		variable temp : std_logic_vector  (9 downto 0) ;
		variable temp2 : std_logic_vector (15 downto 0) ;
	begin
		if  rising_edge(inclk) then
			--preskaler dla 36kHz
			temp := temp + 1 ;
			if temp=333 then
				out36kHz <= '1' ;
			elsif temp=666 then
				out36kHz <= '0';
				temp := "0000000000" ;
			end if ;
			--preskaler dla 500Hz
			temp2 := temp2 + 1 ;
			if temp2=24000 then
				out500Hz <= '1' ;
			elsif temp2=48000 then
				out500Hz <= '0';
				temp2 := "0000000000000000" ;
			end if ;
		end if;
	end process ;

end Behavioral;

