-- VHDL model created from C:\Xilinx\cpld\data\drawing\fdc.sch - Wed Feb 25 22:31:26 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FDC_MXILINX_bit_parzystosci is
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic; 
          Q   : out   std_logic);
end FDC_MXILINX_bit_parzystosci;

architecture BEHAVIORAL of FDC_MXILINX_bit_parzystosci is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_5 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_55 : GND
      port map (G=>XLXN_5);
   
   U0 : FDCP
      port map (C=>C, CLR=>CLR, D=>D, PRE=>XLXN_5, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fjkc.sch - Wed Feb 25 22:31:26 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FJKC_MXILINX_bit_parzystosci is
   port ( C   : in    std_logic; 
          CLR : in    std_logic; 
          J   : in    std_logic; 
          K   : in    std_logic; 
          Q   : out   std_logic);
end FJKC_MXILINX_bit_parzystosci;

architecture BEHAVIORAL of FJKC_MXILINX_bit_parzystosci is
   attribute HU_SET         : STRING ;
   attribute BOX_TYPE       : STRING ;
   signal AD      : std_logic;
   signal A0      : std_logic;
   signal A1      : std_logic;
   signal A2      : std_logic;
   signal Q_DUMMY : std_logic;
   component FDC_MXILINX_bit_parzystosci
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component AND3B2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B2 : COMPONENT is "BLACK_BOX";
   
   component AND3B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3B1 : COMPONENT is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : COMPONENT is "BLACK_BOX";
   
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of I_36_32 : LABEL is "I_36_32_0";
begin
   Q <= Q_DUMMY;
   I_36_32 : FDC_MXILINX_bit_parzystosci
      port map (C=>C, CLR=>CLR, D=>AD, Q=>Q_DUMMY);
   
   I_36_37 : AND3B2
      port map (I0=>J, I1=>K, I2=>Q_DUMMY, O=>A0);
   
   I_36_40 : AND3B1
      port map (I0=>Q_DUMMY, I1=>K, I2=>J, O=>A1);
   
   I_36_41 : OR3
      port map (I0=>A2, I1=>A1, I2=>A0, O=>AD);
   
   I_36_43 : AND2B1
      port map (I0=>K, I1=>J, O=>A2);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Wed Feb 25 22:31:26 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_bit_parzystosci is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_bit_parzystosci;

architecture BEHAVIORAL of FD_MXILINX_bit_parzystosci is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from bit_parzystosci.sch - Wed Feb 25 22:31:26 2009


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity bit_parzystosci is
   port ( CLK   : in    std_logic; 
          SYNC  : in    std_logic; 
          S1    : in    std_logic; 
          LED_1 : out   std_logic);
end bit_parzystosci;

architecture BEHAVIORAL of bit_parzystosci is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal XLXN_7  : std_logic;
   signal XLXN_10 : std_logic;
   component FD_MXILINX_bit_parzystosci
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component FJKC_MXILINX_bit_parzystosci
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             J   : in    std_logic; 
             K   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_1";
   attribute HU_SET of XLXI_2 : LABEL is "XLXI_2_2";
begin
   XLXI_1 : FD_MXILINX_bit_parzystosci
      port map (C=>SYNC, D=>CLK, Q=>XLXN_7);
   
   XLXI_2 : FJKC_MXILINX_bit_parzystosci
      port map (C=>XLXN_7, CLR=>XLXN_10, J=>S1, K=>S1, Q=>LED_1);
   
   XLXI_3 : GND
      port map (G=>XLXN_10);
   
end BEHAVIORAL;


