library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity czujnik_osw is
	port(
		CLK : in std_logic ;
		CLK_FR : in std_logic ;
		SYNC : in std_logic ;
		wyjscie : out std_logic);
end czujnik_osw;

architecture czujnik_oswBehavioral of czujnik_osw is
	signal CLK_prim : std_logic ;
	signal CLK_FR_prim : std_logic ;
begin
	process (SYNC) is
		variable temp : std_logic_vector (8 downto 0) ;
	begin
		if rising_edge(SYNC) then
			if (CLK_FR='1') and (CLK_FR_prim='0') then  
				temp := temp + 1;
				CLK_FR_prim <= CLK_FR ;
			else
				CLK_FR_prim <= CLK_FR ;
			end if ;

			if (CLK = '1') and (CLK_prim='0') then  
				if temp > 30 then
					wyjscie <= '0' ;
				else
					wyjscie <= '1' ;
				end if ;
				temp := "000000000" ;
				CLK_prim <= CLK ;
			else
				CLK_prim <= CLK ;
			end if ;
		end if;
	end process ;
end czujnik_oswBehavioral;
