-- VHDL model created from d:\projekty\avt\kurs_cpld\odcinki\czesc_04\impl\elementy\dodawanie1.sch - Wed Oct 22 20:12:15 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity dodawanie1 is
   port ( ADD : in    std_logic; 
          x0  : in    std_logic; 
          x1  : in    std_logic; 
          x2  : in    std_logic; 
          x3  : in    std_logic; 
          y0  : out   std_logic; 
          y1  : out   std_logic; 
          y2  : out   std_logic; 
          y3  : out   std_logic);
end dodawanie1;

architecture BEHAVIORAL of dodawanie1 is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_6  : std_logic;
   signal XLXN_7  : std_logic;
   signal XLXN_8  : std_logic;
   signal XLXN_17 : std_logic;
   signal XLXN_18 : std_logic;
   signal XLXN_19 : std_logic;
   signal XLXN_20 : std_logic;
   component sumator1bit
      port ( a : in    std_logic; 
             b : in    std_logic; 
             d : in    std_logic; 
             y : out   std_logic; 
             c : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_1 : sumator1bit
      port map (a=>x0, b=>ADD, d=>XLXN_20, c=>XLXN_17, y=>y0);
   
   XLXI_2 : sumator1bit
      port map (a=>x1, b=>XLXN_6, d=>XLXN_17, c=>XLXN_18, y=>y1);
   
   XLXI_3 : sumator1bit
      port map (a=>x2, b=>XLXN_7, d=>XLXN_18, c=>XLXN_19, y=>y2);
   
   XLXI_4 : sumator1bit
      port map (a=>x3, b=>XLXN_8, d=>XLXN_19, c=>open, y=>y3);
   
   XLXI_6 : GND
      port map (G=>XLXN_6);
   
   XLXI_7 : GND
      port map (G=>XLXN_7);
   
   XLXI_8 : GND
      port map (G=>XLXN_8);
   
   XLXI_15 : GND
      port map (G=>XLXN_20);
   
end BEHAVIORAL;


