-- VHDL model created from C:\Xilinx\cpld\data\drawing\m2_1.sch - Wed Oct 22 16:35:42 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity M2_1_MXILINX_przelacznik7bit is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1_MXILINX_przelacznik7bit;

architecture BEHAVIORAL of M2_1_MXILINX_przelacznik7bit is
   attribute BOX_TYPE   : STRING ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
begin
   I_36_7 : AND2B1
      port map (I0=>S0, I1=>D0, O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1, I1=>M0, O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1, I1=>S0, O=>M1);
   
end BEHAVIORAL;


-- VHDL model created from d:\projekty\avt\kurs_cpld\odcinki\czesc_04\impl\elementy\przelacznik7bit.sch - Wed Oct 22 16:35:42 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity przelacznik7bit is
   port ( a1  : in    std_logic; 
          a2  : in    std_logic; 
          a3  : in    std_logic; 
          a4  : in    std_logic; 
          a5  : in    std_logic; 
          a6  : in    std_logic; 
          a7  : in    std_logic; 
          b1  : in    std_logic; 
          b2  : in    std_logic; 
          b3  : in    std_logic; 
          b4  : in    std_logic; 
          b5  : in    std_logic; 
          b6  : in    std_logic; 
          b7  : in    std_logic; 
          SEL : in    std_logic; 
          y1  : out   std_logic; 
          y2  : out   std_logic; 
          y3  : out   std_logic; 
          y4  : out   std_logic; 
          y5  : out   std_logic; 
          y6  : out   std_logic; 
          y7  : out   std_logic);
end przelacznik7bit;

architecture BEHAVIORAL of przelacznik7bit is
   attribute HU_SET     : STRING ;
   component M2_1_MXILINX_przelacznik7bit
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   attribute HU_SET of XLXI_1 : LABEL is "XLXI_1_2";
   attribute HU_SET of XLXI_3 : LABEL is "XLXI_3_1";
   attribute HU_SET of XLXI_5 : LABEL is "XLXI_5_3";
   attribute HU_SET of XLXI_7 : LABEL is "XLXI_7_4";
   attribute HU_SET of XLXI_8 : LABEL is "XLXI_8_5";
   attribute HU_SET of XLXI_9 : LABEL is "XLXI_9_6";
   attribute HU_SET of XLXI_10 : LABEL is "XLXI_10_0";
begin
   XLXI_1 : M2_1_MXILINX_przelacznik7bit
      port map (D0=>a3, D1=>b3, S0=>SEL, O=>y3);
   
   XLXI_3 : M2_1_MXILINX_przelacznik7bit
      port map (D0=>a4, D1=>b4, S0=>SEL, O=>y4);
   
   XLXI_5 : M2_1_MXILINX_przelacznik7bit
      port map (D0=>a5, D1=>b5, S0=>SEL, O=>y5);
   
   XLXI_7 : M2_1_MXILINX_przelacznik7bit
      port map (D0=>a6, D1=>b6, S0=>SEL, O=>y6);
   
   XLXI_8 : M2_1_MXILINX_przelacznik7bit
      port map (D0=>a7, D1=>b7, S0=>SEL, O=>y7);
   
   XLXI_9 : M2_1_MXILINX_przelacznik7bit
      port map (D0=>a2, D1=>b2, S0=>SEL, O=>y2);
   
   XLXI_10 : M2_1_MXILINX_przelacznik7bit
      port map (D0=>a1, D1=>b1, S0=>SEL, O=>y1);
   
end BEHAVIORAL;


