-- VHDL model created from C:\Xilinx\cpld\data\drawing\ftce.sch - Thu Sep 18 17:32:42 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FTCE_MXILINX_licznik100 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          T   : in    std_logic; 
          Q   : out   std_logic);
end FTCE_MXILINX_licznik100;

architecture BEHAVIORAL of FTCE_MXILINX_licznik100 is
   attribute BOX_TYPE       : STRING ;
   signal TQ      : std_logic;
   signal Q_DUMMY : std_logic;
   component XOR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of XOR2 : COMPONENT is "BLACK_BOX";
   
   component FDCE
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCE : COMPONENT is "BLACK_BOX";
   
begin
   Q <= Q_DUMMY;
   I_36_32 : XOR2
      port map (I0=>T, I1=>Q_DUMMY, O=>TQ);
   
   I_36_35 : FDCE
      port map (C=>C, CE=>CE, CLR=>CLR, D=>TQ, Q=>Q_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb16ce.sch - Thu Sep 18 17:32:42 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB16CE_MXILINX_licznik100 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q   : out   std_logic_vector (15 downto 0); 
          TC  : out   std_logic);
end CB16CE_MXILINX_licznik100;

architecture BEHAVIORAL of CB16CE_MXILINX_licznik100 is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal T4       : std_logic;
   signal T5       : std_logic;
   signal T6       : std_logic;
   signal T7       : std_logic;
   signal T8       : std_logic;
   signal T9       : std_logic;
   signal T10      : std_logic;
   signal T11      : std_logic;
   signal T12      : std_logic;
   signal T13      : std_logic;
   signal T14      : std_logic;
   signal T15      : std_logic;
   signal XLXN_1   : std_logic;
   signal Q_DUMMY  : std_logic_vector (15 downto 0);
   signal TC_DUMMY : std_logic;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND5
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             I4 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND5 : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_licznik100
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of Q0 : LABEL is "Q0_1";
   attribute HU_SET of Q1 : LABEL is "Q1_0";
   attribute HU_SET of Q2 : LABEL is "Q2_3";
   attribute HU_SET of Q3 : LABEL is "Q3_2";
   attribute HU_SET of Q4 : LABEL is "Q4_7";
   attribute HU_SET of Q5 : LABEL is "Q5_6";
   attribute HU_SET of Q6 : LABEL is "Q6_5";
   attribute HU_SET of Q7 : LABEL is "Q7_4";
   attribute HU_SET of Q8 : LABEL is "Q8_8";
   attribute HU_SET of Q9 : LABEL is "Q9_9";
   attribute HU_SET of Q10 : LABEL is "Q10_10";
   attribute HU_SET of Q11 : LABEL is "Q11_11";
   attribute HU_SET of Q12 : LABEL is "Q12_12";
   attribute HU_SET of Q13 : LABEL is "Q13_13";
   attribute HU_SET of Q14 : LABEL is "Q14_14";
   attribute HU_SET of Q15 : LABEL is "Q15_15";
begin
   Q(15 downto 0) <= Q_DUMMY(15 downto 0);
   TC <= TC_DUMMY;
   I_36_3 : AND3
      port map (I0=>Q_DUMMY(2), I1=>Q_DUMMY(1), I2=>Q_DUMMY(0), O=>T3);
   
   I_36_4 : AND2
      port map (I0=>Q_DUMMY(1), I1=>Q_DUMMY(0), O=>T2);
   
   I_36_9 : VCC
      port map (P=>XLXN_1);
   
   I_36_10 : AND4
      port map (I0=>Q_DUMMY(3), I1=>Q_DUMMY(2), I2=>Q_DUMMY(1), I3=>Q_DUMMY(0),
            O=>T4);
   
   I_36_14 : AND5
      port map (I0=>Q_DUMMY(7), I1=>Q_DUMMY(6), I2=>Q_DUMMY(5), I3=>Q_DUMMY(4),
            I4=>T4, O=>T8);
   
   I_36_15 : AND2
      port map (I0=>Q_DUMMY(4), I1=>T4, O=>T5);
   
   I_36_19 : AND3
      port map (I0=>Q_DUMMY(5), I1=>Q_DUMMY(4), I2=>T4, O=>T6);
   
   I_36_21 : AND4
      port map (I0=>Q_DUMMY(6), I1=>Q_DUMMY(5), I2=>Q_DUMMY(4), I3=>T4, O=>T7);
   
   I_36_22 : AND5
      port map (I0=>Q_DUMMY(15), I1=>Q_DUMMY(14), I2=>Q_DUMMY(13),
            I3=>Q_DUMMY(12), I4=>T12, O=>TC_DUMMY);
   
   I_36_23 : AND2
      port map (I0=>Q_DUMMY(12), I1=>T12, O=>T13);
   
   I_36_24 : AND3
      port map (I0=>Q_DUMMY(13), I1=>Q_DUMMY(12), I2=>T12, O=>T14);
   
   I_36_25 : AND4
      port map (I0=>Q_DUMMY(14), I1=>Q_DUMMY(13), I2=>Q_DUMMY(12), I3=>T12,
            O=>T15);
   
   I_36_26 : AND4
      port map (I0=>Q_DUMMY(10), I1=>Q_DUMMY(9), I2=>Q_DUMMY(8), I3=>T8,
            O=>T11);
   
   I_36_27 : AND3
      port map (I0=>Q_DUMMY(9), I1=>Q_DUMMY(8), I2=>T8, O=>T10);
   
   I_36_28 : AND2
      port map (I0=>Q_DUMMY(8), I1=>T8, O=>T9);
   
   I_36_29 : AND5
      port map (I0=>Q_DUMMY(11), I1=>Q_DUMMY(10), I2=>Q_DUMMY(9),
            I3=>Q_DUMMY(8), I4=>T8, O=>T12);
   
   I_36_54 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   Q0 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q_DUMMY(0));
   
   Q1 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q_DUMMY(0), Q=>Q_DUMMY(1));
   
   Q2 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T2, Q=>Q_DUMMY(2));
   
   Q3 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T3, Q=>Q_DUMMY(3));
   
   Q4 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T4, Q=>Q_DUMMY(4));
   
   Q5 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T5, Q=>Q_DUMMY(5));
   
   Q6 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T6, Q=>Q_DUMMY(6));
   
   Q7 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T7, Q=>Q_DUMMY(7));
   
   Q8 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T8, Q=>Q_DUMMY(8));
   
   Q9 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T9, Q=>Q_DUMMY(9));
   
   Q10 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T10, Q=>Q_DUMMY(10));
   
   Q11 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T11, Q=>Q_DUMMY(11));
   
   Q12 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T12, Q=>Q_DUMMY(12));
   
   Q13 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T13, Q=>Q_DUMMY(13));
   
   Q14 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T14, Q=>Q_DUMMY(14));
   
   Q15 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T15, Q=>Q_DUMMY(15));
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\fd.sch - Thu Sep 18 17:32:42 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD_MXILINX_licznik100 is
   port ( C : in    std_logic; 
          D : in    std_logic; 
          Q : out   std_logic);
end FD_MXILINX_licznik100;

architecture BEHAVIORAL of FD_MXILINX_licznik100 is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_4 : std_logic;
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component FDCP
      port ( C   : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             PRE : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute BOX_TYPE of FDCP : COMPONENT is "BLACK_BOX";
   
begin
   I_36_43 : GND
      port map (G=>XLXN_4);
   
   U0 : FDCP
      port map (C=>C, CLR=>XLXN_4, D=>D, PRE=>XLXN_4, Q=>Q);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\m2_1.sch - Thu Sep 18 17:32:42 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity M2_1_MXILINX_licznik100 is
   port ( D0 : in    std_logic; 
          D1 : in    std_logic; 
          S0 : in    std_logic; 
          O  : out   std_logic);
end M2_1_MXILINX_licznik100;

architecture BEHAVIORAL of M2_1_MXILINX_licznik100 is
   attribute BOX_TYPE   : STRING ;
   signal M0 : std_logic;
   signal M1 : std_logic;
   component AND2B1
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2B1 : COMPONENT is "BLACK_BOX";
   
   component OR2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR2 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
begin
   I_36_7 : AND2B1
      port map (I0=>S0, I1=>D0, O=>M0);
   
   I_36_8 : OR2
      port map (I0=>M1, I1=>M0, O=>O);
   
   I_36_9 : AND2
      port map (I0=>D1, I1=>S0, O=>M1);
   
end BEHAVIORAL;


-- VHDL model created from C:\Xilinx\cpld\data\drawing\cb4ce.sch - Thu Sep 18 17:32:42 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity CB4CE_MXILINX_licznik100 is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          CEO : out   std_logic; 
          Q0  : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic; 
          TC  : out   std_logic);
end CB4CE_MXILINX_licznik100;

architecture BEHAVIORAL of CB4CE_MXILINX_licznik100 is
   attribute BOX_TYPE   : STRING ;
   attribute HU_SET     : STRING ;
   signal T2       : std_logic;
   signal T3       : std_logic;
   signal XLXN_1   : std_logic;
   signal Q0_DUMMY : std_logic;
   signal Q1_DUMMY : std_logic;
   signal Q2_DUMMY : std_logic;
   signal Q3_DUMMY : std_logic;
   signal TC_DUMMY : std_logic;
   component AND4
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             I3 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND4 : COMPONENT is "BLACK_BOX";
   
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : COMPONENT is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FTCE_MXILINX_licznik100
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             T   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   
   attribute HU_SET of U0 : LABEL is "U0_16";
   attribute HU_SET of U1 : LABEL is "U1_17";
   attribute HU_SET of U2 : LABEL is "U2_18";
   attribute HU_SET of U3 : LABEL is "U3_19";
begin
   Q0 <= Q0_DUMMY;
   Q1 <= Q1_DUMMY;
   Q2 <= Q2_DUMMY;
   Q3 <= Q3_DUMMY;
   TC <= TC_DUMMY;
   I_36_31 : AND4
      port map (I0=>Q3_DUMMY, I1=>Q2_DUMMY, I2=>Q1_DUMMY, I3=>Q0_DUMMY,
            O=>TC_DUMMY);
   
   I_36_32 : AND3
      port map (I0=>Q2_DUMMY, I1=>Q1_DUMMY, I2=>Q0_DUMMY, O=>T3);
   
   I_36_33 : AND2
      port map (I0=>Q1_DUMMY, I1=>Q0_DUMMY, O=>T2);
   
   I_36_58 : VCC
      port map (P=>XLXN_1);
   
   I_36_67 : AND2
      port map (I0=>CE, I1=>TC_DUMMY, O=>CEO);
   
   U0 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>XLXN_1, Q=>Q0_DUMMY);
   
   U1 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>Q0_DUMMY, Q=>Q1_DUMMY);
   
   U2 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T2, Q=>Q2_DUMMY);
   
   U3 : FTCE_MXILINX_licznik100
      port map (C=>C, CE=>CE, CLR=>CLR, T=>T3, Q=>Q3_DUMMY);
   
end BEHAVIORAL;


-- VHDL model created from licznik100.sch - Thu Sep 18 17:32:42 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity licznik100 is
   port ( CLK  : in    std_logic; 
          SYNC : in    std_logic; 
          a    : out   std_logic; 
          b    : out   std_logic; 
          c    : out   std_logic; 
          d    : out   std_logic; 
          e    : out   std_logic; 
          f    : out   std_logic; 
          g    : out   std_logic; 
          T1   : out   std_logic; 
          T2   : out   std_logic);
end licznik100;

architecture BEHAVIORAL of licznik100 is
   attribute HU_SET     : STRING ;
   attribute BOX_TYPE   : STRING ;
   signal Q        : std_logic_vector (15 downto 0);
   signal XLXN_2   : std_logic;
   signal XLXN_3   : std_logic;
   signal XLXN_6   : std_logic;
   signal XLXN_7   : std_logic;
   signal XLXN_14  : std_logic;
   signal XLXN_15  : std_logic;
   signal XLXN_17  : std_logic;
   signal XLXN_26  : std_logic;
   signal XLXN_27  : std_logic;
   signal XLXN_28  : std_logic;
   signal XLXN_29  : std_logic;
   signal XLXN_42  : std_logic;
   signal XLXN_47  : std_logic;
   signal XLXN_48  : std_logic;
   signal XLXN_51  : std_logic;
   signal XLXN_72  : std_logic;
   signal XLXN_73  : std_logic;
   signal XLXN_109 : std_logic;
   signal XLXN_114 : std_logic;
   signal XLXN_115 : std_logic;
   component dek7seg_symbol
      port ( x2 : in    std_logic; 
             x3 : in    std_logic; 
             x0 : in    std_logic; 
             x1 : in    std_logic; 
             b  : out   std_logic; 
             c  : out   std_logic; 
             d  : out   std_logic; 
             e  : out   std_logic; 
             f  : out   std_logic; 
             g  : out   std_logic; 
             a  : out   std_logic);
   end component;
   
   component M2_1_MXILINX_licznik100
      port ( D0 : in    std_logic; 
             D1 : in    std_logic; 
             S0 : in    std_logic; 
             O  : out   std_logic);
   end component;
   
   component CB4CE_MXILINX_licznik100
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q0  : out   std_logic; 
             Q1  : out   std_logic; 
             Q2  : out   std_logic; 
             Q3  : out   std_logic; 
             TC  : out   std_logic);
   end component;
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : COMPONENT is "BLACK_BOX";
   
   component VCC
      port ( P : out   std_logic);
   end component;
   attribute BOX_TYPE of VCC : COMPONENT is "BLACK_BOX";
   
   component FD_MXILINX_licznik100
      port ( C : in    std_logic; 
             D : in    std_logic; 
             Q : out   std_logic);
   end component;
   
   component CB16CE_MXILINX_licznik100
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             CEO : out   std_logic; 
             Q   : out   std_logic_vector (15 downto 0); 
             TC  : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component BUF
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of BUF : COMPONENT is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
   attribute HU_SET of XLXI_2 : LABEL is "XLXI_2_23";
   attribute HU_SET of XLXI_3 : LABEL is "XLXI_3_20";
   attribute HU_SET of XLXI_4 : LABEL is "XLXI_4_21";
   attribute HU_SET of XLXI_5 : LABEL is "XLXI_5_25";
   attribute HU_SET of XLXI_6 : LABEL is "XLXI_6_24";
   attribute HU_SET of XLXI_7 : LABEL is "XLXI_7_22";
   attribute HU_SET of XLXI_29 : LABEL is "XLXI_29_26";
   attribute HU_SET of XLXI_33 : LABEL is "XLXI_33_27";
begin
   XLXI_1 : dek7seg_symbol
      port map (x0=>XLXN_26, x1=>XLXN_27, x2=>XLXN_28, x3=>XLXN_29, a=>a, b=>b,
            c=>c, d=>d, e=>e, f=>f, g=>g);
   
   XLXI_2 : M2_1_MXILINX_licznik100
      port map (D0=>XLXN_6, D1=>XLXN_2, S0=>Q(15), O=>XLXN_27);
   
   XLXI_3 : CB4CE_MXILINX_licznik100
      port map (C=>XLXN_115, CE=>XLXN_48, CLR=>XLXN_109, CEO=>open,
            Q0=>XLXN_14, Q1=>XLXN_6, Q2=>XLXN_7, Q3=>XLXN_15, TC=>open);
   
   XLXI_4 : CB4CE_MXILINX_licznik100
      port map (C=>XLXN_51, CE=>XLXN_47, CLR=>XLXN_42, CEO=>open, Q0=>XLXN_17,
            Q1=>XLXN_2, Q2=>XLXN_3, Q3=>XLXN_114, TC=>open);
   
   XLXI_5 : M2_1_MXILINX_licznik100
      port map (D0=>XLXN_7, D1=>XLXN_3, S0=>Q(15), O=>XLXN_28);
   
   XLXI_6 : M2_1_MXILINX_licznik100
      port map (D0=>XLXN_15, D1=>XLXN_114, S0=>Q(15), O=>XLXN_29);
   
   XLXI_7 : M2_1_MXILINX_licznik100
      port map (D0=>XLXN_14, D1=>XLXN_17, S0=>Q(15), O=>XLXN_26);
   
   XLXI_25 : AND2
      port map (I0=>XLXN_114, I1=>XLXN_2, O=>XLXN_42);
   
   XLXI_26 : AND2
      port map (I0=>XLXN_6, I1=>XLXN_15, O=>XLXN_109);
   
   XLXI_27 : VCC
      port map (P=>XLXN_48);
   
   XLXI_28 : VCC
      port map (P=>XLXN_47);
   
   XLXI_29 : FD_MXILINX_licznik100
      port map (C=>SYNC, D=>CLK, Q=>XLXN_51);
   
   XLXI_33 : CB16CE_MXILINX_licznik100
      port map (C=>SYNC, CE=>XLXN_72, CLR=>XLXN_73, CEO=>open, Q(15 downto
            0)=>Q(15 downto 0), TC=>open);
   
   XLXI_36 : GND
      port map (G=>XLXN_73);
   
   XLXI_37 : VCC
      port map (P=>XLXN_72);
   
   XLXI_47 : BUF
      port map (I=>Q(15), O=>T2);
   
   XLXI_48 : INV
      port map (I=>Q(15), O=>T1);
   
   XLXI_51 : INV
      port map (I=>XLXN_114, O=>XLXN_115);
   
end BEHAVIORAL;


