VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL rr
        SIGNAL yy
        SIGNAL LED1
        SIGNAL LED4
        SIGNAL LED2
        SIGNAL XLXN_50
        SIGNAL LED3
        SIGNAL XLXN_73
        SIGNAL XLXN_74
        SIGNAL XLXN_81
        SIGNAL LED5
        SIGNAL XLXN_89
        SIGNAL Q(15:0)
        SIGNAL XLXN_95
        SIGNAL XLXN_101
        SIGNAL S3
        SIGNAL XLXN_103
        SIGNAL XLXN_104
        SIGNAL XLXN_105
        SIGNAL S2
        SIGNAL S1
        SIGNAL XLXN_114
        SIGNAL XLXN_115
        SIGNAL XLXN_117
        SIGNAL XLXN_118
        SIGNAL XLXN_119
        SIGNAL XLXN_120
        SIGNAL XLXN_121
        SIGNAL XLXN_122
        SIGNAL XLXN_123
        SIGNAL XLXN_124
        SIGNAL XLXN_126
        SIGNAL XLXN_131
        SIGNAL XLXN_132
        SIGNAL XLXN_133
        SIGNAL SYNC
        SIGNAL XLXN_138
        SIGNAL XLXN_139
        SIGNAL Q(15)
        PORT Output LED1
        PORT Output LED4
        PORT Output LED2
        PORT Output LED3
        PORT Output LED5
        PORT Input S3
        PORT Input S2
        PORT Input S1
        PORT Input SYNC
        BEGIN BLOCKDEF fdrs
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 0 -32 64 -32 
            LINE N 0 -352 64 -352 
            RECTANGLE N 64 -320 320 -64 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -320 192 -352 
            LINE N 192 -352 64 -352 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF cb2ce
            TIMESTAMP 2001 5 11 10 48 48
            RECTANGLE N 64 -384 320 -64 
            LINE N 384 -128 320 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            LINE N 384 -192 320 -192 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
        END BLOCKDEF
        BEGIN BLOCKDEF cb16ce
            TIMESTAMP 2001 5 11 10 46 45
            LINE N 384 -192 320 -192 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -128 320 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 96 -64 32 -64 
            LINE N 64 0 64 -32 
            LINE N 64 -32 64 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 3 9 11 23 11
            LINE N 64 -128 64 -96 
            LINE N 64 -64 64 -80 
            LINE N 88 -64 40 -64 
            LINE N 68 -32 60 -32 
            LINE N 76 -48 52 -48 
            LINE N 64 -64 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2001 3 9 11 23 0
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF and4b4
            TIMESTAMP 2001 5 11 10 44 9
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 40 -192 
            CIRCLE N 40 -204 64 -180 
            LINE N 0 -256 40 -256 
            CIRCLE N 40 -268 64 -244 
            LINE N 256 -160 192 -160 
            LINE N 64 -208 144 -208 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -64 64 -256 
            LINE N 144 -112 64 -112 
        END BLOCKDEF
        BEGIN BLOCKDEF m2_1
            TIMESTAMP 2001 3 9 11 24 0
            LINE N 96 -64 96 -192 
            LINE N 256 -96 96 -64 
            LINE N 256 -160 256 -96 
            LINE N 96 -192 256 -160 
            LINE N 176 -32 96 -32 
            LINE N 176 -80 176 -32 
            LINE N 0 -32 96 -32 
            LINE N 320 -128 256 -128 
            LINE N 0 -96 96 -96 
            LINE N 0 -160 96 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF zliczanie1iter
            TIMESTAMP 2008 10 26 21 47 38
            RECTANGLE N 64 -192 320 -64 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 192 -256 192 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF nand2b1
            TIMESTAMP 2001 3 9 11 23 50
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 216 -96 
            CIRCLE N 192 -108 216 -84 
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fdrs
            PIN C XLXN_103
            PIN D XLXN_74
            PIN R yy
            PIN S rr
            PIN Q XLXN_124
        END BLOCK
        BEGIN BLOCK XLXI_2 fdrs
            PIN C XLXN_103
            PIN D XLXN_73
            PIN R yy
            PIN S rr
            PIN Q XLXN_74
        END BLOCK
        BEGIN BLOCK XLXI_3 fdrs
            PIN C XLXN_103
            PIN D XLXN_50
            PIN R yy
            PIN S rr
            PIN Q XLXN_73
        END BLOCK
        BEGIN BLOCK XLXI_4 inv
            PIN I XLXN_50
            PIN O LED2
        END BLOCK
        BEGIN BLOCK XLXI_5 inv
            PIN I XLXN_74
            PIN O LED4
        END BLOCK
        BEGIN BLOCK XLXI_6 fdrs
            PIN C XLXN_103
            PIN D XLXN_81
            PIN R yy
            PIN S rr
            PIN Q XLXN_50
        END BLOCK
        BEGIN BLOCK XLXI_7 inv
            PIN I XLXN_81
            PIN O LED1
        END BLOCK
        BEGIN BLOCK XLXI_39 cb2ce
            PIN C Q(15)
            PIN CE XLXN_95
            PIN CLR XLXN_138
            PIN CEO
            PIN Q0
            PIN Q1 XLXN_101
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_38 cb16ce
            PIN C SYNC
            PIN CE XLXN_104
            PIN CLR XLXN_105
            PIN CEO
            PIN Q(15:0) Q(15:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_40 vcc
            PIN P XLXN_95
        END BLOCK
        BEGIN BLOCK XLXI_47 gnd
            PIN G XLXN_105
        END BLOCK
        BEGIN BLOCK XLXI_48 vcc
            PIN P XLXN_104
        END BLOCK
        BEGIN BLOCK XLXI_15 fdrs
            PIN C XLXN_103
            PIN D XLXN_89
            PIN R yy
            PIN S rr
            PIN Q XLXN_81
        END BLOCK
        BEGIN BLOCK XLXI_10 inv
            PIN I XLXN_124
            PIN O LED5
        END BLOCK
        BEGIN BLOCK XLXI_17 inv
            PIN I XLXN_73
            PIN O LED3
        END BLOCK
        BEGIN BLOCK XLXI_49 inv
            PIN I S2
            PIN O rr
        END BLOCK
        BEGIN BLOCK XLXI_50 inv
            PIN I S1
            PIN O yy
        END BLOCK
        BEGIN BLOCK XLXI_51 and4b4
            PIN I0 XLXN_74
            PIN I1 XLXN_73
            PIN I2 XLXN_50
            PIN I3 XLXN_81
            PIN O XLXN_89
        END BLOCK
        BEGIN BLOCK XLXI_57 gnd
            PIN G XLXN_117
        END BLOCK
        BEGIN BLOCK XLXI_46 fd
            PIN C XLXN_101
            PIN D S3
            PIN Q XLXN_126
        END BLOCK
        BEGIN BLOCK XLXI_59 m2_1
            PIN D0 XLXN_126
            PIN D1 SYNC
            PIN S0 XLXN_133
            PIN O XLXN_103
        END BLOCK
        BEGIN BLOCK XLXI_62 zliczanie1iter
            PIN i0 XLXN_117
            PIN i1 XLXN_117
            PIN x XLXN_81
            PIN o0 XLXN_114
            PIN o1 XLXN_115
        END BLOCK
        BEGIN BLOCK XLXI_63 zliczanie1iter
            PIN i0 XLXN_114
            PIN i1 XLXN_115
            PIN x XLXN_50
            PIN o0 XLXN_118
            PIN o1 XLXN_119
        END BLOCK
        BEGIN BLOCK XLXI_64 zliczanie1iter
            PIN i0 XLXN_118
            PIN i1 XLXN_119
            PIN x XLXN_73
            PIN o0 XLXN_120
            PIN o1 XLXN_121
        END BLOCK
        BEGIN BLOCK XLXI_65 zliczanie1iter
            PIN i0 XLXN_120
            PIN i1 XLXN_121
            PIN x XLXN_74
            PIN o0 XLXN_122
            PIN o1 XLXN_123
        END BLOCK
        BEGIN BLOCK XLXI_66 zliczanie1iter
            PIN i0 XLXN_122
            PIN i1 XLXN_123
            PIN x XLXN_124
            PIN o0 XLXN_132
            PIN o1 XLXN_131
        END BLOCK
        BEGIN BLOCK XLXI_67 gnd
            PIN G XLXN_138
        END BLOCK
        BEGIN BLOCK XLXI_69 nand2b1
            PIN I0 XLXN_131
            PIN I1 XLXN_132
            PIN O XLXN_133
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH rr
            WIRE 464 1520 464 1568
            WIRE 464 1568 544 1568
            WIRE 544 1568 576 1568
            WIRE 544 1152 544 1568
            WIRE 544 1152 1120 1152
            WIRE 1120 1152 1120 1568
            WIRE 1120 1568 1136 1568
            WIRE 1120 1152 1728 1152
            WIRE 1728 1152 2256 1152
            WIRE 2256 1152 2832 1152
            WIRE 2832 1152 2832 1568
            WIRE 2256 1152 2256 1568
            WIRE 1728 1152 1728 1568
        END BRANCH
        BEGIN BRANCH yy
            WIRE 544 1888 576 1888
            WIRE 576 1888 576 1984
            WIRE 576 1984 1088 1984
            WIRE 1088 1984 1648 1984
            WIRE 1648 1984 2176 1984
            WIRE 2176 1984 2832 1984
            WIRE 1088 1888 1136 1888
            WIRE 1088 1888 1088 1984
            WIRE 1648 1888 1728 1888
            WIRE 1648 1888 1648 1984
            WIRE 2176 1888 2256 1888
            WIRE 2176 1888 2176 1984
            WIRE 2832 1888 2832 1984
        END BRANCH
        BEGIN BRANCH LED1
            WIRE 1040 1312 1040 1344
        END BRANCH
        BEGIN BRANCH LED4
            WIRE 2752 1376 2752 1408
        END BRANCH
        BEGIN BRANCH LED2
            WIRE 1616 1376 1616 1408
        END BRANCH
        BEGIN BRANCH XLXN_50
            WIRE 656 400 1536 400
            WIRE 1536 400 1536 720
            WIRE 1536 720 1536 1664
            WIRE 1536 1664 1616 1664
            WIRE 1616 1664 1728 1664
            WIRE 1264 720 1536 720
            WIRE 1264 720 1264 768
            WIRE 1520 1664 1536 1664
            WIRE 1616 1632 1616 1664
        END BRANCH
        INSTANCE XLXI_1 2832 1920 R0
        INSTANCE XLXI_2 2256 1920 R0
        BEGIN BRANCH LED3
            WIRE 2192 1360 2192 1424
        END BRANCH
        INSTANCE XLXI_3 1728 1920 R0
        INSTANCE XLXI_4 1648 1632 R270
        BEGIN BRANCH XLXN_73
            WIRE 656 336 2128 336
            WIRE 2128 336 2128 720
            WIRE 2128 720 2128 1664
            WIRE 2128 1664 2192 1664
            WIRE 2192 1664 2256 1664
            WIRE 1792 720 1792 768
            WIRE 1792 720 2128 720
            WIRE 2112 1664 2128 1664
            WIRE 2192 1648 2192 1664
        END BRANCH
        BEGIN BRANCH XLXN_74
            WIRE 656 272 2672 272
            WIRE 2672 272 2672 720
            WIRE 2672 720 2672 1664
            WIRE 2672 1664 2752 1664
            WIRE 2752 1664 2832 1664
            WIRE 2400 720 2672 720
            WIRE 2400 720 2400 768
            WIRE 2640 1664 2672 1664
            WIRE 2752 1632 2752 1664
        END BRANCH
        INSTANCE XLXI_5 2784 1632 R270
        INSTANCE XLXI_6 1136 1920 R0
        INSTANCE XLXI_7 1072 1568 R270
        BEGIN BRANCH XLXN_81
            WIRE 656 464 976 464
            WIRE 976 464 976 720
            WIRE 976 720 976 1664
            WIRE 976 1664 1040 1664
            WIRE 1040 1664 1136 1664
            WIRE 672 720 976 720
            WIRE 672 720 672 768
            WIRE 960 1664 976 1664
            WIRE 1040 1568 1040 1664
        END BRANCH
        BEGIN BRANCH LED5
            WIRE 3328 1376 3328 1408
        END BRANCH
        INSTANCE XLXI_38 2736 2448 M0
        BEGIN BRANCH Q(15:0)
            WIRE 2032 2432 2240 2432
            WIRE 2240 2192 2352 2192
            WIRE 2240 2192 2240 2432
        END BRANCH
        BUSTAP 2032 2432 1936 2432
        BEGIN BRANCH XLXN_95
            WIRE 1712 2368 1760 2368
            WIRE 1760 2352 1760 2368
        END BRANCH
        BEGIN BRANCH S3
            WIRE 1136 2256 1168 2256
        END BRANCH
        BEGIN BRANCH XLXN_103
            WIRE 160 1792 160 2048
            WIRE 160 2048 976 2048
            WIRE 976 2048 1520 2048
            WIRE 1520 2048 2112 2048
            WIRE 2112 2048 2720 2048
            WIRE 160 2048 160 2288
            WIRE 160 2288 240 2288
            WIRE 160 1792 576 1792
            WIRE 976 1792 976 2048
            WIRE 976 1792 1136 1792
            WIRE 1520 1792 1520 2048
            WIRE 1520 1792 1728 1792
            WIRE 2112 1792 2256 1792
            WIRE 2112 1792 2112 2048
            WIRE 2720 1792 2720 2048
            WIRE 2720 1792 2832 1792
        END BRANCH
        INSTANCE XLXI_48 2736 2224 R0
        BEGIN BRANCH XLXN_104
            WIRE 2736 2256 2800 2256
            WIRE 2800 2224 2800 2256
        END BRANCH
        INSTANCE XLXI_15 576 1920 R0
        INSTANCE XLXI_10 3360 1632 R270
        INSTANCE XLXI_17 2224 1648 R270
        INSTANCE XLXI_49 432 1296 R90
        BEGIN BRANCH S2
            WIRE 464 1264 464 1296
        END BRANCH
        INSTANCE XLXI_50 320 1920 R0
        BEGIN BRANCH S1
            WIRE 288 1888 320 1888
        END BRANCH
        IOMARKER 1616 1376 LED2 R270 28
        IOMARKER 2752 1376 LED4 R270 28
        IOMARKER 1040 1312 LED1 R270 28
        IOMARKER 1168 2256 S3 R0 28
        IOMARKER 3328 1376 LED5 R270 28
        IOMARKER 2192 1360 LED3 R270 28
        IOMARKER 464 1264 S2 R270 28
        IOMARKER 288 1888 S1 R180 28
        INSTANCE XLXI_51 656 208 R180
        BEGIN BRANCH XLXN_89
            WIRE 160 368 160 1664
            WIRE 160 1664 576 1664
            WIRE 160 368 400 368
        END BRANCH
        BEGIN BRANCH XLXN_114
            WIRE 864 864 1056 864
            WIRE 1056 864 1072 864
        END BRANCH
        BEGIN BRANCH XLXN_115
            WIRE 864 928 1056 928
            WIRE 1056 928 1072 928
        END BRANCH
        INSTANCE XLXI_57 368 1104 R0
        BEGIN BRANCH XLXN_117
            WIRE 432 864 480 864
            WIRE 432 864 432 928
            WIRE 432 928 480 928
            WIRE 432 928 432 976
        END BRANCH
        BEGIN BRANCH XLXN_118
            WIRE 1456 864 1600 864
        END BRANCH
        BEGIN BRANCH XLXN_119
            WIRE 1456 928 1600 928
        END BRANCH
        BEGIN BRANCH XLXN_120
            WIRE 1984 864 2208 864
        END BRANCH
        BEGIN BRANCH XLXN_121
            WIRE 1984 928 2208 928
        END BRANCH
        BEGIN BRANCH XLXN_122
            WIRE 2592 864 2720 864
        END BRANCH
        BEGIN BRANCH XLXN_123
            WIRE 2592 928 2720 928
        END BRANCH
        INSTANCE XLXI_46 1136 2512 M0
        BEGIN BRANCH XLXN_126
            WIRE 560 2256 752 2256
        END BRANCH
        INSTANCE XLXI_59 560 2416 M0
        IOMARKER 2896 2320 SYNC R0 28
        BEGIN BRANCH XLXN_105
            WIRE 2736 2416 2752 2416
            WIRE 2752 2416 2752 2432
        END BRANCH
        INSTANCE XLXI_47 2688 2560 R0
        BEGIN BRANCH XLXN_124
            WIRE 2912 720 2912 768
            WIRE 2912 720 3264 720
            WIRE 3264 720 3264 1664
            WIRE 3264 1664 3328 1664
            WIRE 3216 1664 3264 1664
            WIRE 3328 1632 3328 1664
        END BRANCH
        BEGIN BRANCH XLXN_131
            WIRE 3104 928 3440 928
            WIRE 3440 928 3440 1040
        END BRANCH
        BEGIN BRANCH XLXN_132
            WIRE 3104 864 3376 864
            WIRE 3376 864 3376 1040
        END BRANCH
        BEGIN BRANCH XLXN_133
            WIRE 560 2384 576 2384
            WIRE 576 2384 576 2672
            WIRE 576 2672 3408 2672
            WIRE 3408 1296 3408 2320
            WIRE 3408 2320 3408 2672
        END BRANCH
        BEGIN INSTANCE XLXI_62 480 1024 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_63 1072 1024 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_64 1600 1024 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_65 2208 1024 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_66 2720 1024 R0
        END INSTANCE
        BEGIN BRANCH SYNC
            WIRE 560 2320 640 2320
            WIRE 640 2320 640 2640
            WIRE 640 2640 2784 2640
            WIRE 2736 2320 2784 2320
            WIRE 2784 2320 2896 2320
            WIRE 2784 2320 2784 2640
        END BRANCH
        INSTANCE XLXI_39 1712 2560 M0
        BEGIN BRANCH XLXN_101
            WIRE 1136 2384 1152 2384
            WIRE 1152 2304 1328 2304
            WIRE 1152 2304 1152 2384
        END BRANCH
        INSTANCE XLXI_40 1696 2352 R0
        INSTANCE XLXI_67 1888 2544 R270
        BEGIN BRANCH XLXN_138
            WIRE 1712 2528 1728 2528
            WIRE 1728 2480 1728 2528
            WIRE 1728 2480 1760 2480
        END BRANCH
        INSTANCE XLXI_69 3504 1040 M90
        BEGIN BRANCH Q(15)
            WIRE 1712 2432 1936 2432
        END BRANCH
    END SHEET
END SCHEMATIC
