-- VHDL model created from zliczanie1spr.sch - Sun Oct 26 23:25:36 2008


library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity zliczanie1spr is
   port ( S1   : in    std_logic; 
          S2   : in    std_logic; 
          S3   : in    std_logic; 
          LED1 : out   std_logic; 
          LED2 : out   std_logic);
end zliczanie1spr;

architecture BEHAVIORAL of zliczanie1spr is
   attribute BOX_TYPE   : STRING ;
   signal XLXN_1  : std_logic;
   signal XLXN_2  : std_logic;
   signal XLXN_3  : std_logic;
   signal XLXN_4  : std_logic;
   signal XLXN_6  : std_logic;
   signal XLXN_7  : std_logic;
   signal XLXN_8  : std_logic;
   signal XLXN_9  : std_logic;
   signal XLXN_13 : std_logic;
   signal XLXN_14 : std_logic;
   component zliczanie1iter
      port ( i0 : in    std_logic; 
             i1 : in    std_logic; 
             x  : in    std_logic; 
             o0 : out   std_logic; 
             o1 : out   std_logic);
   end component;
   
   component GND
      port ( G : out   std_logic);
   end component;
   attribute BOX_TYPE of GND : COMPONENT is "BLACK_BOX";
   
   component INV
      port ( I : in    std_logic; 
             O : out   std_logic);
   end component;
   attribute BOX_TYPE of INV : COMPONENT is "BLACK_BOX";
   
begin
   XLXI_1 : zliczanie1iter
      port map (i0=>XLXN_6, i1=>XLXN_6, x=>XLXN_7, o0=>XLXN_1, o1=>XLXN_2);
   
   XLXI_2 : zliczanie1iter
      port map (i0=>XLXN_1, i1=>XLXN_2, x=>XLXN_8, o0=>XLXN_4, o1=>XLXN_3);
   
   XLXI_3 : zliczanie1iter
      port map (i0=>XLXN_4, i1=>XLXN_3, x=>XLXN_9, o0=>XLXN_13, o1=>XLXN_14);
   
   XLXI_4 : GND
      port map (G=>XLXN_6);
   
   XLXI_5 : INV
      port map (I=>S1, O=>XLXN_7);
   
   XLXI_6 : INV
      port map (I=>S2, O=>XLXN_8);
   
   XLXI_7 : INV
      port map (I=>S3, O=>XLXN_9);
   
   XLXI_8 : INV
      port map (I=>XLXN_13, O=>LED2);
   
   XLXI_9 : INV
      port map (I=>XLXN_14, O=>LED1);
   
end BEHAVIORAL;


